#include "AIMWidgetMain.h"

BEGIN_EVENT_TABLE(AIMWidgetFrame, wxFrame)
    EVT_CLOSE(AIMWidgetFrame::OnClose)
    EVT_MENU(idMenuQuit, AIMWidgetFrame::OnQuit)
    EVT_MENU(idMenuAbout, AIMWidgetFrame::OnAbout)
END_EVENT_TABLE()

AIMWidgetFrame::AIMWidgetFrame(wxFrame *frame, const wxString& title)
    : wxFrame(frame, -1, title)
{

    wxMenuBar* mbar = new wxMenuBar();
    wxMenu* fileMenu = new wxMenu(_T(""));
    fileMenu->Append(idMenuQuit, _("&Quit\tAlt-F4"), _("Quit the application"));
    mbar->Append(fileMenu, _("&File"));

    wxMenu* helpMenu = new wxMenu(_T(""));
    helpMenu->Append(idMenuAbout, _("&About\tF1"), _("Show info about this application"));
    mbar->Append(helpMenu, _("&Help"));

    SetMenuBar(mbar);

    CreateStatusBar(2);
    SetStatusText(_("Hello Code::Blocks user!"),0);
    SetStatusText(_T(""), 1);

}


AIMWidgetFrame::~AIMWidgetFrame()
{
}

void AIMWidgetFrame::OnClose(wxCloseEvent &event)
{
    Destroy();
}

void AIMWidgetFrame::OnQuit(wxCommandEvent &event)
{
    Destroy();
}

void AIMWidgetFrame::OnAbout(wxCommandEvent &event)
{

}
