#ifndef DNDFILE_H
#define DNDFILE_H


#include <wx/dnd.h>


class MainFrame;


class DnDFile : public wxFileDropTarget
{
    public:
        DnDFile( MainFrame* pOwner) { m_pOwner = pOwner; }

        virtual bool OnDropFiles(wxCoord x, wxCoord y,
                                 const wxArrayString& filenames);

    private:
        MainFrame* m_pOwner;
};

#endif // DNDFILE_H
