// #include <iostream>
// #include "vemsgauge.h"
// #include "gaugeframe.h"

#include <math.h>
#include "MGraphics.h"

#include <wx/dcclient.h>
#include <wx/brush.h>

#include <wx/image.h>

#include "../logger.h"


//-----------------------------------------------------------------------
void TMGraphics::DrawPolygon_1(TRGB RGB, TDPoint *P, int Ct)
  {
    int         i, j;           // common cycle variables
    BYTE        R,  G,  B;      // color elements
    int         X, Y;
    int         X1, X2;
    int         Y2;
    int         **SB;
    double      x, y, dx, dy;
    TDPoint     P1, P2;
    double      e,  f;
    bool        Bck;
    BYTE        *pB;


    //------------------------------------------------------------------
    /**/
    // without this look like a crap, corners close or not close -> because round concepts not correct ~ i'm sorry
    //
    for(i=0; i<Ct; i++)
      {
        //P[i].x = Round(P[i].x);
        //P[i].y = Round(P[i].y);

        P[i].x = floor(P[i].x);
        P[i].y = floor(P[i].y);
      }
    /**/

    //------------------------------------------------------------------
    H = BMP->GetHeight();


    SB = new int*[H];

    for(j=0; j<H; j++)
      {
        // SB[j] = new int[3]; // 0 - left, 1 - right, 2 - vertical (unknown left or right)
        SB[j] = new int[2]; // 0 - left, 1 - right, 2 - vertical (unknown left or right)
        SB[j][0] = -1;
        SB[j][1] = -1;
        //SB[j][2] = -1;
      }

    RGB.GetRGB(&R, &G, &B);

    //-----------------------------------------------------------------------
    // Walk around the polygom by CW
    for(i = 0; i < (Ct-1); i++)
      {
        P1 = P[i];
        P2 = P[i+1];

        dx = P2.x - P1.x;
        dy = P2.y - P1.y;

        // invalid case Null-Polygon:
        if((dx == 0) && (dy == 0))
          {
            return;
          }
        else if(dx == 0)
          {
            Bck = false;
            if(P2.y < P1.y)
              {
                ChangePoint(&P1, &P2);
                Bck = true;
              }
            Y = (int)floor(P1.y);
            Y2 = (int)floor(P2.y);
            X = (int)floor(P1.x);
            while(Y <= Y2)
              {
                // here a problem!! we dont know left or right, so put in third position
                if(!Bck)
                  SB[Y][1] = X;
                else
                  SB[Y][0] = X;


                // SB[Y][2] = X;
                // RGB_MAGENTA

                SET_PIXEL
                Y++;
              }
          }
        else if(dy == 0)
          {
            // ToDo
            if(P2.x < P1.x)
              {
                ChangePoint(&P1, &P2);
                Y  = (int)ceil(P1.y);
                // e = Y - P1.y;
                // f = 1 - e;
              }
            else
              {
                Y  = (int)floor(P1.y);
                // e = P1.y - Y;
                // f = 1 - e;
              }


            X  = (int)floor(P1.x);
            X2 = (int)floor(P2.x);

            while(X <= X2)
              {
                // RGB_MAGENTA
                SET_PIXEL
                // BEGIN_ALIAS
                X++;
              }
          }
        else if(abs((int)dx) <= abs((int)dy))
          {
            if(0 < dy)
              {
                // RGB_RED
                Y = (int)floor(P1.y);
                Y2 = (int)floor(P2.y);
                dx = (P2.x - P1.x) / (P2.y - P1.y);
                x = P1.x;

                while(Y < Y2)
                  {
                    X = (int)ceil(x);
                    e = X - x;
                    f = 1 - e;

                    BEGIN_ALIAS
                    // SET_PIXEL
                    SB[Y][1] = X;
                    x += dx;
                    Y++;
                  }
              }
            else
              {
                // RGB_GREEN
                Y = (int)floor(P1.y);
                Y2 = (int)floor(P2.y);
                dx = (P2.x - P1.x) / fabs(P2.y - P1.y);
                x = P1.x;

                while(Y2 < Y)
                  {
                    X = (int)floor(x);
                    e = x - X;
                    f = 1 - e;

                    BEGIN_ALIAS
                    // SET_PIXEL
                    SB[Y][0] = X;
                    x += dx;
                    Y--;
                  }
              }
          }
        else
          {
            if(0 < dx)
              {
                // RGB_BLUE
                X = (int)floor(P1.x);
                X2 = (int)floor(P2.x);
                y = P1.y;

                dy = (P2.y - P1.y) / fabs(P2.x - P1.x);

                while(X < X2)
                  {
                    Y = (int)floor(y);
                    e = y - Y;
                    f = 1 - e;

                    BEGIN_ALIAS
                    // SET_PIXEL

                    /**/
                    if(dy < 0)
                      SB[Y][0] = X;
                    else
                      SB[Y+1][1] = X+1;
                    /**/

                    y += dy;
                    X++;
                  }
              }
            else
              {
                // RGB_YELLOW

                X = (int)floor(P1.x);
                X2 = (int)floor(P2.x);
                y = P1.y;

                dy = (P2.y - P1.y) / fabs(P2.x - P1.x);

                while(X2 < X)
                  {
                    Y = (int)ceil(y);
                    e = Y - y;
                    f = 1 - e;

                    BEGIN_ALIAS
                    // SET_PIXEL

                    /**/
                    if(0 < dy)
                      SB[Y][1] = X;
                    else
                      SB[Y-1][0] = X-1;
                    /**/

                    y += dy,
                    X--;
                  }
              }
          }

      }

    //------------------------------------------------------------------
    // Fill body of the polygon, by CBuffer

    //-----------------------------------------------------------------------
    // Paint filled body
    //
    RGB.GetRGB(&R, &G, &B);
    // RGB_GREEN

    FillRow(RGB);
    for(Y=0; Y<H; Y++)
      {
        X1 = SB[Y][0];
        X2 = SB[Y][1];

        /**
        if((X1 == -1) && SB[Y][2]!= -1)
          X1 = SB[Y][2];

        if((X2 == -1) && SB[Y][2]!= -1)
          X2 = SB[Y][2];
        **/

        /**/
        if(X2 < X1)
          {
            X = X2;
            X2 = X1;
            X1 = X;
          }
        /**/

        /**/
        if((X1 != -1) && (X2 != -1))
          {
            if(2 < (X2 - X1))
              FillSegment(Y, X1+1, X2-1);
            else if(2 == (X2 - X1))
              {
                X = X1+1;
                SET_PIXEL
              }
            if(X1 == X2)
              {
                X = X1;
                SET_PIXEL
              }
          }
        /**
        else if(X1 != -1)
          {
            X = X1;
            SET_PIXEL
          }
        else if(X2 != -1)
          {
            X = X2;
            SET_PIXEL
          }
        **/
        delete SB[Y];
      }

    delete SB;


  }//TMGraphics::DrawPolygon_1()

//-----------------------------------------------------------------------
//-----------------------------------------------------------------------
//-----------------------------------------------------------------------



