#include <math.h>
//#include <iostream>
// #include "..\VemsGauge\vemsgauge.h"
// #include "gaugeframe.h"
#include "MGraphics.h"

#include <wx/dcclient.h>
#include <wx/brush.h>

#include <wx/image.h>

#include "../logger.h"

//-----------------------------------------------------------------------
void TMGraphics::DrawSmootLine(TRGB RGB, TDPoint P1, TDPoint P2, TSegChain **CBuffer)
  {
    double      dx, dy;
    double      x,  y;
    int         X,  Y;
    int         Y2;
    TDPoint     P;
    TSegChain   *Item;
    BYTE        R, G, B;
    double      e, f;
    double      ee, ff;
    bool        Bck;
    BYTE        *pB;

    ee = 0.25;
    ff = 0.75;

    RGB.GetRGB(&R, &G, &B);


    if(abs((int)(P2.x - P1.x)) < abs((int)(P2.y - P1.y)))
      {
        Bck = false;
        if(P2.y < P1.y)
          {
            P = P2;
            P2 = P1;
            P1 = P;
            Bck = true;
          }

        //R = 0; G = 255; B = 0;
        dx = (P2.x - P1.x) / ((P2.y - P1.y));
        Y = (int)floor(P1.y);
        x = P1.x;
        x = P1.x + dx * (P1.y - Y);  // double correction

        if(Y < 0)
          {
            Y = 0;
            x = P1.x + dx * (P1.y - Y);
          }

        if(H < P2.y)
          Y2 = H - 1;
        else
          Y2 = (int)floor(P2.y - 1);

        e = ee;
        f = ff;
        X = (int)floor(x);
        e = x - X;
        f = 1 - e;

        while(Y < Y2)
          {
            STORE_CBUFFER
            if(Bck)
              {
                END_ALIAS
              }
            else
              {
                BEGIN_ALIAS
              }
            // SET_PIXEL

            x += dx;
            X = (int)floor(x);
            e = x - X;
            f = 1 - e;

            Y++;
          }

        e = ff;
        f = ee;

        // BEGIN_ALIAS

        STORE_CBUFFER

        X = (int)floor(P2.x);
        Y = (int)floor(P2.y);

        STORE_CBUFFER
      }
    else
      {
        Bck = false;
        if(P2.x < P1.x)
          {
            P = P2;
            P2 = P1;
            P1 = P;
            Bck = true;
          }


        // R = 0; G = 0; B = 255;

        dy = (P2.y - P1.y) / ((P2.x - P1.x));
        y = P1.y;
        //y = P1.y + dy * (P1.x - Round(P1.x));  // double correction

        //X = Round(P1.x);
        X = (int)floor(P1.x);
        Y = (int)floor(y);

        e = ee;
        f = ff;

        Y = (int)floor(y);
        e = y - Y;
        f = 1 - e;

        while(X < (P2.x - 1))
          {
            STORE_CBUFFER

            if(Bck)
              {
                BEGIN_ALIAS
              }
            else
              {
                END_ALIAS
              }
            //  SET_PIXEL

            y += dy;

            Y = (int)floor(y);
            e = y - Y;
            f = 1 - e;

            X++;
          }

        e = ee;
        f = ff;

        // BEGIN_ALIAS

        STORE_CBUFFER

        /**/
        X = (int)floor(P2.x);
        Y = (int)floor(P2.y);

        STORE_CBUFFER
        /**/
      }

  }//TMGraphics::DrawSmootLine()
