#ifndef OBSERVERBASE_H
#define OBSERVERBASE_H

#include <wx/string.h>
#include "common/types/wxVariantHash.h"

class ObserverBase
{
    public:
        ObserverBase();
        virtual ~ObserverBase() {}
/*
        virtual int setObservable(ObservableBase * ob){
            m_ob = ob;
        }
        wxString getString(const wxString& key){
            return m_ob->getStringHash()[key];
        }
        double  getDouble(const wxString& key){
            return m_ob->getDoubleHash()[key];
        }
*/

        virtual void notify( int i ) {}
        virtual void notify(int i, int idx) {}
        virtual void notify(const wxString& str) {}
        virtual void notify(int i, void* classType) {}
        virtual void notify( wxVariantHash& hash ) {}
        virtual void Init(const wxString& name, const wxString& msg, const int max) {}

        int GetId(){  return m_id;  };

    protected:

    private:
        int m_id;
        //ObservableBase * m_ob;

};



#endif // OBSERVERBASE_H
