#ifndef PROGRESSBAROBSERVER_H
#define PROGRESSBAROBSERVER_H

#include "Observable.h"
#include "ObserverBase.h"
#include "wx/progdlg.h"

class ProgressBarObserver : public ObserverBase, public Observable
{
    public:
        ProgressBarObserver();
        virtual ~ProgressBarObserver();
//        void notify();

        void Init(const wxString& name, const wxString& msg, const int max);
        void InitPulse( const wxString& title, const wxString& message = wxEmptyString );

        void notify( int i );
        void notify(int i, int idx);
        void notify(const wxString & str);
        void setWindow(wxWindow* parent);

        void Close();
        void Destroy();
    protected:
    private:
        wxProgressDialog*   m_progressDialog;
        wxWindow*           m_wxWindowParent;
        wxString            m_progressMsg;
        wxString            m_message;
};


#endif // PROGRESSBAROBSERVER_H
