#include "RealTimeDesc.h"

#include "logger.h"

uint8_t* RealTimeDesc::m_command = (uint8_t*) "A";
int RealTimeDesc::m_dataSize = 60;
uint8_t* RealTimeDesc::m_data = new uint8_t[m_dataSize];
bool RealTimeDesc::m_disabled = false;
int RealTimeDesc::MAX_TRY_COUNT =5;

RealTimeDesc::RealTimeDesc()
{
    //ctor
}

RealTimeDesc::~RealTimeDesc()
{
    //dtor
}

// Get Data char * getData


/** @brief getValue
*
*   @todo: document this function
*/
double RealTimeDesc::getValue(int size, int offset, double scale, double translate)
{
   int value = getValue(size, offset);

    //Logger::log(LOG_MSG, wxString::Format(_T("Offset: %d, Size: %d, Scale: %f Tr: %f"), offset, size, scale, translate));
   return scale * ((double)value + translate);
}

int RealTimeDesc::getValue(int size, int offset)
{
   switch(size){
        case 1:
            return (unsigned char)m_data[offset];
        case 2:
            return 256*(unsigned char)m_data[offset] +  (unsigned char)m_data[offset+1];
        default:
            return 0;
  }
}
