#ifndef STRINGHELPER_H
#define STRINGHELPER_H
#include <wx/wx.h>


class StringHelper
{
    public:
        enum StrElevType {
            SE_FIRST,
            SE_LAST,
            SE_ALL
        };


        StringHelper();
        virtual ~StringHelper();

        static void Split(const wxString &str, const wxChar &splitter, wxArrayString &result, bool FilterEmtpyItems = false);

        static wxString StrElevator(const wxString &str, const wxString &substr, StrElevType type = SE_FIRST);

        static wxString StringShorter(const wxString& str, size_t maxlen, int threepointstrpos = wxALIGN_RIGHT, const wxString& threepointstr = _T("..."));

    protected:
    private:
};



#endif // STRINGHELPER_H
