#include "ThemeAble.h"

#include "logger.h"

#include "ThemesHelper.h"
#include "common/typedef.h"

ThemeAble::ThemeAble()
{
    //ctor
    m_themes = NULL;
    m_theme = NULL;
    m_isChanged = false;
    m_thMenu = NULL;
    m_nullTheme = _T("");
    m_themeFromCustomNode = false;

}

ThemeAble::~ThemeAble()
{
    //dtor
}

wxMenu * ThemeAble::CreateThemeMenu(wxObjectEventFunction func)
{

    if(!m_themes) return NULL;

//    return ThemesHelper::CreateThemeMenu(m_themes, this, wxCommandEventHandler(ThemeAble::OnThemeSelect),m_theme->Name);
    //return ThemesHelper::CreateThemeMenu(m_themes, this, func,m_theme->Name);
	return NULL;
}

WidgetThemeTable * ThemeAble::SearchTheme(const wxString& name)
{
    for(uint8_t c=0;c<m_themes->GetCount();c++){
        if(m_themes->Item(c)->Name == name) return m_themes->Item(c);
    }

    return SearchTheme(ThemesHelper::m_defaultThemeName);
}


wxString& ThemeAble::GetThemeName()
{
    if(m_themes)
        return m_theme->Name;
    else
        return m_nullTheme;
}
