#ifndef WINDOWREG_H
#define WINDOWREG_H

#include <wx/dynarray.h>
#include <wx/window.h>

WX_DEFINE_ARRAY(wxWindow*,WindowArray);
WX_DEFINE_ARRAY_INT(int, BoolArray);

class WindowReg
{
	public:
		WindowReg(wxWindow *window = NULL);
		~WindowReg();

		void Minimize();
		void Maximize();
		void UpdateList();

		void SetMainWin(wxWindow *window);

	private:

		void AddWindow(wxWindow *window, bool ShowState);
        void SearchAndReg(wxWindow *actwind);

		WindowArray	m_WindowArray;
		BoolArray	m_IsShowArray;
		wxWindow	*m_mainwindow;

};

#endif // WINDOWREG_H
