#ifndef POLYGONHELPER_H
#define POLYGONHELPER_H

#include <wx/wx.h>

class PolygonHelper
{
    public:
        static bool PtInPolygon( wxPoint *rgpts, unsigned int numpts, const wxPoint& pointToTest, wxRect* boundrect = NULL );

    private:
        static bool PtInPolyRect( wxPoint* rgpts, unsigned int ptnum, const wxPoint& pointToTest, wxRect* boundrect );
        static bool Intersect( const wxPoint& p1, const wxPoint& p2, const wxPoint& p3, const wxPoint& p4 );
        static inline int CCW( const wxPoint& p0, const wxPoint& p1, const wxPoint& p2 );
};

#endif // POLYGONHELPER_H
