#ifndef BCPARENTDIALOG_H
#define BCPARENTDIALOG_H

#include "BitmapCanvasParentBase.h"
#include "bcStdDialogButtonSizer.h"


class bcParentDialog: public wxDialog, public BitmapCanvasParentBase
{
    public:
        bcParentDialog(wxWindow* parent, wxWindowID id, const wxString& title, const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = wxDEFAULT_DIALOG_STYLE, const wxString& name = _T("dialogBox"));
        virtual ~bcParentDialog();

        virtual bool Show( bool show = true );

    protected:
        void OnPaint(wxPaintEvent& evt);

        bcStdDialogButtonSizer* CreateBcStdDialogButtonSizer(long flags);

    private:
        DECLARE_EVENT_TABLE();
};

#endif // BCPARENTDIALOG_H
