#ifndef BCSTATICBITMAP_H
#define BCSTATICBITMAP_H

#include "BitmapCanvasWidgetBase.h"

class bcStaticBitmap: public BitmapCanvasWidgetBase
{
    DECLARE_DYNAMIC_CLASS(bcStaticBitmap);

    public:
        bcStaticBitmap() {}
        bcStaticBitmap(BitmapCanvasParentBase* parent, int id, const wxImage& label, const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = 0);
        virtual ~bcStaticBitmap();

        virtual void DrawWidget();
        virtual void Create(BitmapCanvasParentBase* parent, wxVariantIntHash& properties);

        void SetLabel(const wxImage& label);

        virtual bool Focusable();

    protected:

    private:

        wxImage     m_imgLabel;

};

#endif // BCSTATICBITMAP_H
