#ifndef FUNCTIONMETER_H
#define FUNCTIONMETER_H

#include <wx/wx.h>

#if(_MSC_VER >= 1400) //  1400 = VS2005 1500 = VS2008
#define FUNCTIME FunctionMeter CurrentFunctionMeterObject( wxString(__FILE__, wxConvUTF8)+ _T("--") + wxString(wxString::Format(_T("%d"),__LINE__), wxConvUTF8) );
#else
#define FUNCTIME FunctionMeter CurrentFunctionMeterObject( wxString(__PRETTY_FUNCTION__, wxConvUTF8).BeforeFirst('(')+ _T("()") + wxString(__PRETTY_FUNCTION__, wxConvUTF8).AfterLast(')') );
#endif

class FunctionMeter
{
    public:
        FunctionMeter(const wxString &funcname = wxEmptyString, bool isStartLog = false);
        ~FunctionMeter();
    private:
        wxString    m_funcName;
        wxDateTime  m_start;
};

#endif // FUNCTIONMETER_H
