#ifndef VEMSMESSAGEHASHHELPER_H
#define VEMSMESSAGEHASHHELPER_H

#include "VemsMessage.h"
class StringHash;

WX_DECLARE_STRING_HASH_MAP( VemsMessage*, VemsMessageHash);

class VemsMessageHashClass: public wxObject, public VemsMessageHash
{
    DECLARE_DYNAMIC_CLASS(VemsMessageHashClass)

    public:
        virtual ~VemsMessageHashClass();

};

class VemsMessageHashHelper
{
    public:

        static bool Parse( VemsMessageHashClass & hash );

        static VemsMessage GetVemsMsg(const wxString &name, StringHash * paramlist = NULL);

    protected:
    private:

};

#endif // VEMSMESSAGEHASHHELPER_H
