#ifndef CONFIGMGRFRAMELAYOUT_H
#define CONFIGMGRFRAMELAYOUT_H

#include "ConfigMgrBase.h"
#include "../wxRealRect.h"

class ConfigMgrFrameLayout : public ConfigMgrBase
{
    public:
        ConfigMgrFrameLayout(ConfigBase* configBase, const wxString& name = wxEmptyString);
        virtual ~ConfigMgrFrameLayout();

        void load(wxObject* obj);
        void loadTo(wxObject* frame_withRTTI, const wxRect& bbrect = wxDefaultRect);
        void loadTo(wxObject* frame, const wxString& name, const wxRect& bbrect = wxDefaultRect);

        void save(wxObject* obj);
        void saveFrom(wxObject* frame_withRTTI);
        void saveFrom(wxObject* frame, const wxString& name);

    private:
        wxString m_path;
        wxString m_name;
};

#endif // CONFIGMGRFRAMELAYOUT_H
