#ifndef DEVICECONFIGHELPER_H
#define DEVICECONFIGHELPER_H

#include <wx/wx.h>

class ConfigBase;

class DeviceConfigHelper
{
    public:
        DeviceConfigHelper();
        virtual ~DeviceConfigHelper();
        static wxString GetGroupFile(ConfigBase* configBase,  int device );
        static wxString GetGaugesFile(ConfigBase* configBase, int device );
        static wxString getLayoutFile(ConfigBase* configBase, int device );
        static wxString getDeviceFile(ConfigBase* configBase, int device, const wxString& key );

        static wxSize GetRefDisplaySize() { return m_refDisplaySize; };
        static wxString getDevicePath(int device);
        static wxSize ParseGaugesDBFile(const wxString& str);


    protected:
    private:

        static wxSize m_refDisplaySize;

};

#endif // DEVICECONFIGHELPER_H
