#ifndef WXCHECKBOXEX_H
#define WXCHECKBOXEX_H

#include <wx/wx.h>

#include "ControlColorContentValidator.h"

class wxCheckBoxEx: public wxCheckBox, public ControlColorContentValidator
{
    DECLARE_DYNAMIC_CLASS(wxCheckBoxEx);

    public:
        wxCheckBoxEx() {};
        wxCheckBoxEx(wxWindow* parent,
                         wxWindowID id,
                         const wxString& label = _T(""),
                         const wxPoint& pos = wxDefaultPosition,
                         const wxSize& size = wxDefaultSize,
                         long style = 0,
                         const wxString& name = wxTextCtrlNameStr,
                         bool isPending = false);

        virtual ~wxCheckBoxEx();

    protected:

        void OnSetFocus(wxFocusEvent& evt);
        void OnKillFocus(wxFocusEvent& evt);

        void OnUpdated(wxCommandEvent& evt);


    private:

        //DECLARE_EVENT_TABLE();

};

#endif // WXCHECKBOXEX_H
