#ifndef WXCOMBOBOXNULLEX_H
#define WXCOMBOBOXNULLEX_H

#include <wx/wx.h>

#include "ControlColorContentValidator.h"


class wxComboBoxNullEx: public wxComboBox, public ControlColorContentValidator
{
    DECLARE_DYNAMIC_CLASS(wxComboBoxNullEx);

    public:
        wxComboBoxNullEx() {}

        wxComboBoxNullEx(wxWindow*              parent,
                         wxWindowID             id,
                         const wxString&        value = _T(""),
                         const wxString&        nullstr = _T("NULL"),
                         const wxPoint&         pos = wxDefaultPosition,
                         const wxSize&          size = wxDefaultSize,
                         const wxArrayString&   choices = wxArrayString(),
                         long                   style = 0,
                         const wxValidator&     validator = wxDefaultValidator,
                         const wxString&        name = wxTextCtrlNameStr,
                         bool                   isPending = false);

        virtual ~wxComboBoxNullEx();

    protected:

        void OnSetFocus(wxFocusEvent& evt);
        void OnKillFocus(wxFocusEvent& evt);

        void OnUpdated(wxCommandEvent& evt);


    private:

        DECLARE_EVENT_TABLE();
};

#endif // WXCOMBOBOXNULLEX_H
