#ifndef WXSTATICTEXTNULLEX_H
#define WXSTATICTEXTNULLEX_H

#include <wx/wx.h>

#include "ControlColorContentValidator.h"

class wxStaticTextNullEx: public wxStaticText, public ControlColorContentValidator
{
    DECLARE_DYNAMIC_CLASS(wxStaticTextNullEx);

    public:
        wxStaticTextNullEx() {};
        wxStaticTextNullEx(  wxWindow* parent,
                             wxWindowID id,
                             const wxString& label = _T(""),
                             const wxString& nullstr = _T("NULL"),
                             const wxPoint& pos = wxDefaultPosition,
                             const wxSize& size = wxDefaultSize,
                             long style = 0,
                             const wxString& name = _T("statictext"),
                             bool isPending = false);

        virtual ~wxStaticTextNullEx();

    protected:

    private:

};

#endif // WXSTATICTEXTNULLEX_H
