/***************************************************************
 * Name:      HotkeyManagerWizardApp.cpp
 * Purpose:   Code for Application Class
 * Author:     ()
 * Created:   2010-07-08
 * Copyright:  ()
 * License:
 **************************************************************/

#include <wx/filename.h>

#include "HotkeyManagerWizardApp.h"
#include "HotkeyManagerWizardMain.h"
#include "DirHelper.h"

IMPLEMENT_APP(HotkeyManagerWizardApp);

bool HotkeyManagerWizardApp::OnInit()
{
    wxFileName prgName = wxFileName(argv[0]);
    wxString path = prgName.GetPath();
    if(path.StartsWith(_T("."))){
        path = wxFileName::GetCwd();
    }
    DirHelper::SetProgramRootDir(path);

    HotkeyManagerWizardFrame* frame = new HotkeyManagerWizardFrame(0L, _("VemsTune Hotkey manager wizard"));
    frame->SetIcon(wxICON(vemsLogoIcon)); // To Set App Icon
    frame->Show();

    return true;
}
