#ifndef EEPROMCFGSAVERV3_H
#define EEPROMCFGSAVERV3_H

#include "EepromCfgSaverBase.h"

class VemsTuneController;
class EepromRawDataEvent;
class EepromDownloadController;

class EepromCfgSaverV3 : public EepromCfgSaverBase
{
    public:
        EepromCfgSaverV3( VemsTuneController* vtc );
        virtual ~EepromCfgSaverV3();

    protected:
        void        getEepromData();
        wxString    toString() { return _T("ECU"); }

    private:
        VemsTuneController*         m_vtc;
        EepromDownloadController*   m_ctrl;

    private:
        void    onEepromRawDataEvent( EepromRawDataEvent& event );

        DECLARE_EVENT_TABLE()
};

#endif // EEPROMCFGSAVERV3_H
