#include "CommunicationEvent.h"

DEFINE_EVENT_TYPE( wxEVT_COMMUNICATION )
//DEFINE_EVENT_TYPE( wxEVT_COMM_ERROR )
//DEFINE_EVENT_TYPE( wxEVT_COMM_TIMEOUT )
//DEFINE_EVENT_TYPE( wxEVT_COMM_CANNOT_OPEN )

IMPLEMENT_DYNAMIC_CLASS( CommunicationEvent, wxEvent )

wxString CommunicationEvent::toString() const
{
    switch( GetId() )
    {
        case CANNOT_OPEN_PORT:
            return _T("CANNOT_OPEN_PORT");

        case COMMUNICATION_ERROR:
            return _T("COMMUNICATION_ERROR");

        case TIMEOUT:
            return _T("TIMEOUT");

        case PORT_CLOSED:
            return _T("PORT_CLOSED");

        case REMOVE_USB:
            return _T("REMOVE_USB");

        default:
            return _T("INVALID");
    }
}
