#ifndef EXPRESSIONSTACKITEM_H
#define EXPRESSIONSTACKITEM_H

#include <wx/string.h>

enum StackType{
    NUMBER,
    VARIABLE,
    FUNCTION
};

class ExpressionStackItem
{
    public:
        ExpressionStackItem();
        virtual ~ExpressionStackItem();

        void setType(StackType type)
        {
            m_type = type;
        }
        void setNumber(double number)
        {
            m_number = number;
        }
        void setName(const wxString name)
        {
            m_name = name;
        }
        StackType getType()
        {
            return m_type;
        }
        double getNumber()
        {
                return m_number;
        }
        wxString getName()
        {
                return m_name;
        }
    protected:
    private:
        StackType m_type;
        double m_number;
        wxString m_name;
};



#endif // EXPRESSIONSTACKITEM_H
