#ifndef EXPRESSIONVARIABLE_H
#define EXPRESSIONVARIABLE_H

#include "ExpressionBase.h"

class VariableData;

class ExpressionVariable : public ExpressionBase
{
    public:
        ExpressionVariable( const wxString& name, VariableData* data );
        virtual ~ExpressionVariable();

        void interpret( RPNStack& rpnStack );
        wxString toString();

    private:
        VariableData*   m_data;
        wxString        m_name;
};



#endif // EXPRESSIONVARIABLE_H
