#ifndef RPNSTACK_H
#define RPNSTACK_H

//#include <stack>
//using namespace std;

#include <wx/dynarray.h>
#include "RPNStackItem.h"



//typedef stack<RPNStackItem*> RPNStackItemS;

WX_DEFINE_ARRAY( RPNStackItem*, RPNStackItemS );

namespace ExpError{

    class ExpError{
        public:
            ExpError( const wxString& q ){ p=q; }

            wxString toString() { return p; }
        protected:
            wxString p;
    };

    class ZeroDivide : public ExpError
    {
        public:
            ZeroDivide( const wxString& q ) : ExpError( q ) {}
    };

    class SyntaxError : public ExpError
    {
        public:
            SyntaxError( const wxString& q ) : ExpError( q ) {}
    };

    class VariableException : public ExpError
    {
        public:
            VariableException( const wxString& q ) : ExpError( q ) {}
    };
}

class RPNStack
{
    public:
        RPNStack();
        virtual ~RPNStack();

        RPNStackItem*   pop();
        void            push( RPNStackItem* item_in );
        void            clear();
    protected:
    private:
        RPNStackItemS m_stack;
};


#endif // RPNSTACK_H

