#ifndef RPNSTACKITEM_H
#define RPNSTACKITEM_H

#include <wx/string.h>

class RPNStackItem
{
    public:
        enum Type { NUMBER, STRING };

        RPNStackItem();
        virtual ~RPNStackItem();

        void setNumber( double number_in );
        void setString( const wxString& string_in );
        Type        getType() { return m_type; }
        double      getNumber() { return m_number; }
        wxString    getString() { return m_string; }
    protected:
    private:
        Type        m_type;
        double      m_number;
        wxString    m_string;
};

#endif // RPNSTACKITEM_H
