#ifndef CONFIGCRITERIAPARSER_H
#define CONFIGCRITERIAPARSER_H

#include "../firmwareconfig/ConfigCriteria.h"

class wxXmlNode;
class SymbolTable;
class ConfigCriteriaData;

/**
 *  \name ConfigCriteriaParser
 */
class ConfigCriteriaParser
{
    public:
        //static bool parse( const wxString &filename, ConfigCriteriaArray* criteriaArray,
        //    SymbolTable* variableHash, SymbolTable* replaceHash);
        static bool parse(ConfigCriteriaData& data, const wxString& fileName);
    protected:
    private:
        ConfigCriteriaParser();
        static void parseRules(wxXmlNode* node, ConfigCriteriaArray& criteriaArray);
        static void parseRuleItem(wxXmlNode* node, ConfigCriteria* cc);

        static void parseItem(wxXmlNode* node, SymbolTable& symbolHash );
        static void fillSymbolhash(wxXmlNode* node, SymbolTable& symbolHash);
        //static void parseReplaceRules(wxXmlNode* node, ConfigReplaceArray* replaceArray);
        //static void parseRule(wxXmlNode* node, ConfigReplaceArray* replaceArray );

        //static ConfigCriteriaData* m_criteriaData;
};


#endif // CONFIGCRITERIAPARSER_H
