#ifndef CONFIGREPLACE_H
#define CONFIGREPLACE_H
#include <wx/wx.h>


class ConfigReplace
{
    public:
        ConfigReplace( const wxString& key, const wxString& exp )
        {
            m_key = key;
            m_exp = exp;
        }

        wxString getKey() const { return m_key; }
        //wxString getNewKey() const { return m_newKey; }
        wxString getExpression() const { return m_exp; }
    protected:
    private:
        wxString m_key;
        wxString m_exp;
};

WX_DEFINE_ARRAY( ConfigReplace*, ConfigReplaceArray );
WX_DECLARE_STRING_HASH_MAP(ConfigReplace*, ConfigReplaceHash );


#endif // CONFIGREPLACE_H
