#ifndef PAGEEXCEPTION_H
#define PAGEEXCEPTION_H

#include <wx/string.h>
#include "common/typedef.h"

enum pageExceptionCode
{
PAGE_NOT_VALID,
PAGE_ADDRESS_SYNC_ERROR,
PAGE_VERIFY_CHECKSUM_ERROR,
PAGE_WRITE_ERROR,
PAGE_WRITE_SYNC_ERROR,
PAGE_WRITE_CHECKSUM_ERROR,
PAGE_ERASE_FAILED,
PAGE_OK
};

class PageException
{
    public:
        PageException(pageExceptionCode code, int idx);
        wxString toString();
        //setPageCheckSum(uint32_t pageCheckSum);
        //setEcuCheckSum(uint32_t ecuCheckSum);
        pageExceptionCode m_code;
        uint32_t m_pageCheckSum;
        uint32_t m_ecuCheckSum;
        int m_idx;

        virtual ~PageException();
    protected:
    private:
};



#endif // PAGEEXCEPTION_H
