#ifndef DEBUGPANEL_H
#define DEBUGPANEL_H

#include <wx/wx.h>
#include <wx/bookctrl.h>

class DebugTabObserver;
class UserLogWindow;
class UserDialogBase;

class DebugPanel: public wxPanel
{
    public:
        DebugPanel(wxWindow *parent, wxWindowID id = wxID_ANY);
        virtual ~DebugPanel();

        DebugTabObserver* GetObserver() { return m_dObserver; };

        wxBookCtrl * GetBook() { return m_book; };
        void setUserDialog(UserDialogBase* userDialog);
    protected:

    private:

        DebugTabObserver * m_dObserver;

        wxTextCtrl  *   m_textCtrl;

        wxBookCtrl * m_book;
        UserLogWindow * m_ulogw;

};



#endif // DEBUGPANEL_H
