#include "AIMThread.h"

#include <wx/event.h>
#include "../events/AIMEvent.h"
#include "../logger.h"

#include "../rtdatamanager/RTDataMgrFacade.h"
#include "../rtdatamanager/RTDataInputBase.h"

AIMThread::AIMThread(RTDataMgrFacade* rtDataMgr, wxEvtHandler* vemsTuneEvent)
{
    //ctor
    m_rtDataMgr = rtDataMgr;
    m_state = -1;
    m_vemsTuneEvent = vemsTuneEvent;
}

AIMThread::~AIMThread()
{
    //dtor
}

void* AIMThread::Entry()
{
    //Logger::logf(LOG_MSG, _T("AIMThread::Entry() start"));
    while ( true )
    {
        waitEnable();
        //Logger::logf(LOG_MSG, _T("AIMThread::Entry() start 1"));
        int result = m_rtDataMgr->updateInputModel(INPUT_TYPE_AIM);
        //Logger::logf(LOG_MSG, _T("AIMThread::Entry() start 2"));
/*
        if(m_state != result){
            m_rtDataMgr->sendInputEvent(INPUT_TYPE_RINGBUFFER_ECU, result);
            ECUEvent event;
            event.state = (ECUEvent::State)result;
            m_vemsTuneEvent->AddPendingEvent(event);
        }
        m_state = result;
*/
        if(result  == AIMEvent::NOT_CONNECTED){
             wxThread::Sleep(1000);
        }
        else if(result  == AIMEvent::CONNECTED){
                wxThread::Sleep(6);
        }else{
            //wxThread::Sleep(1);
        }
    }
}

