#include "RBConsumerGUI.h"

#include "../rtdatamanager/RTDataMgrBase.h"
#include "../rtdatamanager/RTDataMgrFacade.h"

RBConsumerGUI::RBConsumerGUI(RingBuffer* ringBuffer, SyncObj* syncObj, RTDataMgrBase* rtDataMgrBase)
: RBConsumerBase(ringBuffer, syncObj)
{
    //ctor
    m_rtDataMgrBase = rtDataMgrBase;
}

RBConsumerGUI::~RBConsumerGUI()
{
    //dtor
}

void* RBConsumerGUI::Entry()
{
    /*
    if(m_mgrBase == NULL || m_ringBuffer == NULL || m_tc == NULL){
        Logger::logf(LOG_MSG, _T("RingBufferReaderThread::Entry() NOT INITIALIZED CORECTLY"));
        return false;
    }
*/
    while ( true )
    {
        waitEnable();
        waitRingBufferNotEmpty();

        //waitInputSource();
        //waitViewers();

        m_rtDataMgrBase->updateViewers();
        //Logger::logf(LOG_MSG, _T("RingBufferReaderThread::Entry() m_isNotFull->Signal()"));
        m_isNotFull->Broadcast();
        //Logger::logf(LOG_MSG, _T("RingBufferReaderThread::Entry() m_isNotFull->Signal() 1"));
    }

}

/*
void  RBConsumerGUI::waitViewers()
{
    while (m_rtDataMgrBase->getRegisteredCount() == 0){
   //     Logger::logf(LOG_MSG, _T("RingBufferReaderThread::Entry() waitViewers"));
        //m_Viewers->Wait();
    }
}

void RBConsumerGUI::waitInputSource()
{
    while( ((RTDataMgrFacade*)m_rtDataMgrBase)->getInputType() != INPUT_TYPE_RINGBUFFER )
    {
 //           Logger::logf(LOG_MSG, _T("RingBufferReaderThread::Entry() isNotRingbuffer() "));
        //m_isRingBuffer->Wait(); // signaled by writer;
   //         Logger::logf(LOG_MSG, _T("RingBufferReaderThread::Entry() m_isRingBuffer() released"));
    }
}
*/
