#ifndef RBCONTROLLER_H
#define RBCONTROLLER_H


#include <wx/thread.h>

class RBProducerBase;
class RBConsumerBase;

class RBController
{
    public:
        enum Condition{
            IS_NOT_EMPTY,
            IS_NOT_FULL,
            IS_NOT_DISABLE
        };
        RBController(RBProducerBase* prodBase, RBConsumerBase* consBase);
        virtual ~RBController();
        void Run();
        //void stop();
    protected:
    private:
        wxMutex m_mutex;
        RBProducerBase* m_prodBase;
        RBConsumerBase* m_consBase;


};



#endif // RBCONTROLLER_H
