#ifndef RBTHREADBASE_H
#define RBTHREADBASE_H

#include <wx/thread.h>
#include "ThreadBase.h"

class RingBuffer;
class wxCondition;
class SyncObj;

class RBThreadBase:  public ThreadBase
{
    public:
        RBThreadBase(RingBuffer* rb, SyncObj* syncObj);
        virtual ~RBThreadBase();
        virtual void* Entry() = 0;

    protected:
        wxCondition* m_isNotFull;
        wxCondition* m_isNotEmpty;

        RingBuffer* m_ringBuffer;
    private:

};



#endif // RBTHREADBASE_H
