#ifndef THREADCONDITIONBASE_H
#define THREADCONDITIONBASE_H

#include "wx/thread.h"

#include <wx/arrstr.h>

class ThreadConditionBase
{
    public:
        ThreadConditionBase();
        virtual ~ThreadConditionBase();
        void init();
        wxMutex m_mutex;
        wxMutex m_Rmutex;
        wxMutex m_Wmutex;

        wxCondition * m_isNotOnline;
        wxCondition * m_isNotFull;
        wxCondition * m_isNotEmpty;

        wxCondition * m_isFull;
        wxCondition * m_isEmpty;
        wxCondition * m_isRingBuffer;
        wxCondition * m_Viewers;

        wxArrayString *m_queue;
    protected:
    private:
};



#endif // THREADCONDITIONBASE_H
