#ifndef THREADCONTROLLERVEMSLOG_H
#define THREADCONTROLLERVEMSLOG_H

#include "../common/ProcessBase.h"

#include "../vemsprotocol/SIPRPacket.h"

class VemsLogReader;
class wxEvtHandler;

class ThreadControllerVemslog : public ProcessBase
{
    public:
        ThreadControllerVemslog(VemsLogReader* vemsLogReader, wxEvtHandler* eventHandler);
        virtual ~ThreadControllerVemslog();

            /// ProcessBase classes
        //void        start();
        //void        stop();
        //bool        isRunning() const;
        bool        process();
        void reset() {};
    protected:
    private:
        VemsLogReader*  m_vemsLogReader;
        wxEvtHandler*   m_eventHandler;

        SIPRPacket m_siprPacket;

        void finished(){};
        void sendEvent( const SIPRPacket& packet, int eventType );

};

#endif // THREADCONTROLLERVEMSLOG_H
