#ifndef RTDATAINPUTRINGBUFFER_H
#define RTDATAINPUTRINGBUFFER_H

#include "RTDataRawInputBase.h"

#include "../ringbuffer/RingBuffer.h"

class SymbolMgr;

class RTDataInputRingBuffer : public RTDataRawInputBase
{
    public:
         RTDataInputRingBuffer(RingBuffer * rb, SymbolMgr * mt, DoubleHash* viewerModel = NULL );
        ~RTDataInputRingBuffer();

       // double  getValue(const wxString& symbolname);
        //int     getType();
        int    updateViewerModel();
        //int    updateInputModel();
        bool    isExist(const wxString& symbolname);
        bool    isValid();
//        void    setMTConfigData(MTConfigData* mtcd){ m_mtConfigData = mtcd; }

        void reset() {};

    protected:
         RingBuffer*    m_ringBuffer;
        char*           m_TailBuff;
    private:



};


#endif // RTDATAINPUTRINGBUFFER_H
