#ifndef RTDATAMGRLOGSEQ_H
#define RTDATAMGRLOGSEQ_H

#include "RTDataInputBase.h"
#include "../fileparser/parserbase.h"
#include "../common/wxhashdef.h"

class RTDataMgrLogSeq : public RTDataInputBase, public ParserBase
{
    public:
        RTDataMgrLogSeq(const wxString& strFile);
        virtual ~RTDataMgrLogSeq();

        /* RTDataInputBase */
        int updateViewerModel();
        int updateInputModel();
        double getValue(const wxString& symbolname);
        bool isExist(const wxString& symbolname);
        RTDataInputType getType();
        bool isValid();
        /* ParserBase */
        void parseLine();
        //
        wxArrayString * getVEMSDataLogHeader();


        void reset();

    protected:

        void initFile();

    private:
        wxArrayString*      m_symbolNames;
        DoubleArray*    m_row;

        wxString    m_fileName;
};



#endif // RTDATAMGRLOGSEQ_H
