#include "SdImage.h"
#include "../logger.h"

SdImage::SdImage()
{
    //ctor
}

void SdImage::SetSource(wxString img_name)
{
    m_imgName=img_name;
    m_imageFile = new wxFile(m_imgName);
    m_imageSize = m_imageFile ->SeekEnd(0);
}

SdImage::~SdImage()
{
    delete m_imageFile;
}

bool SdImage::getMMCBlock(uint32_t blockIdx, uint8_t* data, int len )
{
    int datapos=blockIdx*512;
    if ((datapos+len) > m_imageSize){
        for (int i=0;i<len;i++){
            data[i]=0;
        }
        return false;
    }
    m_imageFile->Seek(datapos);
    int readL = m_imageFile->Read(data, len);
    if (readL==len) return true;
    else return false;
}
