#ifndef STDATAIOSIPR_H
#define STDATAIOSIPR_H


#include "STDataIOBase.h"


class CommandRequestBase;
class SymbolTable;


class STDataIOSIPR : public STDataIOBase
{
    public:
        STDataIOSIPR( CommandRequestBase* requestBase, SymbolTable* symbolTable );
        virtual ~STDataIOSIPR() {}

        // STDataIOBase virtual methods
        void    readAllData();
        void    writeAllData() {}
        void    burnData();
        void    write( size_t page, size_t offset, uint8_t data );
        void    read( int page );
    private:
        CommandRequestBase*     m_pRequestBase;
        SymbolTable*            m_pSymbolTable;
};


#endif // STDATAIOSIPR_H
