#ifndef TBTBEDITMODE_H
#define TBTBEDITMODE_H


#include "VemsToolBarToolBase.h"

class GaugeGroupManager;

class TbTbEditMode : public VemsToolBarToolBase
{
    DECLARE_DYNAMIC_CLASS(TbTbEditMode);

    public:
        TbTbEditMode() {};
        TbTbEditMode(int id);
        virtual ~TbTbEditMode();

        virtual void OnTool(wxCommandEvent &event);
        virtual void OnToolR(wxCommandEvent &event);
        virtual void OnToolEnter(wxCommandEvent &event);
        virtual void Init();
        virtual bool SendObject(int id, wxObject *object, const wxString &message = wxEmptyString);

    protected:

        void OnMenu(wxCommandEvent &evt);

        void OnTimer(wxTimerEvent& evt);

    private:

        GaugeGroupManager * m_gaugeGroupManager;

        int         idMenuSave;
        int         idMenuSaveAndSwitch;
        int         idMenuUndo;

        wxMenu  *   m_popupMenu;

        wxTimer     m_timer;

};

#endif // TBTBEDITMODE_H
