#ifndef TBTBGPS_H
#define TBTBGPS_H

#include "VemsToolBarToolBase.h"
#include "../events/GPSEvent.h"
#include "../events/GPSCommEvent.h"
#include "../GPSInfo.h"

class VemsTuneController;

class TbTbGPS: public VemsToolBarToolBase
{
    DECLARE_DYNAMIC_CLASS(TbTbGPS);

    public:
        TbTbGPS() {};
        TbTbGPS(int id);

        void OnTool(wxCommandEvent &event) ;
        void OnToolR(wxCommandEvent &event);
        void OnToolEnter(wxCommandEvent &event) {};
        void OnGPSEvent( GPSEvent& event );
        void OnGPSCommEvent( GPSCommEvent& event );
        void Init();
        bool SendObject(int id, wxObject *object, const wxString &message = wxEmptyString);
        void SendEvent( ToolBarToolsNeedId event, int value );
        virtual ~TbTbGPS();
    protected:
        void show();
    private:
        VemsTuneController*    m_VemsTuneController;
        int                    m_gpsState;
        int                     m_gpsCommState;

};



#endif // TBTBGPS_H
