#ifndef TBTBINPUTSOURCE_H
#define TBTBINPUTSOURCE_H

#include "VemsToolBarToolBase.h"


class TbTbInputSource: public VemsToolBarToolBase
{
    DECLARE_DYNAMIC_CLASS(TbTbInputSource);

    public:
        TbTbInputSource() {};
        TbTbInputSource(int id);
        virtual ~TbTbInputSource();

        void Init();
        bool SendObject(int id, wxObject *object, const wxString &message = wxEmptyString);
        void OnTool(wxCommandEvent &event);
        void OnToolR(wxCommandEvent &event);
        void OnToolEnter(wxCommandEvent &event);

    private:
        wxMenu*             m_selectInputMenu;

        void checkMenuItem( const wxString& menuName );
};



#endif // TBTBINPUTSOURCE_H
