#ifndef VEMSGAUGEDIGITAL_H
#define VEMSGAUGEDIGITAL_H

#include <wx/frame.h>
#include "../rtdatamanager/RTDataViewerBase.h"
#include "../gaugevalueselector.h"

#include "vemsgaugedesc.h"
#include "VemsWidgetBase.h"

#include <wx/sizer.h>
#include <wx/stattext.h>

#include <wx/dcbuffer.h>
#include <wx/wx.h>

class VemsGaugeDigital: public VemsWidgetBase
{
    public:

        VemsGaugeDigital(wxWindow* parent,wxWindowID id, GaugeDescManager * gdmgr, GaugeProperties &prop);
        /*const wxString& symbolName = _T("rpm"),
            wxPoint gPos = wxDefaultPosition, int width = 120,wxString rootdir = wxEmptyString,
            long style = wxNO_BORDER , const VEMSGaugeDescArray * gaugeDescA = NULL, const WidgetThemeTableArray * themes = NULL,
            GaugeGroupManager* groupManager = NULL, const wxString& groupName = wxEmptyString, const wxString& currTheme = ThemesHelper::m_defaultThemeName );*/

        virtual ~VemsGaugeDigital();

        void Creator(wxWindow* parent, const wxString& symbolName,wxPoint gPos, wxSize gSize);

        virtual void UpdateSize();
        void OnPaint(wxPaintEvent& event);

        void SetValue(double value);
        void setSize(int x , int y){
        }

		virtual wxRegion GetShape();

        wxRegion GetBorderRegion() { return wxRegion(); };

        void SetNewTheme(WidgetThemeTable *theme);

        void SetTextsColors();

    protected:


        bool DrawBarBackGround();

        wxBitmap* GetBackgroundBitmap(int x, int y);
        wxBitmap* GetBackgroundBitmap(const wxSize& size) { return GetBackgroundBitmap(size.x,size.y); };


    private:

        void OnSize(wxSizeEvent &evt);

        static const long ID_STATICTEXT1;
        static const long ID_STATICTEXT2;
        static const long ID_STATICTEXT3;
        static const long ID_TEXTCTRL1;
/*
		wxStaticText* StaticTextTitle;
		wxStaticText* StaticTextValue;
		wxStaticText* StaticTextUnit;
*/
	//	wxTextCtrl* TextCtrl1;


        wxImage backgroundImageFrom;
        //wxImage *backgroundImage;


        wxString m_prevValue;


        wxBitmap    *m_barBackgrounBmp;
        wxBitmap    *backgroundBmp;


        wxPoint     m_tPos;
        wxSize      m_tSize;

        bool        m_barSem;

        //double m_value;
        double m_fullValue;

        double m_sideRatio;
        double m_borderWidth;

        wxFont m_DigitalFont;


        wxSize m_oriSize;

        wxStopWatch sp;

    //    BarPieceArray   m_barPieces;

		DECLARE_EVENT_TABLE()
};


#endif // VEMSGAUGEDIGITAL_H
