#ifndef COMMUNICATIONDISPATCHER_H
#define COMMUNICATIONDISPATCHER_H


#include "CommunicationClientBase.h"

/**

*/
class CommunicationDispatcher
{
    public:
        void                            registerClient( CommunicationClientBase* client )      { m_clients.insert( client ); }
        void                            unregisterClient( CommunicationClientBase* client )    { m_clients.erase( client ); }

        bool                            isIdle() const;

    private:
        CommunicationClientBaseSet      m_clients;

};

#endif // COMMUNICATIONDISPATCHER_H

