#include "ECUInfo.h"


wxString ECUInfo::getStateAsString( int state )
{
    switch( state )
    {
        case BOOT:
            return _T("Boot");
        case MEGATUNE:
//        case MEGATUNE2:
            return _T("Megatune");
        case MAN:
//        case MAN2:
            return _T("Man");
        case M168BLS:
            return _T("M168BLS");
        case AIM:
//        case AIM2:
            return _T("Aim");
         case SIPR:
            return _T("SIPR");
        default :
            return _T("UNKNOWN");
    }
}

wxString ECUInfo::getDeviceAsString( int device )
{
    switch( device )
    {
        case DEVICE_V3:
            return _T("V3");
        case DEVICE_ROUND:
            return _T("Round");
        case DEVICE_ARM:
            return _T("Arm");
        case DEVICE_INIT:
            return _T("Init");
        default :
            return _T("UNKNOWN");
    }
}
