#ifndef ECUSTATE_H
#define ECUSTATE_H

#include "../common/typedef.h"
#include "ECUStateBase.h"

class CommunicationBase;

class ECUState : public ECUStateBase
{
    public:
        //ECUState();
        ECUState( int id, const wxString&  name, CommunicationBase* commBase, const wxString& command, const wxString&  response, int baudrate );
        virtual ~ECUState();

        /*virtual*/ bool check();
        ///*virtual*/ void goToState( int state );
    protected:
    private:
        wxString    m_command;
        wxString    m_response;
        //const char* m_nameChar;
        const char* m_commandChar;
        const char* m_responseChar;
        uint8_t m_buff[256];
};

class ECUStateAIM : public ECUStateBase
{
    public:
        ECUStateAIM( CommunicationBase* commBase, int baudRate );
        ~ECUStateAIM( );
        /*virtual*/ bool check();
        ///*virtual*/ void goToState( int state );
    private:
};

#endif // ECUSTATE_H
