#ifndef SERIALRECOGNIZER_H
#define SERIALRECOGNIZER_H

#include <wx/wx.h>
#include "../../common/typedef.h"

#include "IRecognizer.h"

class SerialRecognizer : public IRecognizer
{
    public:
        SerialRecognizer( size_t length );
        virtual ~SerialRecognizer();

        bool    feed( char c );
        void    reset();
        TxData* getReceivedData();

    private:
        size_t      m_length;
        size_t      m_received;
        uint8_t*    m_buffer;
        wxString    m_serial;
};

#endif // SERIALRECOGNIZER_H
