#ifndef WXWEBBROWSERACTIVEX_H
#define WXWEBBROWSERACTIVEX_H

#ifdef WXACTIVEX_HTML_RENDERER

#include "msw/wxWebControl.h"
#include "wxWebBrowserBase.h"

class wxWebBrowserActiveX: public wxWebBrowserBase
{
    public:
        wxWebBrowserActiveX(wxWindow* parent);
        virtual ~wxWebBrowserActiveX();

        virtual bool LoadURL(const wxString& url);

    protected:

        void OnTitleChange(wxActiveXEvent& evt);
        void OnBeforeNavigate2(wxActiveXEvent& evt);
        void OnNavigateComplete2(wxActiveXEvent& evt);

    private:

        enum ids {
            idWebCtrl = 4500
        };

        wxWebControl* m_webCtrl;

        DECLARE_EVENT_TABLE();

};

#endif // WXACTIVEX_HTML_RENDERER

#endif // WXWEBBROWSERACTIVEX_H
