#ifndef IGNITIONLOCKFRAME_H
#define IGNITIONLOCKFRAME_H

#include <wx/frame.h>

#include "../rtdatamanager/RTDataViewerBase.h"
#include "../gaugedesc/GaugeProperties.h"

//class CommandRequestBase;
class RTDataMgrBase;

class IgnitionLockFrame : public wxFrame
{
    public:
        IgnitionLockFrame(wxWindow* parent, wxWindowID id, const wxString& title,
                        const wxPoint& pos = wxDefaultPosition, size_t gaugeCount = 2,
                        long style = wxDEFAULT_FRAME_STYLE);
        virtual ~IgnitionLockFrame();

        void SetDataMgrObj(RTDataMgrBase* rtDataMgr);
        //void setCommandRequestBase(CommandRequestBase* commRequest);
        bool addGauge(GaugeProperties& prop);
        void addPanel(wxPanel* panel);

    protected:
    private:
        RTDataMgrBase* m_rtDataMgr;
        //CommandRequestBase* m_commRequest;

        wxBoxSizer*     m_dialogSizer;
        ViewerBaseArray m_viewers;

        void buildGUI(wxWindow* parent);
        void unregisterViewer();
};

#endif // IGNITIONLOCKFRAME_H
