#ifndef IGNITIONLOCKPANEL_H
#define IGNITIONLOCKPANEL_H

#include <wx/wx.h>

#include <wx/panel.h>

class CommandRequestBase;

class IgnitionLockPanel : public wxPanel
{
    public:
        IgnitionLockPanel(wxWindow* parent, CommandRequestBase* requestMgr);
        virtual ~IgnitionLockPanel();
    protected:
    private:
        CommandRequestBase* m_requestMgr;

        wxTextCtrl* m_textctrl;

        void buildGUI(wxWindow* parent);
        void OnEnter( wxCommandEvent& event );
        void OnKillFocus( wxFocusEvent& event );
        void OnKeyDown( wxKeyEvent& event );
        void OnCloseButton( wxCommandEvent& event );

        void ignitionRequest(int ignition);

         DECLARE_EVENT_TABLE();
};

#endif // IGNITIONLOCKPANEL_H
