#include "Point3D.h"
#include <math.h>

void  Point3D::operator/=( double d )
{
    if ( fabs(d) > EPSILON ) { x /= d; y /= d; z /= d; }
    else { x = y = 0.0; z = 1.0; }
}

Point3D Point3D::operator/( double s )
{
    if ( fabs(s) > EPSILON ) { return Point3D( x / s, y / s, z / s ); }
    else { return Point3D(0.0, 0.0, 1.0); }
}

 double  Point3D::length() { return sqrt( x * x + y * y + z * z); }
