#include "DebugTabObserver.h"
#include "logger.h"

DebugTabObserver::DebugTabObserver(wxTextCtrl* textCtrl)
: m_debugText (NULL)
{
    //ctor
    m_debugText  = textCtrl;

    wxFont font(wxSystemSettings::GetFont(wxSYS_DEFAULT_GUI_FONT));
    font.SetFamily(wxFONTFAMILY_MODERN);
    font.SetPointSize(8);
    font.SetFaceName(_T("Courier new"));
    m_debugText->SetFont(font);
}

DebugTabObserver::~DebugTabObserver()
{
    //dtor
}
void DebugTabObserver::Init(const wxString& name, const wxString& msg, const int max)
{

}

void DebugTabObserver::notify(int i, int idx)
{

}

void DebugTabObserver::notify(const wxString & str)
{
  if(m_debugText == NULL) return;
  if(str == wxEmptyString || str.Length() == 0) return;
/*
    if(msg.StartsWith(_T("-"))){
        wxFont font(10, wxFONTFAMILY_SWISS, wxNORMAL, wxBOLD, true); //,wxT("Arial", wxFONTENCODING_ISO8859_1));
         ListBox->SetFont(font);
    }
*/
    //ListBox->AppendString(msg);

    //ListBox->AppendText(_T("\n"));
    m_debugText->AppendText(str);
    m_debugText->AppendText(_T("\n"));

//    wxFont font(wxSystemSettings::GetFont(wxSYS_DEFAULT_GUI_FONT));
//    ListBox->SetFont(font);
//     Logger::logf(LOG_MSG, _T("DebugTabObserver::notify():\"")+str+_T("\""));
}

void DebugTabObserver::clear()
{
    if ( !m_debugText ) { return; }
    m_debugText->Clear();
}

