#include "DetectionTestApp.h"
#include "DetectionTestMainFrame.h"
#include "logger.h"
#include "DirHelper.h"
//#include "MTConfigHelper.h"
//#include "configmanager/ConfigHelper2.h"
//#include "common/VemsMessageHashHelper.h"
//#include "common/VemsContext.h"

#include <wx/filename.h>

IMPLEMENT_APP(DetectionTestApp);

bool DetectionTestApp::OnInit()
{
    wxFileName prgName = wxFileName(argv[0]);

    wxString path = prgName.GetPath();
    if(path.StartsWith(_T("."))){
        path  = wxFileName::GetCwd();
    }

    DirHelper::SetProgramRootDir(path);

    wxString logfile = DirHelper::GetPath( dDEBUGLOG ) + _T("filelog.txt");
    Logger::initLog( logfile );

    ::wxInitAllImageHandlers();

//    wxObject* obj = VemsContext::initObject(_T("VemsMessageHashClass"));
//    VemsMessageHashHelper::Parse( *((VemsMessageHashClass*)obj) );
//
//    ConfigHelper2::init();
//
//    MTConfigHelper::createMTConfigData();

	DetectionTestMainFrame* frame = new DetectionTestMainFrame(0L, _("DetectionTestApp"));
	frame->Show();

	return true;
}

int DetectionTestApp::OnExit()
{
//    ConfigHelper2::cleanup();
//	MTConfigHelper::cleanup();
//
//	VemsContext::cleanup();

    return 0;
}
