#ifndef GPSDATA_H
#define GPSDATA_H

#include "common/typedef.h"

class GPSData
{
    public:
        GPSData( int length );
        virtual ~GPSData();

        void    set( const uint8_t* src );
        void    get( uint8_t* dest ) const;
        int     length() const { return m_length; }
        void    captureEcuBlock(uint8_t idx);
    protected:
    private:
        uint8_t*    m_data;
        int         m_length;
        uint8_t     m_capturedIdx;
};

#endif // GPSDATA_H
