#include "SessionSelectPanel.h"

#include "logger.h"

long idComboBox = wxNewId();

BEGIN_EVENT_TABLE(SessionSelectPanel, wxPanel)
	EVT_COMBOBOX( idComboBox, SessionSelectPanel::OnSessionSelected)
END_EVENT_TABLE()

SessionSelectPanel::SessionSelectPanel(wxWindow* parent, wxWindowID id, const wxString& boxTitle )
{
    Create(parent, id, wxDefaultPosition, wxDefaultSize, wxTAB_TRAVERSAL, _T("Panel"));

    //wxStaticBoxSizer* sizer = new wxStaticBoxSizer(wxHORIZONTAL, this, boxTitle);

    wxStaticBox* box = new wxStaticBox( this, wxID_ANY, boxTitle );
    wxFont font = box->GetFont();
    font.SetWeight( wxFONTWEIGHT_BOLD );
    box->SetFont( font );
    box->SetForegroundColour( *wxBLACK );

    wxStaticBoxSizer* sizer = new wxStaticBoxSizer( box , wxHORIZONTAL );
    //wxStaticBoxSizer(wxStaticBox* box, int orient)

    //wxBoxSizer* sizer = new wxBoxSizer(wxHORIZONTAL);
    //wxStaticText *StaticText
    //= new wxStaticText(this,wxID_ANY,_T("Project: "),wxDefaultPosition,wxDefaultSize,0,_T(""));
    //sizer->Add(StaticText,0,wxALL|wxALIGN_CENTER_HORIZONTAL|wxALIGN_CENTER_VERTICAL,0);

    //wxArrayString sessions;
    wxArrayString sessionArray; //wxArrayString();
  //  Helper::getGroupArray(_T("/sessions"), &sessionArray);

    wxString currSession = _T("");

    m_ComboBox
    = new wxComboBox(this,idComboBox,currSession,wxDefaultPosition,wxDefaultSize,sessionArray,0,wxDefaultValidator,_T("SELECT_SES_COMBO"));
	sizer->Add(m_ComboBox,1,wxRIGHT|wxEXPAND|wxALIGN_CENTER_HORIZONTAL|wxALIGN_CENTER_VERTICAL,5);

    SetSizer(sizer);
	//sizer->Fit(this);
	//sizer->SetSizeHints(this);

	SetInitialSize( GetBestSize() );
}

SessionSelectPanel::~SessionSelectPanel()
{
    //dtor
}

void SessionSelectPanel::OnSessionSelected( wxCommandEvent& event )
{
    int id = event.GetId();

    if( id == idComboBox )
    {
        wxString session = _T("/sessions/") + m_ComboBox->GetValue();
        observerNotify( session );
    }
}
