#include "bcParentFrame.h"

#include <wx/dcbuffer.h>

BEGIN_EVENT_TABLE(bcParentFrame, wxFrame)

    EVT_PAINT(bcParentFrame::OnPaint)

END_EVENT_TABLE()

bcParentFrame::bcParentFrame(wxWindow* parent, int id, const wxString& title, const wxPoint& pos, const wxSize& size, long style)
{
    //ctor
    Create(parent, id, title, pos, size, style);
    SetBackgroundColour(wxSystemSettings::GetColour(wxSYS_COLOUR_3DFACE));
    ClearBackground();

    CreateBcParent(this);
}

bcParentFrame::~bcParentFrame()
{
    //dtor
}

void bcParentFrame::OnPaint(wxPaintEvent& evt)
{
    wxBufferedPaintDC dc(this);

    dc.SetBackground( GetBackgroundColour() );
    dc.Clear();

    PaintWidgets(dc);
}
