#ifndef MENULINKHELPER_H
#define MENULINKHELPER_H

#include <wx/wx.h>
class MTConfigData;

class MenuLinkHelper
{
    public:

        static wxString getLink(const wxString& href, const wxString& name, const wxString& symbolToMark = wxEmptyString );
        static wxString getLink(const wxString& href, const wxString& name, const wxArrayString& symbolsToMark );
        static wxString getHtmlTable( const wxArrayString& missingScalar, MTConfigData& mtConfigData);
        static wxString getHtmlFromVariable(MTConfigData& mtconfigData, const wxString& variable);
        static wxString getHtmlFromExpression(MTConfigData& mtconfigData, const wxString& expression);

    protected:
    private:
         MenuLinkHelper();
        virtual ~MenuLinkHelper();
};

#endif // MENULINKHELPER_H
