#ifndef WXARRAYHELPER_H
#define WXARRAYHELPER_H
#include <wx/wx.h>

class wxArray;
class IntArray;

class wxArrayHelper
{
    public:

        virtual ~wxArrayHelper();
        static void removeArray(wxArrayString& a, wxArrayString& b);

        static bool SwapArrayItems(IntArray& array, int idx1, int idx2);

    protected:
    private:
         wxArrayHelper();
};

#define WX_ARRAY_DELETE_ITEMS(array,fromidx,toidx)              \
    {                                                           \
        size_t wxAAremsize = toidx-fromidx;                     \
        for ( size_t wxAAn = 0; wxAAn <= wxAAremsize; wxAAn++ ) \
        {                                                       \
            delete (array)[fromidx];                            \
            (array).RemoveAt(fromidx);                          \
        }                                                       \
                                                                \
    }

#endif // WXARRAYHELPER_H
