#ifndef EEPROMCONFIGLOADER_H
#define EEPROMCONFIGLOADER_H

#include "EepromCfgSaverBase.h"
#include "../fileparser/parserbase.h"

class EEpromConfigLoader : public EepromCfgSaverBase, public ParserBase
{
    public:
        EEpromConfigLoader( const wxString& filename );

    protected:
        void        parseLine();
        void        getEepromData();
        wxString    toString() { return _T("LOG"); }

    private:
        wxString    m_eepromfilename;
};

#endif // EEPROMCONFIGLOADER_H
