#include "VEMSTableEditorEvents.h"
DEFINE_EVENT_TYPE( EVT_TABLE_EDITOR )
IMPLEMENT_DYNAMIC_CLASS( TableEditorEvent, wxEvent )

TableEditorEvent::TableEditorEvent( int id ) : wxEvent( id, EVT_TABLE_EDITOR )
{
    row             = -1;
    col             = -1;
    value           = 0.0;
    readAfterWrite  = false;
}


TableEditorEvent::TableEditorEvent( EventType type, int row, int col, double d ) : wxEvent( type, EVT_TABLE_EDITOR )
{
    this->row        = row;
    this->col        = col;
    value           = d;
    readAfterWrite  = false;
}
