#include "ExpressionBase.h"
#include <cstdarg>
#include "../logger.h"

ExpressionBase::~ExpressionBase()
{
    //dtor
}

void ExpressionBase::delItem( RPNStackItem** item, ... )
{
    RPNStackItem** _item = item;

    va_list vlist;

    va_start( vlist, item );

    while ( _item != NULL )
    {
        if ( *_item != NULL )
        {
            delete *_item;
        }

        _item = va_arg( vlist, RPNStackItem** );
    }

    va_end( vlist );
}
