#ifndef SHUNTINGYARD_H
#define SHUNTINGYARD_H

#include <wx/arrstr.h>

#include "InfixToken.h"
#include "InfixOperator.h"
#include "ExpressionBase.h"

//#include <stack>

using namespace std;

typedef stack<InfixOperator*> OperatorStack;

class ShuntingYard
{
    public:
        ShuntingYard();
        virtual ~ShuntingYard();

        void toRpn( InfixTokenA& tokenA_in, ExpressionA& exprA_out );
        wxString opStackToString( const InfixTokenA& opStack_in );
        wxString toString( ExpressionA& exprA );
    protected:
    private:
        OperatorStack m_operatorS;
        wxArrayString m_out;
};



#endif // SHUNTINGYARD_H
