#include "wx/defs.h"
#include <wx/filename.h>

#include "RPNTester.h"
#include "InfixTester.h"
#include "../logger.h"
#include "../DirHelper.h"

int main( int argc, char **argv )
{
    wxFileName tmp = wxFileName( wxString::FromAscii( argv[0] ) );
    DirHelper::SetProgramRootDir(tmp.GetPath());

    Logger::log( LOG_MSG, _T("Expression tester!") );

    RPNTester rpnTester;
    rpnTester.testInfix();


    return 0;
}
