#ifndef SYMBOLPARSER_H
#define SYMBOLPARSER_H


class TokenizerPtrArray;
class SymbolMgr;


class SymbolParser
{
    public:
        SymbolParser( const TokenizerPtrArray* tokenizers, SymbolMgr* symbolManager );
        virtual ~SymbolParser();

        void parse();

    private:
        const TokenizerPtrArray*    m_tokenizers;
        SymbolMgr*                  m_symbolManager;
};

#endif // SYMBOLPARSER_H
