#ifndef CONFIGSAVERDIALOG_H
#define CONFIGSAVERDIALOG_H

#include <wx/progdlg.h>
#include <wx/animate.h>

class ConfigSaver;
class bcProgressBar;

class ConfigSaverDialog: public wxDialog
{
    public:
        ConfigSaverDialog(wxWindow* parent, ConfigSaver* cfg_saver);
        virtual ~ConfigSaverDialog();

        void Start();

    protected:

        void OnCommand(wxCommandEvent& evt);

    private:

        ConfigSaver*        m_configSaver;

        wxString            m_msg;
        wxStaticText*       m_msgText;

        wxAnimationCtrl*    m_anim;

        bcProgressBar*      m_bar;

};

#endif // CONFIGSAVERDIALOG_H
