#ifndef CONFIGVALIDATORHELPER_H
#define CONFIGVALIDATORHELPER_H


#include "ConfigValidatorMgr.h"


class STDataModelBase;
class UserDialogBase;
class VemsMsgListCtrl;


enum {
    CVH_SHOW_RESULT_ALWAYS = 0,
    CVH_SHOW_RESULT_IF_COLLISION,
    CVH_NOT_SHOW_RESULT,
};


class ConfigValidatorHelper
{
    public:
        static ConfigValidatorMgr::ButtonState validate(    FirmwareInfo* fwInfo,
                                                            STDataModelBase* stDataModel,
                                                            UserDialogBase* userDialog,
                                                            int style = CVH_SHOW_RESULT_ALWAYS );
    private:
        ConfigValidatorHelper() {}
        virtual ~ConfigValidatorHelper() {}
};

#endif // CONFIGVALIDATORHELPER_H
