#include "GaugeProperties.h"

#include <wx/arrimpl.cpp>
WX_DEFINE_OBJARRAY(GaugePropertiesArray);

GaugeProperties DefaultGaugeProperties = GaugeProperties();

GaugeProperties::GaugeProperties()
{
    //ctor
    itemID = -1;
    winID = -1;

    x = -1;
    y = -1;
    width = -1;
    height = -1;

    symbolName = _T("rpm");
    descName = wxEmptyString;
    gaugeType = -1;

    groupName = wxEmptyString;
    groupID = -1;
    themeName = wxEmptyString;
    groupHotkey = wxEmptyString;
}

GaugeProperties::~GaugeProperties()
{
    //dtor
}
