#ifndef AIMTESTFRAME_H
#define AIMTESTFRAME_H
#include <wx/wx.h>
#include "../common/typedef.h"


class SerialPortHandler;
class AIMParser;

class AIMTestFrame : public wxFrame
{
    public:
        AIMTestFrame( wxWindow* parent );
        virtual ~AIMTestFrame();
    protected:
    private:
        SerialPortHandler*  m_pSerialPortHandler;
        wxTextCtrl*         m_pPortTextCtrl;
        wxTextCtrl*         m_pBaudTextCtrl;
        AIMParser*          m_pAIMParser;
        wxTimer             m_timer;
        uint8_t             m_txBuffer[256];
        int                 m_interval;

        void OnTimer( wxTimerEvent& event );
        void OnButton( wxCommandEvent& event );
        void OnChValueChanged( wxScrollEvent& event );
        DECLARE_EVENT_TABLE()
};

#endif // AIMTESTFRAME_H
