#ifndef FILESEARCHDLG_H_INCLUDED
#define FILESEARCHDLG_H_INCLUDED

#include <wx/wx.h>
#include <wx/datectrl.h>

#include "FileOpenSQL.h"
#include "../common/types/IntArray.h"

class FileDialogSearchDialog : public wxDialog
{
    public:
        FileDialogSearchDialog( wxWindow* parent );

        FileInfoA   getFiles();

    private:
        wxTextCtrl*         m_rpmMin, *m_rpmMax, *m_mapMin, *m_mapMax, *m_teMin, *m_teMax;
        wxTextCtrl*         m_sizeMin, *m_sizeMax;
        wxDatePickerCtrl*   m_dateMin, *m_dateMax;
        wxChoice*           m_hasGPS;
        wxTextCtrl*         m_fwMin, *m_fwMax;

        IntArray            m_ButtonIds;
        FileInfoA           m_fileinfo;

        void            searchFiles();
        void            OnButton( wxCommandEvent& event );
        void            OnClose( wxCloseEvent& event );

        DECLARE_EVENT_TABLE()

};

#endif // FILESEARCHDLG_H_INCLUDED
