#include "SessionSelectFrame.h"

#include "../SessionSelectPanel.h"

SessionSelectFrame::SessionSelectFrame( wxWindow* parent, wxWindowID id, const wxString& title )
    : wxFrame( parent, id, title )
{
    wxPanel*    mainPanel   = new wxPanel( this, wxID_ANY );
    wxBoxSizer* frameSizer  = new wxBoxSizer( wxVERTICAL );

    m_sessionSelectPanel = new SessionSelectPanel( mainPanel, wxID_ANY, _T("Project") );

    m_sessionSelectPanel->registerObserver( this );

    frameSizer->Add( m_sessionSelectPanel, 0, wxEXPAND | wxALL, 5 );

    mainPanel->SetSizer( frameSizer );
    mainPanel->Fit();

    SetClientSize( mainPanel->GetSize() );
    SetMinSize( GetSize() );
}


SessionSelectFrame::~SessionSelectFrame()
{
    m_sessionSelectPanel->unRegisterObserver( this );
}


void SessionSelectFrame::notify( const wxString& str )
{
    //TODO - reload project/session
}
