#include "VemsSplashScreen.h"

#include "../bcWidgets/bcStaticBitmap.h"
//#include "../bcWidgets/bcProgressBar.h"
#include "../bcWidgets/bcWrapper.h"

#include "../DrawHelper.h"

VemsSplashScreen::VemsSplashScreen(wxWindow * parent, int id)
    :bcParentPanel(parent,id)
{
    //ctor

    wxBoxSizer* mainsizer = new wxBoxSizer(wxVERTICAL);

    bcStaticBitmap* logo = new bcStaticBitmap(this, wxID_ANY, DrawHelper::GetIconImg(_T("vemstune-banner-black-starting.png")));
    mainsizer->Add(new bcWrapper(logo));

//    bcProgressBar* pb = new bcProgressBar(this, wxID_ANY, wxDefaultPosition, wxSize(-1,10));
//    pb->SetStyle(BCPBS_INFINITY);
//    pb->StartAnim();
//
//    mainsizer->Add(new bcWrapper(pb),0,wxEXPAND);

    SetSizer(mainsizer);
    mainsizer->SetSizeHints(this);
}

VemsSplashScreen::~VemsSplashScreen()
{
    //dtor
}
