/** Communication Refactor

    TODO
        trigger log send mde40 after Start //1-2 sec

        START

        LOG OPEN
            OPEN CFG
                plan - update static model with config file, ( STILL LOG OPENED )
                - clear log ,open cfg file ( CFG OPENED )

            GO ONLINE
                if device not found
                    ( STAY LOG OPEN)
                else
                    CONNECT





        - refactor config verify
        - cfg,log <-> ECU online config check debug, quick analyze debug
        - drop files to dialog warning if global.h doesn't exist
        - resuming //get pages
        - advanced upload need wait if upload both
        - new test cases
            - open log , connect ecu, open log
            - connect ecu , oplen cfg, connect ecu
            ...advanced config upload test

        - flashing flag crahs // RTViewer
        - upload only differences / filtered upload
            - if no difference ?
        - config upload burning if no busyFlag?

        - validator after device connected
        - ini validator!!! //exprgrid
		- if config loaded and connect an ECU ( serial, fwVersion ) show message

		- sync pages
            - sipr-1.1.83.ini test
            - if all pages size == 0 timeout

        - expression grid
            - crash older firmware 1.1.57...
            - handle ext_cell size > default text
            - handle variable cell changes

        - config verifier for test ( use filter , default setting )

        - see play trigger

        - add baud rate change to test
        - when TriggerPlay VT always try to connect

        + wrong config version when detect ecu after log file
            - invalidate device controller after load log or cfg


        - when open log file and detect ecu status bar invalid

        + when select a dialog or step between dialog show dialog if minimized
            - focus error

        - SDCard
            - dialogs

        - comm clients set/use base timeout

        - bugfix TriggerLog unknown device state after remove usb
            DeviceState
            DeviceController


        - handle invalid read / write? cmds
            - check cmd format
            - check sync result

        - round
            - disable config download (to)
            - show message

        - handle password protected mode
            - state afrter open log/cfg and start

        - don't refresh after resume
        - void MainFrame::OnProjectConfigVerify( wxCommandEvent& event )
        - void MainFrame::OnProjectConfigUpload( wxCommandEvent& event )
        - void MainFrame::OnProjectUpload( wxCommandEvent& event
        - void MainFrame::OnActivate(wxActivateEvent& evt)
        - config swichupload dialog

    CHECK
        - default baudrate for detect
        - handle started with frozeen USB-Serial converter
            - bug send device disconnected event

        - firmware verify check page idx !!!

        - detect usb plug off
        - replace progressbars

        - config upload refresh page
        - handle boot mode
            - enable/disable menus
            - handle resume
            - bugfix
                - stay boot mode/ stop/start can't detect
        - mainFrame
            - display current port, baud

    PLANS

        - MegatuneSyncer
            - detect inter write delay ?
                rt, pages
                    send read page cmd
                        first byte

            - detect timeout???
                rt, pages

        - detect  errors
            invalid rt length
            too many page size error

        - Firmware Tools handle DeviceController connected

        - Refactor ToolbarTools
            - TbTbLog

    - Curve Editor TextCtrl value limit
    - fix Megatune timeout bug ( if rt timedout crc error occured )
    - design Connnect/Disconnect/Reconnect
        - config parsing
    - STDataViewerBase::requestRead()
        - check symbol type ( expr, const )

    void MainFrame::RebuildGUI()
    bool TriggerLogManager::StartSession()

    MainFrame::MainFrame
        m_frameLayoutHandler->SendObject(TN_commControllerECU, m_vemsTuneController->getECUCtrl() );

        icon = new DevicesIcon(frame,id,icondir,pos, m_vemsTuneController, m_vemsTuneController->getECUCtrl() );

removed
    vemsprotocol, FirmwareMgrDialog, FirmwareMgr
    ECUStateMgrBase, ECUStateMgr
    ECUStateBase, ECUState, ECUStateSIPR, EcuStateGraph
    BootModeFactory,BootModeV3, BootModeRound, BootModeARM, BootModeBase

    ConfigSwitchUploadDialog
    ComCtrlStates
    CommunicationController
    ECU_IS_PASSWORD_PROTECTED mainframe, vemstunectlr
    MegatuneProtocol
    ManProtocol
    FirmwareManager

    Main_Pulse_train
        comment CommunicationController

    OnSerialMode
    void MainFrame::OnOneWireTest(wxCommandEvent& event)

commented
    void AIMParser::request( VemsCommand* command )

    m_vemsTuneController->getECUController() usage //CommunicationController


TEST
        ConfigSwitchViewer
        ECUConfigPanel
        void MainFrame::OnSIPRInput( InputEvent& event )

        void MainFrame::OnDevIgnOutput( wxCommandEvent& event )
        void MainFrame::OnDevOutChannel(wxCommandEvent& evt)
        void MainFrame::OnIACLock(wxCommandEvent& event)
        void MainFrame::OnIgnLock(wxCommandEvent& event)
        void MainFrame::OnAdvFrame(wxCommandEvent& event)
            void CalibrationWBO2::start()
            void CalibrationWBO2::stop()
        UserDialogManager
            CommandRequestBase


        void MainFrame::downloadConfig( bool showFileDialog )
        void MainFrame::OnOpenVemsCfg( const wxString& filename )
        void MainFrame::OnConfigVerify( wxCommandEvent& event )
        void MainFrame::OnFilteredConfigUpload( wxCommandEvent& event )
        void MainFrame::OnConfigUpload( wxCommandEvent& event )

        void MainFrame::OnFirmwareVerify( wxCommandEvent& event )
        void MainFrame::OnFirmwareUpload( wxCommandEvent& event )

        void MainFrame::OnECUEvent( ECUEvent& event ) replaced to MainFrame::OnDeviceFound( VemsDeviceControllerEvent& event )
            - handle leave boot mode better way
                - OnBootModeFound event?
            - handle if leaveBootMode can't leave
            - handle stayBootMode
                - refresh GUI state ( enable/disable widgets )

        void MainFrame::OnDeviceEvent( DeviceEvent& event )
            replaced to
                MainFrame::OnDeviceNotFound( VemsDeviceControllerEvent& event )
                MainFrame::OnDeviceConnected( VemsDeviceControllerEvent& event )
                MainFrame::OnDeviceDisconnected( VemsDeviceControllerEvent& event )

*/
#include "mainframe.h"

//#include "serialconfig.h"
//#include "VemsFlagConfigHelper.h"
//#include "ntcfinder.h"
//#include "eval.h"
//#include "fileparser/vemslogparser.h"
//#include "FirmwareMgrFrame.h"
//#include "vemsgauge/VemsGridWidget.h"
//#include "vemsprotocol/ECUStateMgrBase.h"
//#include "vemsprotocol/CommunicationDispatcher.h"
//#include "vemsprotocol/CommunicationController.h"
//#include "vemsgauge/VemsTableDesc.h"

#include <wx/settings.h>
#include <wx/menu.h>
#include <wx/statusbr.h>
#include <wx/msgdlg.h>
#include <wx/textdlg.h>
#include <wx/progdlg.h>
#include "wx/filedlg.h"
#include <wx/aboutdlg.h>
#include <wx/regex.h>
#include <wx/choicdlg.h>


#include "VemsMsgListCtrl.h"
#include "DnDFile.h"
#include "DirHelper.h"
#include "DirLoader.h"
#include "helper.h"
#include "logger.h"
#include "ThemesHelper.h"
#include "MainPanel.h"
#include "MTConfigHelper.h"
#include "WindowReg.h"
#include "RecentVemsFiles.h"
#include "gui/FileOpenDlg.h"
#include "gui/SaveConfigErrorDialog.h"
#include "gui/PasswordProtectionDialog.h"
#include "gui/ConfigSwitchUploadDialog.h"
#include "ChannelCollision.h"
#include "VemsFlagConfigHelper.h"
#include "FwWebToolHelper.h"
#include "LogDirManager.h"
#include "SDImageHandler.h"
#include "CommunicationBase.h"
#include "ChannelValidationHelper.h"

#include "configmanager/ConfigFrameHelper.h"
#include "configmanager/DeviceConfigHelper.h"

#include "Utils.h"
#include "ConfigBase.h"
#include "configmanager/ConfigHelper2.h"
#include "configmanager/MainGuiConfig.h"
#include "configmanager/ConfigMgrMainGui.h"

#include "ConfigEditPanel.h"
#include "DebugTabObserver.h"

#include "ConfigFile.h"
#include "ConfigEditFrame.h"
#include "ProgressBarObserver.h"

#include "Raw2HighConverterDialog.h"

#include "VemsAboutDialog.h"
#include "FirmwareInfoDialog.h"
#include "FrameLayoutHandler.h"
#include "VemsTaskBarIcon.h"
#include "VemsAuiManager.h"
#include "VemsTuneController.h"
#include "VemsTuneCore.h"
#include "serialhelper.h"
#include "SerialException.h"
#include "RawLogHelper.h"

#include "firmwareconfig/ConfigValidatorMgr.h"
#include "firmwareconfig/ConfigValidatorHelper.h"

#include "project/ProjectHelper.h"
#include "project/ProjectManager.h"
#include "project/ProjectSettingsFrame.h"
#include "project/ProjectChooserFrame.h"
#include "project/NoProjectDialog.h"
#include "project/ProjectWizard.h"

#include "vemsgauge/GaugeCarrierFrame.h"

#include "vemsgauge/GaugeGroupManager.h"
#include "vemsgauge/GaugeGroupManagerXml.h"
#include "vemsgauge/GaugeGroupManagerSQL.h"

#include "vemsgauge/GaugeCarrierAdvFrame.h"
#include "vemsgauge/GaugeGroupEditor.h"
#include "vemsdialog/ConfigSwitchAdvancedUploadDialog.h"
#include "vemsdialog/DifferentConfigDialog.h"
#include "vemsdialog/UserDialog.h"
#include "vemsdialog/UserDialogManager.h"
#include "vemsdialog/ArrayEditorDialog.h"
#include "rtdatastat/RTDataStat.h"

#include "firmwareconfig/FirmwareConfigData.h"
#include "firmwareconfig/FirmwareConfigManager.h"

#include "firmware/triggertestframe.h"

#include "signalgen/signalgenwx.h"
#include "signalgen/soundFrame.h"
#include "signalgen/main.h"

#include "vemsdialog/NewGaugeDescriptorDialog.h"
#include "loghistory/CalcModelAnalyzer.h"

#include "loghistory/QuickAnalyze.h"

#include "fileparser/FirmwareConfigParser.h"
#include "fileparser/parseheader.h"

#include "vemsanalyser/raceloganalyser.h"
#include "vemsanalyser/vemsracesframe.h"
#include "vemsanalyser/VEMSMixtureViewFrame.h"

#include "expression/RPNTester.h"

#include "stdatamanager/STDataMgrFacade.h"
#include "stdatamanager/STDataIOVemsCfg.h"
#include "stdatamanager/UserDataLoader.h"
#include "rtdatamanager/RTDataRawLogger.h"
#include "rtdatamanager/RTDataMgrFacade.h"
#include "rtdatamanager/ConfigSwitchState.h"

#include "vemsprotocol/ECUInfo.h"
#include "vemsprotocol/ECUStateMgrBase.h"
#include "vemsprotocol/VemsCommand.h"
#include "vemsprotocol/TerminalPanel.h"
#include "vemsprotocol/SIPRTypes.h"
#include "vemsprotocol/CommandRequestBase.h"
#include "vemsprotocol/VemsDeviceController.h"
#include "vemsprotocol/VemsTuneEventDispatcher.h"

#include "vemsdialog/CalibrationWBO2.h"
#include "vemsdialog/CalibrationBase.h"
#include "vemsdialog/UserMenuRefresher.h"
#include "vemsdialog/ExpressionGridWidget.h"
#include "vemsgauge/MultiGraph/MVG_ProfilesEditor.h"
#include "vemsdialog/VemsFlagDescEditor.h"

#include "wizards/NewProjectWizard.h"
#include "wizards/IACControl.h"

#include "gui/SerialConfigPanel.h"
#include "gui/TorqueConfigFrame.h"
#include "gui/EnvironmentEditFrame.h"
#include "gui/GeneralConfigFrame.h"
#include "gui/AIMTestFrame.h"
#include "gui/OpenVemsCfgDialog.h"
#include "gui/ECUConfigPanel.h"
#include "gui/OutputChannels.h"
#include "gui/AddECUDirFrame.h"
#include "gui/IgnitionOutputPanel.h"
#include "gui/TableEditor3DPreferencesFrame.h"
#include "gui/BootModeDialog.h"
#include "gui/ConfigDownloadDirector.h"
#include "gui/FirmwareDirector.h"
#include "gui/SDCardDialog.h"
#include "gui/SDCardDirector.h"

#include "ringbuffer/SFloodThread.h"
#include "ringbuffer/SFloodProcess.h"

#include "gui/CfgUploadDlg.h"
#include "FileDropRegistrator.h"

#include "events/InputEvent.h"
#include "events/RefreshUserMenuEvent.h"
#include "events/ECUEvent.h"
#include "events/FirmwareUploadedEvent.h"
#include "events/EcuCommEvent.h"
#include "events/CommunicationEvent.h"

#include "UserLog.h"
#include "version.h"
#include "gaugedesc/GaugeDescHelper.h"
#include "gaugedesc/GaugeDescManager.h"
#include "vemsgauge/GaugeType.h"

#include "vemsdialog/CheckBoxMatrixViewer.h"
#include "hotkeys/wxHotKeyProfileManager.h"

#include "common/VemsMessageHashHelper.h"
#include "common/VemsContext.h"
#include "MTConfigChecker.h"
#include "common/HelpUtil.h"

#include "wizards/IgnitionLockFrame.h"
#include "wizards/IgnitionLockPanel.h"

#include "triggerlog/TriggerLogSelector.h"
#include "triggerlog/TriggerLogManager.h"
#include "triggerlog/TriggerLogGraph.h"
#include "wizards/IACLockPanel.h"
#include "wizards/IACControlPanel.h"
#include "wizards/TachometerLockPanel.h"

#include "customwidgets/InfoWindow.h"

#include "vtfilesupdater/VTFilesUpdaterSettings.h"
#include "vtfilesupdater/VTFilesUpdater.h"

#include "gps/GPSConfigDialog2.h"
#include "gui/SFloodDialog.h"

#include "vemsgauge/VemsWidgetBaseFactory.h"
#include "vemsgauge/TableEditorFactory.h"
/// refactor communication
#include "events/VemsDeviceControllerEvent.h"
#include "events/SDCardEvent.h"
#include "gui/DeviceControllerProgressBarManager.h"

#include "common/MainFrameGUICommandTypes.h"
#include "events/VemsGUICommandEvent.h"
#include "sdcard/SDCardSaveDialog.h"

/// refactor communication
//test
wxListBox* MainFrame::ListBox1;

enum MainMenuIdentifiers {
    MAINMENU_FILE = 0
};

int MENU_ID_OPEN_VEMSLOG                = wxNewId();
int MENU_ID_OPEN_VEMSLOG_SEPARATED      = wxNewId();
int MENU_ID_FILEOPEN2                   = wxNewId();
int MENU_ID_OPEN_VEMSCFG                = wxNewId();
int MENU_ID_OPEN_AND_FILTER_VEMSCFG     = wxNewId();
int MENU_ID_CONFIGSWITCH_UPLOAD         = wxNewId();
int MENU_ID_VEMSLOG_START_NEW           = wxNewId();
int MENU_ID_VEMSLOG_ADD_MARKER          = wxNewId();

int MENU_ID_SETDEFWORKINGDIR    = wxNewId();
int MENU_ID_DEFWORKINGDIR       = wxNewId();
int MENU_ID_CURRENT_ECU         = wxNewId();
int idMenuVemsTuneInfo          = wxNewId();

/// Offline menu IDs
int MENU_ID_SAVE_VEMSCFG        = wxNewId();

/// Firmware menu IDs
int idMenuFirmwareInfo          = wxNewId();
int idMenuFirmwareUpload        = wxNewId();
int idMenuFirmwareVerify        = wxNewId();
int idMenuConfigUpload          = wxNewId();
int idMenuFilteredConfigUpload  = wxNewId();
int idMenuConfigVerify          = wxNewId();
int idMenuConfigDownload        = wxNewId();
int idMenuConfigDownloadTo      = wxNewId();
int idMenuFirmwareWeb           = wxNewId();
int idMenuClearDebug            = wxNewId();

int idMenuPasswordProtection    = wxNewId();


/// Project menu IDs
int idOpenProject               = wxNewId();
int idProjectSettings           = wxNewId();
int idNewProject                = wxNewId();
int idMenuProjectUpload         = wxNewId();
int idMenuProjectFirmwareUpload = wxNewId();
int idMenuProjectFirmwareVerify = wxNewId();
int idMenuProjectConfigUpload   = wxNewId();
int idMenuProjectConfigVerify   = wxNewId();


//View menu IDs
int idMenuResetGuiLayout = wxNewId();
int idMenuResetToolBarLayout = wxNewId();
int idMenuDevToolBarLayout = wxNewId();
int idMenuFullScreen = wxNewId();

//Tools menu IDs
int idRawLogConvertToHigh = wxNewId();
//realtime gauges add dynamically
//realtime gauges
//add gauges
int idAddGaugeVemsGauge = wxNewId();
int idAddGaugeDigital   = wxNewId();
int idAddGaugeArcBar    = wxNewId();
int idAddGaugeText      = wxNewId();
int idAddGaugeGraph     = wxNewId();
int idAddGaugeMultiGraph= wxNewId();
int idAddExpressionGrid = wxNewId();
//user dialog menu add dynamically
int idMenuRaceAnalizer  = wxNewId();
int idMenuGenTrigger    = wxNewId();
int idMenuGaugeGroupTest = wxNewId();

//Preferences menu IDs
int idMenuGPSConfig                 = wxNewId();
int idMenuGPSConfigNew              = wxNewId();
int idMenuAIMConfig                 = wxNewId();
int idMenuProtocolConfig            = wxNewId();
int idMenuEditConfig                = wxNewId();
int idMenuTorqueConfig              = wxNewId();
int idMenuEnvironmentConfig         = wxNewId();
int idMenuTableEditor3DPreferences  = wxNewId();
int idMenuIniFileConfig             = wxNewId();
int idMenuECUConfig                 = wxNewId();

//Experimental menu IDs
int idMenuLoggerScreen  = wxNewId();
int idMenuTriggerConfig = wxNewId();
int idMixtureTableView  = wxNewId();
int idMenuSoundConfig   = wxNewId();
int idMenuLogAnalyze    = wxNewId();
int idMenuWinceTest     = wxNewId();
int idMenuWinceTest2    = wxNewId();
int idMenuWinceTest3    = wxNewId();
int idMenuSaveEEpromCfg = wxNewId();
int idMenuDefWorkDirDBDropTables = wxNewId();
/*int idMenuStartSFlood   = wxNewId();
int idMenuStopSFlood    = wxNewId();*/
int idMenuSFloodDlg     = wxNewId();
int idMenuMMCLogStart   = wxNewId();
int idMenuMMCLogStop    = wxNewId();
int idMenuMMCLogErase   = wxNewId();
int idMenuMMCLogSave    = wxNewId();
int idMenuMmcOverView   = wxNewId();
int idMenuMmcOverView2  = wxNewId();
int idMenuSDCardV3      = wxNewId();
int idMenuSDCardOpenImage = wxNewId();
int idMenuSDCardReader  = wxNewId();

int idMenuCalcModelAn   = wxNewId();

int idMmcCancel         = wxNewId();
int idMenuExportMSQ     = wxNewId();
int idMenuSparkTester   = wxNewId();
int idMenuAIMTest       = wxNewId();
int idMenuLookUp        = wxNewId();

int idMenuAddSymbol         = wxNewId();
int idMenuGaugeGroupEditor  = wxNewId();
int idMenuMultiGraphProfiles= wxNewId();
int idMenuVemsFlagDescEditor= wxNewId();

int idMenuGaugeGroupBehav   = wxNewId();

int idMenuGGFloatBehavFloat = wxNewId();
int idMenuGGFloatBehavAttach = wxNewId();
int idMenuGGFloatBehavVar   = wxNewId();

int idConfigCheckerTest     = wxNewId();

//Help menu IDs
int idMenuHelpTopics    = wxNewId();
int idMenuAbout         = wxNewId();

//Test menu IDs - for developement testing
int idMenuTestSendEvent = wxNewId();
int idMenuTestConfigParsing = wxNewId();

//TODO - clear menus
int idMenuUploadTables  = wxNewId();
int idMenuFetchTables   = wxNewId();
int idMenuGenTable      = wxNewId();
int idMenuGenConfig     = wxNewId();
int idMenuSession       = wxNewId();


int idSelectInputECUFast    = wxNewId();


int idLogTest = wxNewId();
int idRawDataLogOff = wxNewId();
int idRawDataLogStart = wxNewId();
int ID_RADIOB_HighLog = wxNewId();
int ID_RADIOB_LowLog = wxNewId();
int ID_BUTTON_LogStart = wxNewId();
int ID_BUTTON_LogStop = wxNewId();

int idMenuConvertLastLog = wxNewId();
int idMenuOpenLastLog = wxNewId();
int idMenuConvertAllLog = wxNewId();
int idMenuExit = wxNewId();
int idMenuAdvFrame = wxNewId();
int idMenuWBO2Calibration = wxNewId();
int idMenuTPSCalibration = wxNewId();

int idMenuDevOutChannels = wxNewId();
int idMenuRTDataStat     = wxNewId();
int idMenuToolsVETune    = wxNewId();

int idMenuAddECUDir       = wxNewId();
int idMenuSelectECUFromDb = wxNewId();

int ID_VERIFY_D = wxNewId();
int TIMER_ID = wxNewId();
int RT_TIMER = 90;

int idMenuDevIgnOut = wxNewId();
int idIgnitionLock = wxNewId();
int idToolsTriggerLog = wxNewId();
int idIACLock = wxNewId();
int idIACControl = wxNewId();
int idTachoLock = wxNewId();

int idVTFilesUpdaterSettings = wxNewId();
int idVTFilesUpdateManually  = wxNewId();

int idWinceTestTimerId = wxNewId();

BEGIN_EVENT_TABLE(MainFrame,MAINFRAME_BASECLASS)

    /// Offline menu events
    EVT_MENU( MENU_ID_SAVE_VEMSCFG, MainFrame::OnSaveVemsCfg )
    EVT_MENU( idMenuVemsTuneInfo, MainFrame::OnVemsTuneInfo )


    /// Firmware menu events
    EVT_MENU( idMenuFirmwareInfo, MainFrame::OnFirmwareInfo)
	EVT_MENU( idMenuFirmwareUpload, MainFrame::OnFirmwareUpload )
	EVT_MENU( idMenuFirmwareVerify, MainFrame::OnFirmwareVerify )
    EVT_MENU( idMenuConfigUpload, MainFrame::OnConfigUpload )
    EVT_MENU( idMenuFilteredConfigUpload, MainFrame::OnFilteredConfigUpload )
    EVT_MENU( idMenuConfigVerify, MainFrame::OnConfigVerify )
    EVT_MENU( idMenuConfigDownload, MainFrame::OnConfigDownload )
	EVT_MENU( idMenuConfigDownloadTo, MainFrame::OnConfigDownload )
    EVT_MENU( idMenuFirmwareWeb, MainFrame::OnFirmwareWeb )
    EVT_MENU( idMenuClearDebug, MainFrame::OnClearDebug )


    /// Project menu events
    EVT_MENU( idOpenProject, MainFrame::OnMenuProject )
	EVT_MENU( idProjectSettings, MainFrame::OnProjectSettings )
    EVT_MENU( idNewProject, MainFrame::OnMenuNewProject )
    EVT_MENU( idMenuProjectUpload , MainFrame::OnProjectUpload )
    EVT_MENU( idMenuProjectFirmwareUpload, MainFrame::OnProjectFirmwareUpload )
    EVT_MENU( idMenuProjectFirmwareVerify, MainFrame::OnProjectFirmwareVerify )
    EVT_MENU( idMenuProjectConfigUpload, MainFrame::OnProjectConfigUpload )
    EVT_MENU( idMenuProjectConfigVerify, MainFrame::OnProjectConfigVerify )


//preferences
    EVT_MENU ( idVTFilesUpdaterSettings, MainFrame::OnVTFilesUpdaterSettings )
    EVT_MENU ( idVTFilesUpdateManually, MainFrame::OnVTFilesUpdaterSettings )

//View menu events
    //EVT_MENU(idMenuAbout, MainFrame::OnAbout)

//Tools menu events
    EVT_MENU( idRawLogConvertToHigh, MainFrame::OnRawConvert)
    EVT_MENU( idMenuRaceAnalizer, MainFrame::OnRacesAnalyzer)
    EVT_MENU( idMenuGenTrigger, MainFrame::OnGenTrigger)
    EVT_MENU( idMenuGaugeGroupTest, MainFrame::OnGaugeGroupTest )
    EVT_MENU( idMenuToolsVETune, MainFrame::OnRTDataStat )
    EVT_MENU( idToolsTriggerLog, MainFrame::OnTriggerLog )

//Settings menu events
//    EVT_MENU( idMenuAIMConfig, MainFrame::OnAIMConfig )
    EVT_MENU( idMenuGPSConfig, MainFrame::OnGPSConfig)
    EVT_MENU( idMenuGPSConfigNew, MainFrame::OnGPSSettings )
    EVT_MENU( idMenuProtocolConfig, MainFrame::OnProtocolConfig )
    EVT_MENU( idMenuEditConfig, MainFrame::OnEditConfig )
    EVT_MENU( idMenuPasswordProtection, MainFrame::OnPasswordProtection )
    EVT_MENU( idMenuTorqueConfig, MainFrame::OnTorqueConfig )
    EVT_MENU( idMenuEnvironmentConfig, MainFrame::OnEnvironmentConfig )
    EVT_MENU( idMenuTableEditor3DPreferences, MainFrame::OnTableEditor3DPreferences )
    EVT_MENU( idMenuIniFileConfig, MainFrame::OnIniFileConfig )
    EVT_MENU ( idMenuECUConfig, MainFrame::OnECUConfig )

//Experimental menu events
    EVT_MENU(idMenuDevIgnOut, MainFrame::OnDevIgnOutput)
    EVT_MENU(idMenuTriggerConfig, MainFrame::OnTriggerConfig)
    EVT_MENU(idMixtureTableView, MainFrame::OnMixtureTableView)
	EVT_MENU(idMenuSoundConfig, MainFrame::OnSoundConfig)
	EVT_MENU(idMenuLogAnalyze, MainFrame::OnLogAnalyze)
    EVT_MENU(idMenuWinceTest, MainFrame::OnWinCETest)
    EVT_MENU(idMenuWinceTest2, MainFrame::OnWinCETest2)
    EVT_MENU(idMenuWinceTest3, MainFrame::OnWinCETest3)
    EVT_MENU(idMenuDevOutChannels, MainFrame::OnDevOutChannel)
    EVT_MENU(idMenuRTDataStat, MainFrame::OnRTDataStat)
    EVT_MENU( idMenuDefWorkDirDBDropTables, MainFrame::OnDefWorkDirDBReset )
    /*EVT_MENU( idMenuStartSFlood, MainFrame::OnSFlood )
    EVT_MENU( idMenuStopSFlood, MainFrame::OnSFlood )*/
    EVT_MENU( idMenuSFloodDlg, MainFrame::OnSFlood )
    EVT_MENU( idMenuSaveEEpromCfg, MainFrame::OnSaveEepromCfg )

    EVT_MENU( idMenuMMCLogStart, MainFrame::OnMMCLog )
    EVT_MENU( idMenuMMCLogStop, MainFrame::OnMMCLog )
    EVT_MENU( idMenuMMCLogErase, MainFrame::OnMMCLog )
    EVT_MENU( idMenuMMCLogSave, MainFrame::OnMMCLog )
    EVT_MENU( idMenuMmcOverView, MainFrame::OnMMCLog )
    EVT_MENU( idMenuMmcOverView2, MainFrame::OnMMCLog )
    EVT_MENU( idMenuSDCardV3, MainFrame::OnMMCLog )
    EVT_MENU( idMenuSDCardOpenImage, MainFrame::OnMMCLog )
    EVT_MENU( idMenuSDCardReader, MainFrame::OnMMCLog )

    EVT_MENU( idMenuAddSymbol, MainFrame::OnAddSymbol )
    EVT_MENU( idMenuGaugeGroupEditor, MainFrame::OnGaugeGroupEditor )
    EVT_MENU( idMenuMultiGraphProfiles, MainFrame::OnMultiGraphProfiles )
    EVT_MENU( idMenuVemsFlagDescEditor, MainFrame::OnVemsFlagDescEditor)

    EVT_MENU( idMenuCalcModelAn, MainFrame::OnCalcModelAnalyzis )



    EVT_MENU( idMenuConvertLastLog, MainFrame::OnConvertLastLog )
    EVT_MENU( idMenuOpenLastLog, MainFrame::OnOpenLastLog )
    EVT_MENU( idMenuConvertAllLog, MainFrame::OnConvertAllLog)

    EVT_MENU( idMenuExportMSQ, MainFrame::ExportMSQ)
    EVT_MENU( idMenuSparkTester, MainFrame::StartSparktTester)

    EVT_MENU( idMenuAIMTest, MainFrame::OnAIMTest )

    EVT_MENU( idConfigCheckerTest, MainFrame::OnConfigCheckerTest )

    EVT_MENU( idMenuGaugeGroupBehav, MainFrame::OnGGB )

    EVT_MENU( idMenuGGFloatBehavAttach, MainFrame::OnGGFloatBehav )
    EVT_MENU( idMenuGGFloatBehavFloat, MainFrame::OnGGFloatBehav )
    EVT_MENU( idMenuGGFloatBehavVar, MainFrame::OnGGFloatBehav )


//EVT_MENU( idMenuLookUp, MainFrame::OnLookUp )
//Help menu events
    EVT_MENU( idMenuHelpTopics, MainFrame::OnHelpTopics )
    EVT_MENU( idMenuAbout, MainFrame::OnAbout )

    EVT_MENU(idAddGaugeVemsGauge, MainFrame::OnAddGauge)
    EVT_MENU(idAddGaugeDigital, MainFrame::OnAddGauge)
    EVT_MENU(idAddGaugeArcBar, MainFrame::OnAddGauge)
    EVT_MENU(idAddGaugeText, MainFrame::OnAddGauge)
    EVT_MENU(idAddGaugeGraph, MainFrame::OnAddGauge )
    EVT_MENU(idAddGaugeMultiGraph, MainFrame::OnAddGauge )
    EVT_MENU(idAddExpressionGrid, MainFrame::OnAddGauge )

	EVT_MENU(MENU_ID_OPEN_VEMSLOG, MainFrame::OnSelectGaugeInput)
	EVT_MENU(MENU_ID_OPEN_VEMSLOG_SEPARATED, MainFrame::OnSelectGaugeInput)
    EVT_MENU(idSelectInputECUFast, MainFrame::OnSelectGaugeInput)
    EVT_MENU( MENU_ID_OPEN_VEMSCFG, MainFrame::OnSelectGaugeInput )
    EVT_MENU( MENU_ID_OPEN_AND_FILTER_VEMSCFG, MainFrame::OnSelectGaugeInput )
    EVT_MENU( MENU_ID_CONFIGSWITCH_UPLOAD, MainFrame::OnConfigSwitchUpload )
    EVT_MENU( MENU_ID_VEMSLOG_START_NEW, MainFrame::OnVemsLogStartNew )
    EVT_MENU( MENU_ID_VEMSLOG_ADD_MARKER, MainFrame::OnVemsLogAddMarker )
    EVT_MENU( MENU_ID_FILEOPEN2, MainFrame::OnFileOpenDlg )

    EVT_MENU(MENU_ID_SETDEFWORKINGDIR, MainFrame::OnSetDefWorkingDir)

    EVT_MENU( idMenuResetGuiLayout, MainFrame::OnResetLayout)
    EVT_MENU( idMenuResetToolBarLayout, MainFrame::OnResetToolBars)
    EVT_MENU( idMenuDevToolBarLayout, MainFrame::OnResetToolBars)
    EVT_MENU( idMenuFullScreen, MainFrame::OnFullScreenMenu)

    EVT_MENU( idMenuTestConfigParsing, MainFrame::OnTestConfigParsing )
    //TEST MENU
    EVT_MENU( idMenuTestSendEvent, MainFrame::OnTestSendEvent )
    EVT_MENU( idMenuExit, MainFrame::OnQuit )
    //EVT_FILE_PARSED( wxID_ANY, MainFrame::OnFileParsed )
//    EVT_CUSTOM( FILE_PARSED_EVENT, wxID_ANY, MainFrame::OnFileParsed )
    EVT_CUSTOM( PROPER_INIFILE_NOT_FOUND, wxID_ANY, MainFrame::OnProperIniFileNotFound )

    EVT_CLOSE(MainFrame::OnClose)


    EVT_ACTIVATE(MainFrame::OnActivate)
    EVT_TIMER( idWinceTestTimerId, MainFrame::OnWinCETestTimer )

  //  EVT_IDLE(MainFrame::OnIdle)

    //
    EVT_TIMER(TIMER_ID, MainFrame::OnTimer)

    #ifdef __WXGTK__
        EVT_WINDOW_CREATE(MainFrame::OnWindowCreate)
    #endif

    //EVT_WINDOW_CREATE(MainFrame::OnWindowCreate)

    EVT_KEY_UP(MainFrame::OnKeyDown)


    EVT_SET_FOCUS( MainFrame::OnSetFocus )

    EVT_COMMAND( wxID_ANY, RefreshUserMenuEvent, MainFrame::OnRefreshUserMenu )

    EVT_MENU( idMenuWBO2Calibration, MainFrame::OnAdvFrame)
    EVT_MENU( idMenuTPSCalibration, MainFrame::OnAdvFrame)
    EVT_MENU( idMenuAdvFrame, MainFrame::OnAdvFrame)

    //EVT_ICONIZE( MainFrame::OnIconize)

    EVT_MENU ( idMenuAddECUDir, MainFrame::OnAddECUDir )
    EVT_MENU ( idMenuSelectECUFromDb, MainFrame::OnSelectECUFromDb )
    EVT_MENU ( idIgnitionLock, MainFrame::OnIgnLock )
    EVT_MENU ( idIACLock, MainFrame::OnIACLock )
    EVT_MENU ( idIACControl, MainFrame::OnIACControl )
    EVT_MENU ( idTachoLock, MainFrame::OnTachoLock )

/// refactor communication
    EVT_VEMS_DEVICE_CONTROLLER( VDC_EVENT_CANNOT_OPEN_PORT, MainFrame::OnCannotOpenPort )
    EVT_VEMS_DEVICE_CONTROLLER( VDC_EVENT_DEVICE_FOUND, MainFrame::OnDeviceFound )
    EVT_VEMS_DEVICE_CONTROLLER( VDC_EVENT_DEVICE_NOT_FOUND, MainFrame::OnDeviceNotFound )
    EVT_VEMS_DEVICE_CONTROLLER( VDC_EVENT_DEVICE_CONNECTED, MainFrame::OnDeviceConnected )
    EVT_VEMS_DEVICE_CONTROLLER( VDC_EVENT_DEVICE_DISCONNECTED, MainFrame::OnDeviceDisconnected )
    EVT_VEMS_DEVICE_CONTROLLER( VDC_EVENT_DEVICE_RECONNECTED, MainFrame::OnDeviceReconnected )
    EVT_VEMS_DEVICE_CONTROLLER( VDC_EVENT_STOPPED, MainFrame::OnDeviceControllerStopped )
    EVT_VEMS_DEVICE_CONTROLLER( VDC_EVENT_RESUMED, MainFrame::OnDeviceResumed )
    EVT_VEMS_DEVICE_CONTROLLER( VDC_EVENT_DEVICE_PROTECTED, MainFrame::OnDeviceProtected )
    EVT_VEMS_DEVICE_CONTROLLER( VDC_EVENT_DEVICE_CANNOT_CONNECT, MainFrame::OnDeviceCannotConnect )

    EVT_COMMUNICATION( wxID_ANY, MainFrame::OnCommunicationError )

/// refactor communication
    EVT_FWUPLOADED( MainFrame::OnFWUploadedEvent )

    EVT_VEMS_GUI_COMMAND( MainFrame::OnGUICommand )

    EVT_COMMAND( wxID_ANY, VEMS_FIRMWARE_CONFIG_UPLOADED,  MainFrame::OnFirmwareConfigUploaded )

END_EVENT_TABLE()

void MainFrame::OnIdle(wxIdleEvent &event)
{
    Logger::logf(LOG_MSG,_T("MainFrame::OnIdle"));
}

void MainFrame::OnMenuBarClose(wxMenuEvent& evt)
{
    //LOG
}

void MainFrame::OnMenuBarOpen(wxMenuEvent& evt)
{
    //LOG
}

IMPLEMENT_CLASS(MainFrame, MAINFRAME_BASECLASS)

MainFrame::MainFrame(const wxChar *title, int x, int y, int width, int height, const StringHash& params )
       : MAINFRAME_BASECLASS (NULL, wxID_ANY, title, wxPoint(x, y), wxSize(width, height), 0
                        | wxMINIMIZE_BOX
                        | wxMAXIMIZE_BOX
                        | wxRESIZE_BORDER
                        | wxSYSTEM_MENU
                        | wxCAPTION
                        | wxCLOSE_BOX
                        | wxCLIP_CHILDREN
#if AUI_MDI_FRAME
                        | wxFRAME_NO_WINDOW_MENU
#endif
                    )

       //, m_timer(this, TIMER_ID)

       ,FileDropManagerBase(this, new FileDropRegistrator())
       ,m_vemsTuneController(NULL)
       ,m_gaugeGroupManager(NULL)


//MainFrame::MainFrame(wxWindow* parent,wxWindowID id) : m_timer(this, TIMER_ID)
{
    Logger::logf(LOG_MSG, _T("MainFrame const---------------------------------------------------------------") );

    //Logger::log(LOG_MSG, _T("-----------------------------------------------------------------------------"));
    //Logger::logf(LOG_MSG, _T("-----------------------------------------------------------------------------"));
    m_prevDevice = ECUInfo::DEVICE_UNKNOWN;

    m_rtStatWinID = 0;
    m_isInecuNameAskLoop = false;

    m_VTFilesUpdater = NULL;

    m_tlogmanager = NULL;
    m_tlogGraph = NULL;

    Logger::logf(LOG_MSG, _T("MainFrame  10") );
    m_prjMgr = ProjectHelper::GetPrjMgr();
    Logger::logf(LOG_MSG, _T("MainFrame  20") );
    //Logger::logf( LOG_MSG, _T("MainFrame::MainFrame() - create menu start") );
    createMenu();
    //Logger::logf( LOG_MSG, _T("MainFrame::MainFrame() - create menu end") );

    m_bGaugesStartup    = true;

    m_timerToogle = true;
    MTConfigHelper::setEventHandler( this );
    Logger::logf(LOG_MSG, _T("MainFrame  40") );


    m_isGroupVisible = false;

    //m_floodThread = NULL;
    m_sflood = NULL;
    //V3GUI_VERSION =  _T("VEMS Upgrade Tool Version: 0.9.28");

	wreg = new WindowReg(this);

	m_pProgressBarSaveSD    = NULL;
	m_iSaveSDLogBackTime    = 0;
	m_bSaveSD               = false;

	m_fwuploadedsuccess = false;
	m_roundCfgSaved = false;
    m_isConfigValidationNeeded = true;


//    SetIcon(v3gui_xpm);
	SetIcon(wxIcon(_T("vemsLogoIcon2")));
//    SetIcon(v3gui_xpm);
//    SetIcon(wxIcon(wxICON_AAA));

    Logger::logf(LOG_MSG, _T("MainFrame  50") );
    ///-----MenuRefresher
    MenuRefresher *mr = new MenuRefresher();
    mr->IDs.Add(idMenuProjectUpload);
    mr->IDs.Add(idMenuProjectFirmwareUpload);
    mr->IDs.Add(idMenuProjectFirmwareVerify);
    mr->IDs.Add(idMenuProjectConfigUpload);
    mr->IDs.Add(idMenuProjectConfigVerify);
    mr->Menu = m_firmwareMenu;
    m_prjMgr->AddMenuRefresher(mr);

    Logger::logf(LOG_MSG, _T("MainFrame  60") );
	wxStatusBar* statusBar = CreateStatusBar(6,wxFULL_REPAINT_ON_RESIZE);
	int widths[] = {-3, 150, -3, -2, -2, -2 };
	statusBar->SetStatusWidths(6,widths);
    Logger::logf(LOG_MSG, _T("MainFrame  80") );
    checkCommPort();
    Logger::logf(LOG_MSG, _T("MainFrame  90") );
    m_prjMgr->SetMainStatusBar(this->GetStatusBar());
    Logger::logf(LOG_MSG, _T("MainFrame  100") );
    GaugeType::InitDefaults();
    GaugeType::Init();

    ///Init VemsTune
    Connect( wxEVT_INPUT, InputEventHandler( MainFrame::OnSIPRInput ) );
    m_vemsTuneController = new VemsTuneController( this );
    Logger::logf(LOG_MSG, _T("MainFrame  110") );
//    m_vemsTuneController->initEcuStateMgr();
    Logger::logf(LOG_MSG, _T("MainFrame  120") );
    m_vemsTuneController->init();
    Logger::logf(LOG_MSG, _T("MainFrame  130") );
    m_rtDataMgr = m_vemsTuneController->getRTDataMgr();
    m_stController = m_vemsTuneController->getSTDataMgr();

    int idViewMenu = GetMenuBar()->FindMenu( _T("View") );
    wxMenu* viewMenu = GetMenuBar()->GetMenu( idViewMenu );

    if ( !viewMenu ) { Logger::logf( LOG_MSG, _T("<-----MainFrame::MainFrame() - viewMenu is NULL!!!") ); }

/// refactor communication
    m_progressBarManager = new DeviceControllerProgressBarManager( this );

    m_eventDispatcher = new VemsTuneEventDispatcher();
    m_eventDispatcher->addEventHandler( m_vemsTuneController );
    m_eventDispatcher->addEventHandler( m_progressBarManager );
    m_eventDispatcher->addEventHandler( this );


    VemsDeviceController* deviceController = m_vemsTuneController->getDeviceContoller();
    deviceController->setEventHandler( m_eventDispatcher );

    //deviceController->Connect( wxID_ANY, wxEVT_COMMUNICATION, CommunicationEventHandler( MainFrame::OnCommunicationError ), NULL, this );



/// refactor communication

    m_frameLayoutHandler = new FrameLayoutHandler(this, m_rtDataMgr);
#if AUI_MDI_FRAME
    m_frameLayoutHandler->SetAuiMDIParentFrame( this );
#endif
    m_frameLayoutHandler->SetMenu(viewMenu);

    initFrameLayout();


    wxMenu* tabsmenu = new wxMenu();

    m_frameLayoutHandler->SetTabsMenu(tabsmenu);

    //m_frameLayoutHandler->Init( ECUInfo::DEVICE_UNKNOWN );
///

    //SetInitialSize();
    //SetMinSize(GetSize());


    m_frameLayoutHandler->LoadMainPanel();
    m_frameLayoutHandler->LoadWelcomeScreen();

    m_frameLayoutHandler->SendObject(TN_SiMenu,m_selectInputMenu);
//    m_frameLayoutHandler->SendObject(TN_ConnMenu,sMenu);
    m_frameLayoutHandler->SendObject(TN_VemsController,m_vemsTuneController);

    m_frameLayoutHandler->SendObject(TN_wxEventHandler, m_vemsTuneController );
///COMM REFACTOR
//    m_frameLayoutHandler->SendObject(TN_commControllerECU, m_vemsTuneController->getECUCtrl() );
    m_frameLayoutHandler->SendObject(TN_STDataModelBase, m_stController->getModel() );
    m_frameLayoutHandler->SendObject(TN_FirmwareInfo, m_vemsTuneController->getFirmwareInfo() );
    m_frameLayoutHandler->SendObject(TN_STDataMgrBase, m_stController );



    viewMenu->Append(idMenuResetToolBarLayout, _T("Reset &Toolbar Layout"), _T("Reset Toolbar Layout"));
    viewMenu->AppendSubMenu(tabsmenu,_T("Fixed tabs"));
    viewMenu->AppendSeparator();
    viewMenu->Append(idMenuFullScreen, _T("Full screen\tShift-F11"), _T("Full screen"));


    viewMenu->AppendSeparator();

    viewMenu->AppendCheckItem(idMenuGaugeGroupBehav, _T("Single gauge-group mode"));

    wxMenu * floatbehavmenu = new wxMenu();

    floatbehavmenu->AppendRadioItem( idMenuGGFloatBehavFloat, _T("Floating over the mainframe"));
    floatbehavmenu->AppendRadioItem( idMenuGGFloatBehavAttach, _T("Attach within the mainframe"));
    floatbehavmenu->AppendRadioItem( idMenuGGFloatBehavVar, _T("Dependig on the group settings"));

    viewMenu->AppendSubMenu( floatbehavmenu, _T("Gauge group layout behaviour") );

    int fb = GaugeGroupManager::getGaugeGroupsFloatBehav();
    switch(fb) {
        case GGFB_ATTACH: floatbehavmenu->Check(idMenuGGFloatBehavAttach, true); break;
        case GGFB_FLOAT: floatbehavmenu->Check(idMenuGGFloatBehavFloat, true); break;
        case GGFB_VAR: floatbehavmenu->Check(idMenuGGFloatBehavVar, true); break;
    }


    if( GaugeGroupManager::getGaugeGroupsBehav() == GGB_SINGLE)
        viewMenu->Check( idMenuGaugeGroupBehav, true );


     /******************************************************
    * GaugeGroupTest
    *******************************************************/


    wxMenu* advViewMenu = new wxMenu();

    advViewMenu->Append(idMenuGaugeGroupEditor, _T("&Gauge Groups Editor"), _T("Gauge Groups Editor") );
    advViewMenu->Append(idMenuAddSymbol, _T("&Add new gauge symbol/descriptor"), _T("Add new gauge symbol/descriptor") );
    advViewMenu->AppendSeparator();
    advViewMenu->Append(idMenuMultiGraphProfiles, _T("&Multi Graph profiles"), _T("Multi Graph profiles") );
    advViewMenu->Append(idMenuVemsFlagDescEditor, _T("&Vems Flags descriptor editor"), _T("Vems Flags descriptor editor") );

    viewMenu->AppendSubMenu(advViewMenu,_T("Editors"));

    viewMenu->AppendSeparator();

    m_gaugeGroupManager = new GaugeGroupManagerSQL(this, viewMenu, MTConfigHelper::getMTConfigData(), m_vemsTuneController->getLogHistory() );
    viewMenu->AppendSeparator();
    viewMenu->Append(idMenuResetGuiLayout, _T("&Reset Layout"), _T("Reset Layout"));
    viewMenu->Append( idMenuClearDebug, _("&Clear log window\t"), _("Clear log window") );


#if MDI_FRAME
    m_gaugeGroupManager->SetMDIParent( this );
#endif

#if AUI_MDI_FRAME
    m_gaugeGroupManager->SetAuiMDIParent( this );



#endif

    m_gaugeGroupManager->SetSendObj( m_frameLayoutHandler );
    m_gaugeGroupManager->SetGaugeDescMgr( GaugeDescHelper::GetGDMgr() );

    GaugeDescHelper::GetGDMgr()->SetGaugeGroupMgr( m_gaugeGroupManager );





    VemsWidgetBaseFactory* vwFactory = new VemsWidgetBaseFactory();

    vwFactory->SetDataMgrObj( m_rtDataMgr );
    vwFactory->SetDataMgrObj( m_stController );
    vwFactory->SetGaugeDescManager( GaugeDescHelper::GetGDMgr() );
    vwFactory->SetGaugeGroupManager( m_gaugeGroupManager );
    vwFactory->SetLogHistoryBase( m_gaugeGroupManager->GetLogHistory() );

    m_gaugeGroupManager->SetFactory( vwFactory );


    TableEditorFactory* tableFactory = new TableEditorFactory();

    tableFactory->SetRTDataMgrBase( m_rtDataMgr );
    tableFactory->SetSTDataMgrBase( m_stController );
    tableFactory->SetGaugeDescManager( GaugeDescHelper::GetGDMgr() );
    tableFactory->SetGaugeGroupManager( m_gaugeGroupManager );
    tableFactory->SetMTConfigData( MTConfigHelper::getMTConfigData() );

    m_gaugeGroupManager->SetFactory( tableFactory );


    m_userDialogManager = new UserDialogManager(    this,
                                                    MTConfigHelper::getMTConfigData(),
                                                    m_stController,
                                                    m_rtDataMgr,
                                                    m_vemsTuneController->getECUController(),
                                                    GetMenuBar(),//mbar,
                                                    m_gaugeGroupManager->GetGaugeDescMgr(),
                                                    m_vemsTuneController->getFirmwareInfoStr() );
    VemsContext::setObject( _T("UserDialogBase"), m_userDialogManager );

    Logger::logf(LOG_MSG,_T("UserDialogManager test END"));
    m_frameLayoutHandler->GetDebugPanel()->setUserDialog(m_userDialogManager);
    m_frameLayoutHandler->SendObject( TN_UserDialogBase, m_userDialogManager);
    m_frameLayoutHandler->SendObject( TN_GaugeGroupManager, m_gaugeGroupManager);

    m_vemsTuneController->setUserDialog(m_userDialogManager);

    m_pUserMenuRefresher = new UserMenuRefresher( m_userDialogManager, GetMenuBar() );
    m_stController->RegisterViewer( m_pUserMenuRefresher );


    /*********************************************
     *    TaskBar Icon init!!!                   *
     *********************************************/
	wxBitmap tempbmp1;

	tempbmp1.LoadFile(DirHelper::GetPath(dICON) + _T("vemslogo-icon-16.png"),wxBITMAP_TYPE_PNG);

	wxIcon icon1;

	icon1.CopyFromBitmap(tempbmp1);

    m_TaskBarIcon = new VemsTaskBarIcon(this);

    m_TaskBarIcon->SetIcon(icon1,_T("VemsTune: ")+AutoVersion::getVersion() );

    Logger::logf(LOG_MSG,wxString::Format(_T("Taskbaricon init result = %i"),m_TaskBarIcon->IsOk()));


    m_projectCaption = _T("Project selection");

    //set program paramteres
    m_params        = params;
    m_isAfterStart  = true;

    SetMinSize(  wxSize(510,33) + (GetSize() - GetClientSize())   );

    //m_timer.Start(2000); /// 2 sec

#ifdef USE_TERMINAl_PANEL
    /// terminal panel
    wxBookCtrl* pBookCtrl = m_frameLayoutHandler->GetDebugPanel()->GetBook();
    TerminalPanel*  terminal = new TerminalPanel( pBookCtrl, wxID_ANY );
    pBookCtrl->AddPage( terminal, _T("Terminal") );
    TerminalLog::init( terminal );
    TerminalLog::portLog( SerialHelper::getECUConfig()->getPortName() );
    TerminalLog::baudLog( SerialHelper::getECUConfig()->getBaudRate() );
#endif

    m_vemsTuneController->startThreads();

    /// under test
    ///COMMUNICATION REFACTOR
//    m_pDispatcher = new CommunicationDispatcher();

//    m_pConfigSaver  = new ConfigSaver( m_vemsTuneController->getECUController() , m_pDispatcher );

//    m_pUploadDialog = new FWConfigUploadDialog( this, m_pDispatcher, m_vemsTuneController, UserLog::GetObserver() );

    /// drag end drop
    //SetDropTarget( new DnDFile( this ) );

    //Logger::logf( LOG_MSG, _T("-----MainFrame::MainFrame() - FINISHED") );



//    m_mmcLoggerMgr = new MMCLoggerManager( m_vemsTuneController, SerialHelper::getECUCommCTB(), MTConfigHelper::getMTConfigData());

    // check for updates

    SymbolMgr& symbolManager = MTConfigHelper::getMTConfigData()->getSymbolMgr();
    m_configSwitchStateViewer = new ConfigSwitchState( _T("isConfsw"), &symbolManager );
    m_rtDataMgr->RegisterViewer( m_configSwitchStateViewer );
    m_configSwitchStateViewer->SetDataMgr( m_rtDataMgr );

    m_configDownloadDirector = new ConfigDownloadDirector( this, m_vemsTuneController->getDeviceContoller() );
    m_pFirmwareConfigManager = new FirmwareConfigManager(   this, m_vemsTuneController->getDeviceContoller(),
                                                            m_vemsTuneController->getSTDataMgr()->getDeviceModel(),
                                                            UserLog::GetObserver(), m_userDialogManager );
    m_firmwareDirector = new FirmwareDirector( this, m_vemsTuneController->getDeviceContoller() );
    m_sdCardDirector = new SDCardDirector( this, m_vemsTuneController->getDeviceContoller() );

    Connect( ConfigDownloadDirectorEvent, wxCommandEventHandler( MainFrame::FirmwareConfigDownloaded ), NULL, this );

    /// TODO - TEST
    m_eventDispatcher->addEventHandler( m_firmwareDirector );
    m_eventDispatcher->addEventHandler( m_configDownloadDirector );
    m_eventDispatcher->addEventHandler( m_pFirmwareConfigManager );

    m_uploadFirmware = false;
    m_projectAction = false;

    RegisterTarget( this );

    m_VTFilesUpdater = new VTFilesUpdater ( wxEmptyString );
    m_VTFilesUpdater->Check();
}

bool MainFrame::AcceptDrop()
{
    return true;
}

bool MainFrame::DropFiles( const wxArrayString& files )
{
    size_t nFiles = files.GetCount();

    if ( nFiles != 1 )
    {
        return false;
    }

    wxString filename = files[0];

    if ( !wxFile::Exists( filename ) )
    {
        return false;
    }

    wxFileName fn( filename );

    if( fn.GetExt().IsSameAs( _T("vemscfg"), false ) ) {

        OnOpenVemsCfg( filename );

    } else if( fn.GetExt().IsSameAs( _T("vemslog"), false ) ) {

        OnOpenVemsLog( filename );

    } else {
        return false;
    }

    return true;
}

void MainFrame::OnIconize(wxIconizeEvent &evt)
{
    Logger::logf(LOG_MSG,_T("MainFrame::OnIconize"));
}

void MainFrame::OnSetFocus( wxFocusEvent &evt )
{
    ///crash when VemsAuiManager wxAUI_MGR_ALLOW_FLOATING flag is enabled
    m_frameLayoutHandler->UpdateAUI();
}

void MainFrame::GenerateMenu(int id)
{
LOG
    if(id == MAINMENU_FILE) {

    //clear file menu
        wxMenuItemList mlist = m_fileMenu->GetMenuItems();
        wxMenuItemList::iterator it;
        for ( it = mlist.begin(); it != mlist.end(); ++ it )
        {
            wxMenuItem* item = *it;
            m_fileMenu->Destroy( item );
        }

    //fill up the menu
        m_fileMenu->Append( MENU_ID_OPEN_VEMSLOG, _T("Open Log file"), _T("Open Log file"));

        m_fileMenu->Append( MENU_ID_OPEN_VEMSLOG_SEPARATED, _T("Open Log file to separated frame"), _T("Open Log to separated frame"));

        m_recentLogsMenu = new wxMenu();
        m_fileMenu->AppendSubMenu( m_recentLogsMenu, _T("Recent Log files"), _T("Recent Log files") );

        m_fileMenu->AppendSeparator();

        m_fileMenu->Append( MENU_ID_OPEN_VEMSCFG, _T("&Open Config file"), _T("Open Config file") );
        m_recentCfgsMenu = new wxMenu();
        m_fileMenu->AppendSubMenu( m_recentCfgsMenu, _T("Recent Config files"), _T("Recent Config files") );

        CreateRecentFilesMenu( RECENT_ALL ); // create both config and log menu

        m_fileMenu->AppendSeparator();

        m_fileMenu->Append( MENU_ID_FILEOPEN2, _T("Open Vems files advanced"), _T("Open Vems files advanced") );

        if(m_vemsTuneController && m_vemsTuneController->getDevice() == ECUInfo::DEVICE_V3)
            m_fileMenu->Append( MENU_ID_CONFIGSWITCH_UPLOAD , _T("&Upload Advanced (to table A and B)"), _T("Upload config to Table A and B") );

        m_fileMenu->AppendSeparator();

        // if vemsCfg is opened then this saves over it else same as save as...
        m_fileMenu->Append( MENU_ID_SAVE_VEMSCFG, _T("&Save Config file"), _T("Save Config file") );


        /// LOGDIR, RECENT ECUS

        m_fileMenu->AppendSeparator();

        wxString defworkdir = LogDirManager::GetDefaultWorkDir();
        m_setDefDirMenu = new wxMenu();
        m_setDefDirMenu->Append( MENU_ID_DEFWORKINGDIR, _T("Current working directory:") + defworkdir, _T("Current working directory:") + defworkdir );
        m_setDefDirMenu->Enable( MENU_ID_DEFWORKINGDIR, false );
        m_setDefDirMenu->Append( MENU_ID_SETDEFWORKINGDIR, _T("Set &default working directory..."), _T("Set default working directory"));
        m_fileMenu->AppendSubMenu(m_setDefDirMenu, _T("Default working directory settings"), _T("Default working directory settings"));

        wxString currentECU = LogDirManager::selectedECU();
        wxString currentECUstr = wxT("Current ECU: ");
         DirHelper::SetPath(dLOG, defworkdir + DirHelper::Separ() + currentECU);
        currentECUstr += ( currentECU == wxEmptyString) ? wxT("None selected") : currentECU;

        m_fileMenu->Append( MENU_ID_CURRENT_ECU, currentECUstr, currentECUstr );
        m_fileMenu->Enable( MENU_ID_CURRENT_ECU, false );

        m_fileMenu->Append(idMenuAddECUDir, _T("Add ECUs from directories to database..."), _T("Add ECUs from directories to database"));
        m_fileMenu->Append(idMenuSelectECUFromDb, _T("Select ECU from database..."), _T("Select ECU from database...") );

        m_RecentECUMenu = new wxMenu();
        m_fileMenu->AppendSubMenu(m_RecentECUMenu, _T("&Recent ECUs"), _T("Recent ECUs"));
        CreateRecentECUsMenu();

        m_fileMenu->AppendSeparator();
        m_fileMenu->Append(idMenuFirmwareInfo, _("&Firmware Info\t"), _("Firmware Info"));
        m_fileMenu->Append( idMenuEditConfig, _("&Firmware Parameters\t"), _("Firmware Parameters") );


        if(m_vemsTuneController && m_vemsTuneController->getDevice() == ECUInfo::DEVICE_V3) {
            m_fileMenu->AppendSeparator();
            m_fileMenu->Append( idMenuPasswordProtection, _("&Password Protection\t"), _("Password Protection") );

        }

        m_fileMenu->AppendSeparator();
///-----Project menu
    wxMenu* m_projectMenu = new wxMenu();
    m_fileMenu->AppendSubMenu( m_projectMenu, _("Project"), _("Project") );
        m_projectMenu->Append(idOpenProject, _("&Open project\t"), _("Open Project"));
        CreateProjectRecentSubMenu();
        m_projectMenu->AppendSubMenu(m_prjRecentMenu, _T("&Recent projects\t"), _T("Recent projects"));
        m_projectMenu->Append(idProjectSettings, _("Projects settings"), _("Projects settings"));
        m_projectMenu->AppendSeparator();
        m_projectMenu->Append(idNewProject, _("Create new project"), _("Create new project"));
        m_projectMenu->AppendSeparator();
        m_projectMenu->Append( idMenuProjectUpload, _("Project upload"), _("Project upload") );
        m_projectMenu->AppendSeparator();
        m_projectMenu->Append( idMenuProjectFirmwareUpload, _("Firmware upload"), _("Firmware upload") );
        m_projectMenu->Append( idMenuProjectFirmwareVerify, _("Firmware verify"), _("Firmware verify") );
        m_projectMenu->AppendSeparator();
        m_projectMenu->Append( idMenuProjectConfigUpload, _("Config upload"), _("Config upload") );
        m_projectMenu->Append( idMenuProjectConfigVerify, _("Config verify"), _("Config verify") );
    m_fileMenu->AppendSeparator();
    m_fileMenu->Append( idMenuVemsTuneInfo, _T("VemsTuneInfo"), _T("VemsTuneInfo") );
    m_fileMenu->AppendSeparator();
    m_fileMenu->Append( idMenuExit, _T("Exit"), _T("Exit") );

    }
LOG
}

void MainFrame::createMenu()
{
	wxMenuBar* mbar = new wxMenuBar();

    ///-----File menu
	m_fileMenu = new wxMenu();

	RecentVemsFiles::setDbDir( DirHelper::GetPath( dCONFIG ) );

    LogDirManager::SetDbPath( DirHelper::GetPath(dCONFIG, true) );
    wxString defworkdir = LogDirManager::GetDefaultWorkDir();
    LogDirManager::SetDefaultWorkDir( defworkdir );

    GenerateMenu(MAINMENU_FILE);

	mbar->Append(m_fileMenu, _("File"));


    ///-----View menu
	wxMenu *viewMenu = new wxMenu();
	mbar->Append(viewMenu, _T("&View"));
    //wxMenu* genMenu = new wxMenu(_(""));
	//genMenu->Append(idMenuGenTrigger, _("&Generate Trigger\t"), _("Generate Trigger Sound"));

    ///-----Tools menu
    wxMenu* toolsMenu = new wxMenu();
    mbar->Append(toolsMenu, _("&Tools"));
    toolsMenu->Append( MENU_ID_VEMSLOG_START_NEW, _T("&Start new vemslog\tAlt+L"), _T("Start new vemslog") );
    toolsMenu->Append( MENU_ID_VEMSLOG_ADD_MARKER, _T("&Add marker to vemslog\tAlt+K"), _T("Start new vemslog") );
    toolsMenu->AppendSeparator();
    toolsMenu->Append(idRawLogConvertToHigh, _("&VemsLog to csv Converter\t"), _("You can convert vemslog to csv format"));
    toolsMenu->Append(idMenuConvertLastLog, _("&Convert last vemslog to csv\t"), _("Convert last vemslog"));
    toolsMenu->Append(idMenuConvertAllLog, _("&Convert all vemslog to csv\t"), _("Convert all vemslog"));
    toolsMenu->Append(idMenuOpenLastLog, _("&View last log with Ext. Viewer\t"), _("View last log with Ext. Viewer"));
    toolsMenu->Append(idMenuExportMSQ , _("MSQ export"), _("MSQ export"));
    toolsMenu->AppendSeparator();
    toolsMenu->Append(idMenuToolsVETune, _("VE Tune by statistics"), _("VE Tune by statistics") );
    toolsMenu->AppendSeparator();
    toolsMenu->Append(idMenuWBO2Calibration , _("WBO2 Calibration"), _("WBO2 Calibration"));
    toolsMenu->Append(idMenuTPSCalibration , _("TPS Calibration"), _("TPS Calibration"));
    toolsMenu->Append(idIgnitionLock, _("Ignition Lock"), _("Ignition Lock"));
    toolsMenu->Append(idIACLock, _("IAC Lock"), _("IAC Lock"));
    toolsMenu->Append(idIACControl, _("IAC Control"), _("IAC Control"));
    toolsMenu->Append(idTachoLock, _("Tachometer Lock"), _("Techometer Lock"));
    //toolsMenu->Append(idMenuAdvFrame , _("Calibration test"), _("Calibration test"));

    toolsMenu->AppendSeparator();
    wxMenu* mmcLogMenu = new wxMenu();
    toolsMenu->AppendSubMenu( mmcLogMenu, _("SD Card log"), _("SD Card log") );

//    mmcLogMenu->Append(idMenuMmcOverView2, _("SD Card Extended overview"), _("SD Card Extended overview"));
//    mmcLogMenu->Enable( idMenuMmcOverView2, false );
    mmcLogMenu->Append( idMenuSDCardV3, _T("Search SD files"), _T("Search SD files") );
    mmcLogMenu->Append( idMenuSDCardOpenImage, _T("Open image file"), _T("Open image file") );
    mmcLogMenu->Append( idMenuSDCardReader, _T("SD Card Reader"), _T("SD Card Reader") );

    mmcLogMenu->AppendSeparator();
    mmcLogMenu->Append( idMenuMMCLogStart, _T("Start"), _T("Start") );
    mmcLogMenu->Append( idMenuMMCLogStop, _T("Stop"), _T("Stop") );
    mmcLogMenu->Append( idMenuMMCLogErase, _T("Erase"), _T("Erase") );
//    mmcLogMenu->Append( idMenuMMCLogSave, _T("Save"), _T("Save") );
//    mmcLogMenu->Enable( idMenuMMCLogSave, false );
//    mmcLogMenu->AppendSeparator();
//        mmcLogMenu->Append(idMenuMmcOverView, _("SD Card overview (old)"), _("SD Card overview (old)"));
//        mmcLogMenu->Enable( idMenuMmcOverView, false );
//    toolsMenu->AppendSeparator();
//     wxMenu* gaugeTestMenu = new wxMenu();
//    toolsMenu->AppendSubMenu(gaugeTestMenu,_("&Realtime Gauges"), _("Realtime Gauges"));
m_selectInputMenu = new wxMenu();
//    gaugeTestMenu->AppendSubMenu(m_selectInputMenu, _("&Select Input"), _("Select Input"));
    m_selectInputMenu->AppendRadioItem( idSelectInputECUFast, _("&ECU"), _("ECU"));
    m_selectInputMenu->AppendRadioItem( MENU_ID_OPEN_VEMSLOG, _("&VemsLog"), _("VemsLog"));
    m_selectInputMenu->AppendRadioItem( MENU_ID_OPEN_VEMSCFG, _T("&VemsCfg"), _T("VemsCfg") );



    toolsMenu->AppendSeparator();
    toolsMenu->Append(idMenuSoundConfig, _("&Play Trigger\t"), _("Play Trigger"));
#if defined ( VEMSDEBUG )
    toolsMenu->Append(idMenuGenTrigger, _("&Generate Trigger waw\t"), _("Generate Trigger waw"));
#endif
    toolsMenu->Append(idToolsTriggerLog, _T("Analyze/record trigger log"), _T("Analyze/record trigger log"));
    toolsMenu->AppendSeparator();
/*    wxMenu* sFloodMenu = new wxMenu();
    sFloodMenu->Append( idMenuStartSFlood, _T("Start"), _T("Start") );
    sFloodMenu->Append( idMenuStopSFlood, _T("Stop"), _T("Stop") );
    toolsMenu->AppendSubMenu( sFloodMenu, _("\"S\" flood"), _("\"S\" flood") );*/




/// Firmware SubMenu
    wxMenu* m_firmwareMenu = new wxMenu();
    toolsMenu->AppendSubMenu( m_firmwareMenu, _("Firmware"), _("Firmware") );
        //m_firmwareMenu->Append(idMenuSimpleFirmwareUpload, _("Firmware upload"), _("Quick firmware upload") );
        //m_firmwareMenu->Append(idMenuSimpleFirmwareVerify,_("Firmware verify"), _("Quick firmware verify") );
        m_firmwareMenu->Append( idMenuFirmwareUpload, _("Firmware upload"), _("Firmware upload") );
        m_firmwareMenu->Append( idMenuFirmwareVerify, _("Firmware verify"), _("Firmware verify") );
        m_firmwareMenu->AppendSeparator();
        //m_firmwareMenu->Append(idMenuEasyUploadConfig, _("Config Upload"), _("Easy Upload Config"));
        m_firmwareMenu->Append( idMenuConfigUpload, _("Config upload"), _("Config upload") );
        m_firmwareMenu->Append( idMenuFilteredConfigUpload, _("Filtered config upload"), _("Filtered config upload") );
        m_firmwareMenu->Append( idMenuConfigVerify, _("Config verify"), _("Config verify") );

        m_firmwareMenu->AppendSeparator();
        //m_firmwareMenu->Append(idMenuEasyDownloadConfig, _("Config Download"), _("Config Download") );
        //m_firmwareMenu->Append(idMenuEasyDownloadConfigEz, _("Config Download To"), _("Easy Download Config"));
        m_firmwareMenu->Append( idMenuConfigDownload, _("Config Download"), _("Config Download") );
        m_firmwareMenu->Append( idMenuConfigDownloadTo, _("Config Download To"), _("Config Download To") );

        m_firmwareMenu->AppendSeparator();
        m_firmwareMenu->Append( idMenuFirmwareWeb, _("Firmware &web tool\t"), _("Firmware web tool") );
        m_firmwareMenu->AppendSeparator();

        m_firmwareMenu->Append( idMenuSFloodDlg, _T("Round emergency revival"), _T("Round emergency revival") );


    ///-----Preferences menu
    wxMenu* settingsMenu = new wxMenu(_(""));
	settingsMenu->Append( idMenuECUConfig, _("E&CU Communication\t"), _("ECU Communication"));
	settingsMenu->Append( idMenuGPSConfigNew, _T("GPS Communication"), _T("GPS Communication") );
//	settingsMenu->Append( idMenuAIMConfig, _T("AIM Communication"), _T("AIM Communication") );
	//settingsMenu->Append( idMenuGPSConfig, _("&GPS Communication (old)\t"), _("GPS Communication (old)"));

	/// removed - protocol config can be set in ECUConfig
	// settingsMenu->Append( idMenuProtocolConfig, _("&Default Protocol\t"), _("Default Protocol"));
	///
	settingsMenu->Append( idMenuEnvironmentConfig, _("&Environment Config\t"), _("Environment Config"));
	settingsMenu->Append( idMenuTableEditor3DPreferences, _("&TableEditor3D Preferences\t"), _("TableEditor3D Preferences"));
    settingsMenu->AppendSeparator();
    m_hotKeyProfileMgr = new wxHotKeyProfileManager(this,settingsMenu);
    settingsMenu->AppendSeparator();
    settingsMenu->Append( idVTFilesUpdaterSettings, _T("Automatic updates settings"), _T("Automatic updates settings") );
    settingsMenu->Append( idVTFilesUpdateManually, _T("Update files manually"), _T("Update/restore files manually") );

    mbar->Append(settingsMenu, _("&Preferences"));

#if defined ( VEMSDEBUG )
    ///-----Dev menu
    wxMenu* expMenu = new wxMenu(_(""));

    expMenu->Append(idMenuSaveEEpromCfg, _T("Save EEPROM cfg"), _T("Save EEPROM cfg") );
    expMenu->AppendSeparator();

    expMenu->Append(idMenuLoggerScreen, _("Lo&gger Screen\t"), _("Logger Screen"));
    expMenu->Append(idMenuTriggerConfig, _("&Triggercalc Test\t"), _("Triggercalc Test"));
    expMenu->Append(idMenuCalcModelAn, _T("Calculation modell analysis"), _T("Calculation modell analysis") );

    expMenu->Append(idMixtureTableView, _("&Mixture Table Test\t"), _("Mixture Table Test"));
    expMenu->Append(idMenuWinceTest, _("&wince test\t"), _("wince test"));
    expMenu->Append(idMenuWinceTest2, _("&wince test 2\t"), _("wince test 2"));
    expMenu->Append(idMenuWinceTest3, _("wince test 3\t"), _("wince test 3"));
    // expMenu->Append(idMenuDefWorkDirDBDropTables, _("Working directories DB reset"),_("Working directories DB reset"));
    expMenu->Append(idMenuDevOutChannels, _("Output channels config"),_("Output channels config"));
    expMenu->Append(idMenuDevIgnOut, _T("Ignition output"), _T("Ignition output"));
    expMenu->Append(idMenuRTDataStat, _("RealTime data statistics"), _("RealTime data statistics"));

    //expMenu->Append(idMenuSparkTester  , _("SparkTester"), _("SparkTester"));
    expMenu->Append( idMenuAIMTest , _("AIM test"), _("AIM test") );
    expMenu->Append( idMenuGaugeGroupTest, _T("gauge group test"), _T("ggt") );
    expMenu->AppendSeparator();
    expMenu->Append( idMenuTorqueConfig, _("&Torque config\t"), _("Torque config") );
    expMenu->Append(idMenuRaceAnalizer, _("&Race Analizer\t"), _("Race Analizer"));
    expMenu->AppendSeparator();
    mbar->Append(expMenu, _("&Dev"));

    expMenu->Append( idConfigCheckerTest, _T("ConfigChecker test"), _T("ConfigChecker test") );

    expMenu->Append(idMenuDevToolBarLayout, _T("Print &Toolbar Layout"), _T("Print Toolbar Layout"));


    expMenu->Append(idMenuDevToolBarLayout, _T("Print &Toolbar Layout"), _T("Print Toolbar Layout"));

#endif

    ///-----Help menu
	wxMenu* helpMenu = new wxMenu();
    helpMenu->Append( idMenuHelpTopics, _T("&Help Topics\tF1"), _T("Show help") );
	helpMenu->Append(idMenuAbout, _("&About"), _("Show info about this application"));
	mbar->Append(helpMenu, _("&Help"));

	SetMenuBar(mbar);

}

void MainFrame::OnClose(wxCloseEvent& event)
{
    printf("MainFrame::OnClose");
    MainGuiConfig config;
    config.setRect( GetRect() );
    config.m_isMaximized = IsMaximized();
    config.m_isFullScreen = IsFullScreen();
    config.m_device = m_vemsTuneController->getDevice();

    bool isBadPers = m_frameLayoutHandler->IsCorruptedToolbarLayout();

    if(isBadPers) {
        Logger::logf(LOG_MSG,_T("MainFrame::OnClose perspective is bad"));
        UserLog::uLog( ULOG_ERROR, _T("The main perspective is corrupted. Not saved."));
    } else {
        config.m_perspective = m_frameLayoutHandler->GetPerspective();
    }

#if MDI_FRAME
    //m_frameLayoutHandler->SavePerspective( GetRect(), IsFullScreen(), IsMaximized(), GetClientWindow() );
    config.m_mdiHeight = GetClientWindow();
#else
    //m_frameLayoutHandler->SavePerspective( GetRect(), IsFullScreen(), IsMaximized() );
#endif

    ConfigMgrMainGui configMgr(ConfigHelper2::getConfig(ConfigHelper2::CONFIG_LAYOUT) );
    configMgr.save(&config);

    //SavePerspective();

    m_userDialogManager->closeAllDialog();

    m_vemsTuneController->setECUOnline( false, true );
    m_vemsTuneController->setGPSOnline( false );

    m_rtDataMgr->UnregisterAll();

    //m_stController->UnregisterAll();
    //m_gaugeGroupManager->hideAll();

    Destroy();

}




void MainFrame::SortRecentProjects(Project *prj)
{
    if(prj) m_prjMgr->SetCurrPrj(prj);


    ProjectArray * arr = m_prjMgr->GetProjects();

    for(uint8_t a=0;a<arr->GetCount();a++){
        if(arr->Item(a)->MenuId!=-1) {
            int menuId = arr->Item(a)->MenuId;
			if ( m_prjRecentMenu->FindItem( menuId ) != NULL ) {
				m_prjRecentMenu->Remove( menuId );
			}
		}
    }
    for(uint8_t a=0;a<arr->GetCount();a++){
        Project *prj = arr->Item(a);

        if(prj->MenuId == -1) {
            prj->MenuId = wxNewId();
            Connect(prj->MenuId, wxEVT_COMMAND_MENU_SELECTED, wxCommandEventHandler(MainFrame::OnLoadRecentProject));
        }

        m_prjRecentMenu->Append(prj->MenuId, _T("&") + wxString::Format(_T("%i  "),a) + prj->Path + _T("\t"), prj->Name);

    }

}

void MainFrame::OnGUICommand(VemsGUICommandEvent& evt)
{
    LOGP(wxString::Format(_T("command=%i, msg=")+evt.GetMessage().GetString(),evt.GetCommand()));

    switch( evt.GetCommand() ){

        case MFCMD_OPENDLG_LOGFILE: {
            wxCommandEvent evt(wxEVT_COMMAND_MENU_SELECTED, MENU_ID_OPEN_VEMSLOG);
            AddPendingEvent(evt);
            }break;

        case MFCMD_OPENDLG_CONFIGFILE: {
            wxCommandEvent evt(wxEVT_COMMAND_MENU_SELECTED, MENU_ID_OPEN_VEMSCFG);
            AddPendingEvent(evt);
            }break;

        case MFCMD_OPENDLG_LOGFILEADV: {
            wxCommandEvent evt(wxEVT_COMMAND_MENU_SELECTED, MENU_ID_FILEOPEN2);
            AddPendingEvent(evt);
            }break;

        case MFCMD_OPENDLG_LOGFILETOSEPAR: {
            wxCommandEvent evt(wxEVT_COMMAND_MENU_SELECTED, MENU_ID_OPEN_VEMSLOG_SEPARATED);
            AddPendingEvent(evt);
            }break;

        case MFCMD_OPENDLG_COMM_ECU: {
            //ECUConfigPanel::findAndShow( this, m_vemsTuneController );
            ECUConfigPanel dlg( this, m_vemsTuneController );
            dlg.ShowModal();
            }break;

        case MFCMD_OPENDLG_COMM_GPS: {
            GPSConfigDialog2 dlg( this, m_vemsTuneController );
            dlg.ShowModal();
            }break;

        case MFCMD_OPEN_CONFIGFILE:
            OnOpenVemsCfg( evt.GetMessage() );
            break;

        case MFCMD_OPEN_LOGFILE:
            OnOpenVemsLog( evt.GetMessage() );
            break;

        case MFCMD_OPENED_GROUP:
            m_frameLayoutHandler->CloseWelcomeScreen();
            break;

    }
}

void MainFrame::OnLoadRecentProject(wxCommandEvent& event)
{

    int id = event.GetId();

    Project *prj = m_prjMgr->GetProjectByMenuID(id);

    if(!prj) return;

    SortRecentProjects(prj);

    loadCurrentProject();
}

void MainFrame::OnSetDefWorkingDir(wxCommandEvent & evt)
{
    wxDirDialog dialog(this, _T("Set default working directory"),
        DirHelper::GetPath(dWORKINGDIR), wxDD_DEFAULT_STYLE | wxDD_DIR_MUST_EXIST );

    if (dialog.ShowModal() == wxID_OK && dialog.GetPath() != DirHelper::GetPath(dWORKINGDIR,false))
    {
        wxString defdir = dialog.GetPath();
        // in application
        DirHelper::SetPath(dWORKINGDIR, defdir );

        FirmwareInfo* fwInfo = m_vemsTuneController->getFirmwareInfo();
        long id = fwInfo->getSerialNumberAsLong();

        if ( id < 0 )
            id = 0;

        wxString ecuType = _T("");
        if ( fwInfo->getDevice() == ECUInfo::DEVICE_ROUND )
        {
            ecuType = _T("R");
        }
        wxString name = LogDirManager::getNameBySerialNumber(id, ecuType);

        wxString idS; idS << id;
        idS = ecuType + idS;

        DirHelper::setLogdirPath(idS, name);

        // into database
        LogDirManager::SetDbPath( DirHelper::GetPath(dCONFIG, true) );
        LogDirManager::SetDefaultWorkDir( defdir );

        // refresh menu
        m_setDefDirMenu->SetLabel( MENU_ID_DEFWORKINGDIR, _T("Current working directory: ") + defdir );
    }
}

void MainFrame::OnRecentECU(wxCommandEvent & event)
{

    int id = event.GetId();
    int recentID = LogDirManager::GetRecentECU(0).menuID;

    Logger::logf(LOG_MSG, _T("MainFrame::OnRecentECU(): START id=%d,%d"), id, recentID);

    if (id == recentID) return;

    wxString menuName = m_RecentECUMenu->GetLabelText(id).AfterFirst(' ');
    wxString ECUName = menuName.Trim(false);
    wxString ECUSerial = ECUName.AfterLast('-');
    ECUName = ECUName.BeforeLast('-');

    // update this
    //LogDirManager::updateByName(ECUName); -- deleted because ECU name is not unique
    LogDirManager::updateSerialNumber(ECUSerial);
    wxString ECUDir = LogDirManager::selectedECU();

    // create dir if not exists
    wxString currdir = DirHelper::GetPath(dWORKINGDIR, true);
    Logger::logf(LOG_MSG, _T("MainFrame::OnRecentECU(): currworking dir: ")+ currdir);
    if ( !wxDirExists(currdir + ECUDir) )
    {
    #ifdef __WIN32__
        wxMkDir( currdir + ECUDir );
    #else
        wxString dir = currdir + ECUDir;
        wxMkDir( dir.mb_str() ,0777 );
    #endif
    }

    DirHelper::SetPath( dLOG, currdir + ECUDir );
    Logger::logf(LOG_MSG, _T("MainFrame::OnRecentECU(): currlog dir: ")+ DirHelper::GetPath(dLOG) );
    CreateRecentECUsMenu();

    // update file menu
    wxMenuBar * mbar = this->GetMenuBar();
    wxMenuItem * currECU = mbar->FindItem( MENU_ID_CURRENT_ECU );
    currECU->SetItemLabel(wxT("Current ECU: ") + menuName);
}

void MainFrame::CreateRecentFilesMenu( unsigned char fType )
{
    wxArrayString logfiles;
    wxArrayString cfgfiles;

    if ( fType & RECENT_LOGFILE )
        logfiles = RecentVemsFiles::getRecentFiles();
    if ( fType & RECENT_CONFIGFILE )
        cfgfiles = RecentVemsFiles::getRecentFiles( false );

    unsigned int i;

    // re-create recent log menu
    if ( fType & RECENT_LOGFILE )
    {
        wxMenuItemList mlist = m_recentLogsMenu->GetMenuItems();
        wxMenuItemList::iterator it;
        for ( it = mlist.begin(); it != mlist.end(); ++ it )
        {
            wxMenuItem* item = *it;
            m_recentLogsMenu->Destroy( item );
        }

        for ( i = 0; i < logfiles.GetCount(); ++i )
        {
            int mId = wxNewId();
            m_recentLogsMenu->Append( mId, _T("&") + wxString::Format( _T("%d  "), i ) + logfiles[i] );

            Connect( mId, wxEVT_COMMAND_MENU_SELECTED, wxCommandEventHandler( MainFrame::OnSelectRecentLog ) );

        }
    }

    // re-create recent cfg menu
    if ( fType & RECENT_CONFIGFILE )
    {
        wxMenuItemList mlist = m_recentCfgsMenu->GetMenuItems();
        wxMenuItemList::iterator it;

        mlist = m_recentCfgsMenu->GetMenuItems();
        for ( it = mlist.begin(); it != mlist.end(); ++ it )
        {
            wxMenuItem* item = *it;
            m_recentCfgsMenu->Destroy( item );
        }

        for ( i = 0; i < cfgfiles.GetCount(); ++i )
        {
            int mId = wxNewId();
            m_recentCfgsMenu->Append( mId, _T("&") + wxString::Format( _T("%d  "), i ) + cfgfiles[i] );

            Connect( mId, wxEVT_COMMAND_MENU_SELECTED, wxCommandEventHandler( MainFrame::OnSelectRecentConfig ) );
        }
    }
}

void MainFrame::CreateRecentECUsMenu()
{
    size_t i;

    for ( i = 0; i < MAX_RECENT_ECU_NUM; ++i )
    {
        int menuId = LogDirManager::GetRecentECU(i).menuID;

		if ( menuId < 1 ) continue;

		if ( m_RecentECUMenu->FindItem( menuId ) != NULL ) {
			m_RecentECUMenu->Delete( menuId );
		}
    }

    wxArrayString recentecus = LogDirManager::GetRecentECUs();


    for (i = 0; i <  recentecus.Count();++i)
    {
        int mID = wxNewId();
        m_RecentECUMenu->Append(mID, wxString::Format(_T("&%d  "),i+1)+recentecus.Item(i), recentecus.Item(i));
        RecentECUs r; r.menuID = mID; r.ECUName = recentecus.Item(i);
        LogDirManager::SetRecentECU(i, r);
        Connect(mID, wxEVT_COMMAND_MENU_SELECTED, wxCommandEventHandler(MainFrame::OnRecentECU));
        // Logger::logf(LOG_MSG,r.path + r1.path + wxString::Format(L"%d %d",mID,r1.menuID));
    }
}

void MainFrame::EnableSelectECUMenus(bool enabled)
{
    CreateRecentECUsMenu();
    wxMenuBar * mbar = this->GetMenuBar();
    int id = mbar->FindMenuItem(_T("File"), _T("Recent ECUs"));
    mbar->Enable(id, enabled);
    mbar->Enable(idMenuSelectECUFromDb, enabled);
    mbar->Enable(idMenuAddECUDir, enabled);
}

void MainFrame::OnAddSymbol(wxCommandEvent& event)
{
    NewGaugeDescriptorDialog * frame = new NewGaugeDescriptorDialog(this, GaugeDescHelper::GetGDMgr());
    frame->Show(1);
}

void MainFrame::OnGaugeGroupEditor(wxCommandEvent& event)
{
    GaugeGroupEditor * editor = new GaugeGroupEditor(this, m_gaugeGroupManager);
    editor->Init();
    editor->Show( true );
}

void MainFrame::OnVemsFlagDescEditor(wxCommandEvent& event)
{
    new VemsFlagDescEditor(this, m_gaugeGroupManager->GetGaugeDescMgr()->GetVemsFlagDescMgr() );

}

void MainFrame::OnMultiGraphProfiles(wxCommandEvent& event)
{
    new MVG_ProfilesEditor(this, m_gaugeGroupManager->GetGaugeDescMgr());
}

void MainFrame::CreateProjectRecentSubMenu()
{
    m_prjRecentMenu = new wxMenu();

    SortRecentProjects(NULL);

}

void MainFrame::SavePerspective()
{

}

MainFrame::~MainFrame()
{
    m_TaskBarIcon->RemoveIcon();
    delete m_TaskBarIcon;

    delete m_frameLayoutHandler;
    delete m_VTFilesUpdater;

    delete m_vemsTuneController;

    delete m_progressBarManager;
}

void MainFrame::OnQuit(wxCommandEvent& event)
{
    Close();
}

void MainFrame::OnAbout(wxCommandEvent& event)
{
    //wxMessageBox(V3GUI_VERSION);
    //wxMessageBox(_T("Build info: ")+ wxbuildinfo(long_f),_T("") );

    VemsAboutDialog();

}

void MainFrame::OnHelpTopics( wxCommandEvent& event )
{
    HelpUtil::showHelp( _T("Intro") );
}


void MainFrame::OnNewProject(wxCommandEvent& event)
{
    NewProjectWizard wizard(this);
    wizard.RunWizard(wizard.GetFirstPage());
}

void MainFrame::OnRawConvert(wxCommandEvent& event)
{
    /*
    DoubleHash* origData = m_vemsTuneController->getRTViewerModel();
    DoubleHash* copyData = new DoubleHash();
    DoubleHash::iterator it;
    for(it = origData->begin(); it != origData->end(); ++it){
        (*copyData)[it->first] = it->second;
    }
*/
    Raw2HighConverterDialog *dlg = new Raw2HighConverterDialog(this);
    //Raw2HighConverterDialog *dlg = new Raw2HighConverterDialog( this );
    //dlg->setInputFile( _T("test") );
    dlg->Show(true);

}

void MainFrame::OnConvertLastLog( wxCommandEvent& event )
{
    wxFileNameArray files;
    DirLoader traverser(files);

    wxString workingDir = DirHelper::GetPath(dLOG, true);
    wxDir dir(workingDir);
    //; _T("/svn/firmware/utilities/svnTask/taskfiles/"));
    dir.Traverse(traverser,_T("*.vemslog"), wxDIR_FILES);


//   DirLoader::sortFV = &DirLoader::sort_function_for_wxFileNameArray;
//   printf("files.Sort(sort_function_for_wxFileNameArray)\n");

    files.Sort(&DirLoader::sortByModifycationTime);
    //wxFileName* filename;
    if(files.GetCount() < 1){
          UserLog::uLog( ULOG_ERROR, _T("Couldn't find \"*.vemslog\" in dir: ") + workingDir);
        return;
    }
    //wxFileName tmp;
    //tmp->GetFullPath
    wxString lastLogFile = files[0]->GetFullPath();

    /*
    for(int i =0;i < files.GetCount(); i++){
        filename = files[i];
        wxString temp = filename->GetFullName();
        Logger::logf(LOG_MSG, _T("fileName: ")+temp);
    }
    */

    //wxString file = _T("C:\\svn\\firmware\\utilities\\v3GUI\\logs\\rawECUlog-2007.10.10-17.48.37.txt");

    Raw2HighConverterDialog *dlg = new Raw2HighConverterDialog(this);
    dlg->setInputFile(lastLogFile);
    dlg->Show(true);

//    C:\usr\MegaSquirt\MegaLogViewer\MegaLogViewer.exe
//    C:\svn\firmware\utilities\v3GUI\logs\rawECUlog-2007.10.10-17.48.37.csv


    //wxString command =_T("C:\\usr\\MegaSquirt\\MegaLogViewer\\MegaLogViewer.exe");
//    command += _T(" C:\\svn\\firmware\\utilities\\v3GUI\\logs\\rawECUlog-2007.10.10-17.48.37.csv");

//    wxExecute(command, wxEXEC_ASYNC, NULL);
}

void MainFrame::OnConvertAllLog( wxCommandEvent& event )
{
    wxFileNameArray files;
    DirLoader traverser(files);

    wxString workingDir = DirHelper::GetPath(dLOG, true);
    Logger::logf(LOG_MSG, _T("MainFrame::OnConvertAllLog: ")+workingDir);
    wxDir dir(workingDir);

    //; _T("/svn/firmware/utilities/svnTask/taskfiles/"));
    dir.Traverse(traverser,_T("*.vemslog"), wxDIR_FILES);
    //wxFileName* filename;
    if(files.GetCount() < 1){
        UserLog::uLog( ULOG_ERROR, _T("Couldn't find \"*.vemslog\" in dir: ") + workingDir);
        return;
    }
    //wxFileName tmp;
    //tmp->GetFullPath

    wxArrayString convertableFiles;
    for(size_t i =0; i < files.GetCount(); i++){
        wxFileName* filename = files[i];
        filename->SetExt(_T("csv"));
        if(filename->IsFileReadable() ) continue;

        filename->SetExt(_T("vemslog"));
        wxString temp = filename->GetFullPath();
        Logger::logf(LOG_MSG, _T("fileName: ")+temp);
       convertableFiles.Add(temp);
    }

    if(convertableFiles.GetCount() < 1 ){
        return; // no file to convert
    }

    Raw2HighConverterDialog *dlg = new Raw2HighConverterDialog(this);
    for(size_t i =0; i < convertableFiles.GetCount(); i++){
        dlg->setInputFile(convertableFiles[i]);
    }
    dlg->Show(true);
}

void MainFrame::OnOpenLastLog( wxCommandEvent& event )
{

    wxFileNameArray files;
    DirLoader traverser(files);

    wxDir dir(DirHelper::GetPath(dLOG, true));
    //; _T("/svn/firmware/utilities/svnTask/taskfiles/"));
    dir.Traverse(traverser,_T("*.csv"), wxDIR_FILES);

    files.Sort(&DirLoader::sortByModifycationTime);
    //wxFileName* filename;
    if(files.GetCount() < 1) return;
    //wxFileName tmp;
    //tmp->GetFullPath
    wxString lastLogFile = files[0]->GetFullPath();

//    C:\usr\MegaSquirt\MegaLogViewer\MegaLogViewer.exe
//    C:\svn\firmware\utilities\v3GUI\logs\rawECUlog-2007.10.10-17.48.37.csv

    /// If external Viewer is exist use that if not try to use VemsLogger.exe

    wxString command = ConfigHelper2::getConfig(ConfigHelper2::CONFIG_MAIN)->getValue(_T("/environment"), _T("ExtLogViewer"), _T("/"));

    bool isExist = wxFileName::FileExists(command);
    if(!isExist){
        command = DirHelper::GetPath(dPROGRAMROOT) + _T("VemsLogger.exe");
    }
    command = _T("\"") + command + _T("\"");
    //wxString command =_T("C:\\usr\\MegaSquirt\\MegaLogViewer\\MegaLogViewer.exe");
    //command += _T(" C:\\svn\\firmware\\utilities\\v3GUI\\logs\\rawECUlog-2007.10.10-17.48.37.csv");
    command += _T(" \"");
    command += lastLogFile;
    command += _T("\"");

    Logger::logf(LOG_MSG, _T("MainFarme::OnOpenLastLog() command: ")+command );
    wxExecute(command, wxEXEC_ASYNC, NULL);
}
void MainFrame::ExportMSQ( wxCommandEvent& event )
{
/*
    MTConfigData* mtcd = MTConfigHelper::getMTConfigData();

    wxArrayString test;//just 0. elem used

    wxString  path;
    wxDirDialog dlg(this);
    if(dlg.ShowModal() == wxID_OK){
        path = dlg.GetPath();
    }else{
        return;
    }


    if( !(path.EndsWith(_T(".msq"))) ){
        path += _T("/table.msq");
    }

    path += _T("/tables.msq");
    test.Add(path);
*/

    wxString fileName;
    bool res = m_vemsTuneController->saveMSQ(fileName);
    if(res){
        wxMessageBox(_T("MSQ file has been saved to: ")+ fileName);
    }else{
        wxMessageBox(_T("Cant create MSQ file!\nPlease connect VEMS or open a vemslog file!"));
    }
}

void MainFrame::StartSparktTester( wxCommandEvent& event )
{
    Logger::logf(LOG_MSG,_T("MainFrame::StartSparktTester menu ok"));
    try{
        wxFrame *frame = new wxFrame(this,wxID_ANY,_T("Spark Tester"));
        SparkMyFrame *myframe = new SparkMyFrame(frame, _T("Spark Tester"));
        myframe->Show();
    //}catch(Exception& e){
    //    Logger::logf(LOG_MSG,_T("MainFrame::StartSparktTester exception e=%d"),e.what());
    //    exit(1);
    //}
     }catch(...){
        Logger::logf(LOG_MSG,_T("MainFrame::StartSparktTester exception!") );
        exit(1);
    }

}


//TODO: disable Input Change if raw logging is active
void MainFrame::OnSelectGaugeInput( wxCommandEvent& event )
{
    int id = event.GetId();

    if( id == MENU_ID_OPEN_VEMSLOG )
    {
        OnOpenVemsLog();
    }
    else if( id == idSelectInputECUFast )
    {
        m_vemsTuneController->selectInputECU();
        m_frameLayoutHandler->SendObject(TN_ChBmpEcu,NULL);
    }
    else if( id == MENU_ID_OPEN_VEMSCFG )
    {
        OnOpenVemsCfg();
    }
    else if( id == MENU_ID_OPEN_AND_FILTER_VEMSCFG )
    {
        OnOpenVemsCfg();
    }
    else if( id == MENU_ID_OPEN_VEMSLOG_SEPARATED )
    {
        wxFileDialog fdialog( this );
        fdialog.SetPath( DirHelper::GetPath(dLOG) );
        fdialog.SetWildcard(_T("Log files (*.vemslog)|*.vemslog;|Any files (*.*)|*.*"));

        if( fdialog.ShowModal() != wxID_OK ) { return; }

        wxVariantHash prop;
        prop[_T("parent")] = this;
        prop[_T("logfile")] = fdialog.GetDirectory() + DirHelper::Separ() + fdialog.GetFilename();

        VemsTuneCore * of = new VemsTuneCore(prop);
        of->Init();
    }

}

void MainFrame::OnConfigSwitchUpload( wxCommandEvent& event )
{
    int currConfigType = m_configSwitchStateViewer->getConfigType();

    ConfigSwitchAdvancedUploadDialog dlg(this, currConfigType);

    int retcode = dlg.ShowModal();

    if(retcode != wxID_OK)
        return;

    int uploadConfigType = dlg.GetChoosed(); /// returns; CFG_A, CFG_B or CFG_BOTH

    m_pFirmwareConfigManager->easyUploadConfig( currConfigType, uploadConfigType );
}

void MainFrame::OnFileOpenDlg( wxCommandEvent& event )
{
    FileOpenDlg dlg( this, _T("Open VEMS related files"), DirHelper::GetPath( dLOG ) );

    int retcode = dlg.ShowModal();

    if ( retcode == wxID_OK )
    {
        wxString filename = dlg.GetFileName();

        wxString Ufname = filename.Upper();
        // is it log
        if ( Ufname.EndsWith( _T(".VEMSLOG") ) )
            OnOpenVemsLog( filename );
        else if ( Ufname.EndsWith( _T(".VEMSCFG") ) )
            OnOpenVemsCfg( filename );
        else if ( Ufname.EndsWith( _T(".TRIGGERLOG") ) )
        {

            m_tlogGraph = new TriggerLogGraph( this );
            m_tlogmanager = new TriggerLogManager( NULL, filename, m_tlogGraph ); // will be destroyed by tloggraph!!
            m_tlogGraph->setTriggerLogMgr( m_tlogmanager );
            m_tlogmanager->setWindowParent( this );
        }

    } else if( retcode == wxID_YES ) {
        wxString filename = dlg.GetFileName();

        wxString Ufname = filename.Upper();

        if(Ufname.EndsWith( _T(".VEMSLOG"))) {
            wxVariantHash prop;
            prop[_T("parent")] = this;
            prop[_T("logfile")] = filename;

            VemsTuneCore * of = new VemsTuneCore(prop);
            of->Init();
        }
    }

}

void MainFrame::OnSoundConfig(wxCommandEvent& event)
{
    MainFrame::SetSoundDialog();
    Logger::log(LOG_MSG, _T("MainFarme::OnSoundConfig()5 \n") );
}

void MainFrame::OnLogAnalyze(wxCommandEvent& event)
{
    Logger::log(LOG_MSG, _T("MainFarme::OnLogAnalyze() \n") );
}


void MainFrame::OnTriggerConfig(wxCommandEvent& event)
{
    wxArrayString types;
    types.Add( _T("c040") );
    types.Add( _T("c041") );
    types.Add( _T("c042") );
    types.Add( _T("c043") );

    TriggerTestFrame *t_frame = new TriggerTestFrame(_T("Trigger frame"), 50,50);


    /// audi 135 + camsync
    t_frame->addLine(_T("adv: "), _T("25"), types);

    t_frame->addLine(_T("config11: "), _T("48"), types);
    t_frame->addLine(_T("ign_tdcdelay: "), _T("120"), types);

    t_frame->addLine(_T("trigger_tooth: "), _T("0"), types);
    t_frame->addLine(_T("toothw16: "), _T("360"), types);

    t_frame->addLine(_T("tooth_wheel: "), _T("3"), types);
    t_frame->addLine(_T("another_trigger_tooth: "), _T("2"), types);

    t_frame->addLine(_T("primary_trigger: "), _T("16"), types);
    t_frame->addLine(_T("secondary_trigger"), _T("2"), types); // or 0x19==25 (without filtering)

    t_frame->selectBox(_T("Engine"));
    t_frame->addLine(_T("RPM: "), _T("3000"), types);
    t_frame->addLine(_T("ignum: "), _T("11"), types);
    t_frame->addLine(_T("dwell: "), _T("1000"), types);

    t_frame->Show(true);
}

wxString MainFrame::SetSerialDialog()
{

    SerialConfigDialog* frame = new SerialConfigDialog( this );

    //frame->MakeModal();
    frame->CenterOnScreen();
    frame->Show();

    SerialConfig * sc = SerialHelper::getECUConfig();

    return sc->getPortName();
}


void MainFrame::SetSoundDialog(){

    int x = 50,
        y = 50;

#if wxUSE_HELP
    //wxHelpProvider::Set( new wxSimpleHelpProvider );
#endif // wxUSE_HELP

    // Create the main frame window
    SoundFrame *frame = new SoundFrame(this, _T("Trigger play"), x, y);
    Logger::logf(LOG_MSG,_T("MainFrame::SetSoundDialog()4"));
    frame->Show(true);

    Logger::logf(LOG_MSG,_T("MainFrame::SetSoundDialog()end"));
}

void MainFrame::OnGenTrigger(wxCommandEvent& event)
{
        wxString message = _T("Select trigger directory");
        wxString baseDir;

        if(baseDir.Length() < 1){
             baseDir = wxFileName::GetCwd();
        }

        wxString path = Helper::ChooseDirectory(this, message, baseDir,
                baseDir, false, false);

        if (path.IsEmpty()){
            return;
        }
        wxString msg;
        wxString triggerFile = path + _T("trigger.ini"); //"C:\\trigger.ini";
        bool isExist = wxFileName::FileExists(triggerFile);
        if(!isExist){
            msg =_T("Trigger ini file:<b>")+triggerFile+_T("</b> not found.");
            msg += _T("<b>Unable to play trigger!</b><br>");
            UserLog::uLog( ULOG_WARNING, msg );
            return;
        }
        Logger::logf(LOG_MSG,_T("MainFrame::OnGenTrigger()"));
        msg = _T("Trigger ini file:<b>")+triggerFile+_T("</b> found.");
        msg +=_T("Generating wav file... it may take a while.");
        UserLog::uLog( ULOG_OK, msg );

        SignalGenWx sg = SignalGenWx();
        sg.generateWavFile(triggerFile);

}

int MainFrame::Execute(wxString& command, wxArrayString& output, wxArrayString& errors){

        wxString defCwd = wxFileName::GetCwd();
        int code = wxExecute(command, output, errors);
        wxFileName::SetCwd(defCwd);
        return code;
}



void MainFrame::OnRacesAnalyzer(wxCommandEvent& event)
{
    VEMSRacesFrame *frame = new VEMSRacesFrame( this, _T("Races Analyzer Test"), wxPoint(50,50), wxSize(450,340) );

    frame->Show( true );
}

void MainFrame::OnMixtureTableView(wxCommandEvent& event)
{
    VEMSMixtureViewFrame *frame = new VEMSMixtureViewFrame( _T("Mixture Table View Test"), wxPoint(50,50), wxSize(450,340) );

    frame->Show( true );
}

void MainFrame::OnActivate(wxActivateEvent& evt)
{
    if(evt.GetActive() && m_TaskBarIcon->IsRestored() ) {
//        Logger::log(LOG_MSG,_T("MainFrame::OnActive"));

        m_TaskBarIcon->SetRestored(false);
        wreg->Maximize();
    }

    if( m_isAfterStart )
    {
        m_isAfterStart = false;

        //Display convert dialog if need
        StringHash::const_iterator it = m_params.find( _T("-convert") );
        if( it != m_params.end() )
        {
            Raw2HighConverterDialog *dlg = new Raw2HighConverterDialog (this );
            wxString inputFileName = it->second;
            dlg->setInputFile( inputFileName );
            dlg->CenterOnScreen();
            dlg->Show( true );
            return;
            //dlg->Raise();
            //dlg->SetFocus();
        }

        it = m_params.find( _T("-play") );
        if( it != m_params.end() )
        {
            wxString inputFileName = it->second;
            m_vemsTuneController->selectInputFile( inputFileName );
            m_frameLayoutHandler->SendObject( TN_ChBmpRFile, NULL );
            m_selectInputMenu->Check( MENU_ID_OPEN_VEMSLOG, true );
            if ( m_vemsTuneController->getDevice() == ECUInfo::DEVICE_V3 ) {
                validateConfig();
            }
        }

        it = m_params.find( _T("-quickupload") );
        if( it != m_params.end() )
        {
            wxString inputFileName = it->second;

            //FirmwareMgrDialog firmwareMgrDlg( this, m_vemsTuneController, UserLog::GetObserver() );
            //firmwareMgrDlg.quickFirmwareUpload( inputFileName, false );

            //firmwareMgrDlg.quickFirmwareConfigUpload( inputFileName );
        }

        it = m_params.find( _T("-quickfirmwareupload") );
        if( it != m_params.end() )
        {
            wxString inputFileName = it->second;

            //FirmwareMgrDialog firmwareMgrDlg( this, m_vemsTuneController, UserLog::GetObserver() );
            //firmwareMgrDlg.quickFirmwareUpload( inputFileName, true );
        }

        it = m_params.find( _T("-quickconfigupload") );
        if( it != m_params.end() )
        {
            wxString inputFileName = it->second;

            //FirmwareMgrDialog firmwareMgrDlg( this, m_vemsTuneController, UserLog::GetObserver() );
            //firmwareMgrDlg.quickFirmwareConfigUpload( inputFileName );
        }
    }
}

void MainFrame::SetRootDir(const wxString &dir)
{
    m_rootDir = dir;
}

void MainFrame::OnMenuLoggerScreen(wxCommandEvent& event)
{
/*
    GaugeFrameBase *frame = new GaugeFrameBase(this,wxID_ANY, m_vemsTuneController, _T("Logger Screen"),wxPoint(10,500),wxSize(245,345));

    frame->SetRootDir(m_rootDir);

    frame->SetDataMgrObj(m_rtDataMgr);

    frame->InitInputSources();

    frame->SetWindowReg(wreg);


    frame->AddStateWidget(_T("TextOnly"),wxPoint(5,220),150,true);

    frame->Show(1);*/
}

void MainFrame::OnMenuResetLayout(wxCommandEvent& event)
{

    SetSize(50,50,600,400);

}

//Preferences menu's functions

void MainFrame::OnGPSConfig(wxCommandEvent& event)
{
    ConfigFrameHelper::GPSConfigFrame( this );
}


void MainFrame::OnProtocolConfig( wxCommandEvent& event )
{
    ConfigFrameHelper::ProtocolConfigFrame( this );
}

void MainFrame::OnECUConfig( wxCommandEvent & event )
{
    //ECUConfigPanel * panel = new ECUConfigPanel(this, m_vemsTuneController);
    //ECUConfigPanel::findAndShow( this, m_vemsTuneController );
    ECUConfigPanel dlg( this, m_vemsTuneController );
    dlg.ShowModal();
}

void MainFrame::OnEnvironmentConfig( wxCommandEvent& event )
{
    ConfigFrameHelper::EnvironmentConfigFrame( this );
}

void MainFrame::OnTableEditor3DPreferences( wxCommandEvent& event )
{
    TableEditor3DPreferencesFrame::findAndShow( this );

}

void MainFrame::OnIniFileConfig( wxCommandEvent& event )
{
    ConfigFrameHelper::IniFileConfigFrame( this );
}

void MainFrame::OnEditConfig( wxCommandEvent& event )
{
    ConfigFrameHelper::EditConfigFrame( this, m_vemsTuneController->getFirmwareInfo() );
}

void MainFrame::OnPasswordProtection( wxCommandEvent& event )
{
    SymbolMgr& symbolManager = MTConfigHelper::getMTConfigData()->getSymbolMgr();
    long serial = m_vemsTuneController->getFirmwareInfo()->getSerialNumberAsLong();
    wxString serialString = wxString::Format( _T("%06d"), serial );
    PasswordProtectionDialog dialog( this, m_stController, &symbolManager, serialString );

    dialog.ShowModal();
}

void MainFrame::OnTorqueConfig( wxCommandEvent& event )
{
    ConfigFrameHelper::TorqueConfigFrame( this );
}

void MainFrame::OnAddGauge(wxCommandEvent& event)
{
    if( !MTConfigHelper::getMTConfigData()->isValid() ){
        wxString msg = _T("<b>Unable to show gauge(s)! It has 2 reasons:</b><br></font><font>");
        msg +=_T("<ul><li>ECU not connected and project is not selected!</li>");
        msg +=_T("<li>ECU connected but the firmware is older than 1.0.73!</li></ul>");
        UserLog::uLog( ULOG_WARNING, msg );
        //wxMessageBox(msg);
        return;
    }

    wxMenuBar *mbar = GetMenuBar();

    wxMenu *tmenu = mbar->GetMenu(mbar->FindMenu(_T("View")));

    wxString type = tmenu->GetLabel(event.GetId());

    Logger::logf(LOG_MSG,_T("MainFrame::OnAddGauge type=")+type);

    wxPoint gPoint = wxPoint(10,10);
    wxSize gSize = wxSize(240,240);


    GaugeCarrierFrame *frame = new GaugeCarrierFrame(this, wxID_ANY/*, m_vemsTuneController*/, type, gPoint, gSize, 0
                                                | wxFRAME_SHAPED
                                               // | wxNO_BORDER
                                                | wxFRAME_NO_TASKBAR
                                                // | wxSTAY_ON_TOP
                                            );

//    frame->SetDataMgrObj( m_rtDataMgr );
  //  frame->SetDataMgrObj( m_stController );

    frame->OnlyOneGauge(true);

    GaugeProperties prop;

    prop.itemID = -1;
    prop.gaugeType = GaugeType::getType( type );

    if ( prop.gaugeType == GaugeType::EXPRESSION_GRID )
    {
        prop.symbolName = GaugeType::GetDefault( _T("symbol"), type ).GetString();
        prop.setSize( wxSize( -1, -1 ) );
    }
    else
    {
        prop.symbolName = _T("rpm");
        prop.setSize( gSize );
    }

    prop.setPos(wxPoint(0,0));

    prop.extraParams[_T("showBorder")] = false;



    frame->AddGauge( prop );

    //frame->AddGauge(-1,MTConfigHelper::getMTConfigData()->getVEMSGaugeDescArray(), ThemesHelper::GetWidgetThemes() , type, _T("rpm"), wxPoint(0,0), gSize.x, gSize.y, true);

    frame->Show();

}

void MainFrame::OnIgnLock(wxCommandEvent& event)
{
    wxArrayString gaugeNameA;
    gaugeNameA.Add(_T("spark"));
    //gaugeNameA.Add(_T("rpm"));

    IgnitionLockFrame* frame =
        new IgnitionLockFrame(this, wxID_ANY, _T("Ignition Lock"), wxDefaultPosition,1, wxDEFAULT_FRAME_STYLE);
    frame->SetDataMgrObj( m_rtDataMgr );

    IgnitionLockPanel* panel = new IgnitionLockPanel(frame, m_vemsTuneController->getECUController() );
    frame->addPanel(panel);

    wxSize gSize = wxSize(220,220);
    for(size_t  i = 0; i < gaugeNameA.GetCount(); ++i){
        GaugeProperties prop;
        prop.itemID = -1;
        prop.gaugeType =  GaugeType::ROUND;
        prop.symbolName = gaugeNameA.Item(i);
        prop.setPos(wxPoint(0,0));
        prop.setSize( gSize );
        prop.extraParams[_T("showBorder")] = false;
        prop.descName = _T("sparkGauge");

        frame->addGauge( prop );
    }


    frame->Show();

}

void MainFrame::OnTachoLock(wxCommandEvent& event)
{

    IgnitionLockFrame* frame = new IgnitionLockFrame(this, wxID_ANY, _T("Tachometer Lock"), wxDefaultPosition,1, wxDEFAULT_FRAME_STYLE);
    frame->SetDataMgrObj( m_rtDataMgr );

    TachometerLockPanel* panel = new TachometerLockPanel(frame, m_vemsTuneController->getECUController() );
    frame->addPanel(panel);

    frame->Show();
}

void MainFrame::OnIACControl(wxCommandEvent& event)
{
//    wxArrayString gaugeNameA;
//    gaugeNameA.Add(_T("idleDC"));
//    //gaugeNameA.Add(_T("rpm"));

    IgnitionLockFrame* frame = new IgnitionLockFrame(this, wxID_ANY, _T("IAC Control"), wxDefaultPosition,1, wxDEFAULT_FRAME_STYLE);
    frame->SetDataMgrObj( m_rtDataMgr );

    IACControl* iacControl = new IACControl(m_rtDataMgr, m_vemsTuneController->getECUController(), false);

    IACControlPanel* panel = new IACControlPanel(frame, m_vemsTuneController->getECUController(), iacControl );

    frame->addPanel(panel);

//    wxSize gSize = wxSize(220,220);
//    for(size_t  i = 0; i < gaugeNameA.GetCount(); ++i){
//        GaugeProperties prop;
//        prop.itemID = -1;
//        prop.gaugeType =  GaugeType::ROUND;
//        prop.symbolName = gaugeNameA.Item(i);
//        prop.setPos(wxPoint(0,0));
//        prop.setSize( gSize );
//        prop.extraParams[_T("showBorder")] = false;
//        frame->addGauge( prop );
//    }


    frame->Show();
}

void MainFrame::OnIACLock(wxCommandEvent& event)
{
    wxArrayString gaugeNameA;
    gaugeNameA.Add(_T("idleDC"));
    //gaugeNameA.Add(_T("rpm"));

    IgnitionLockFrame* frame =
        new IgnitionLockFrame(this, wxID_ANY, _T("IAC Lock"), wxDefaultPosition,1, wxDEFAULT_FRAME_STYLE);
    frame->SetDataMgrObj( m_rtDataMgr );

    IACLockPanel* panel = new IACLockPanel(frame, m_vemsTuneController->getECUController() );

    IACControl* iacControl = new IACControl(m_rtDataMgr, m_vemsTuneController->getECUController());
    panel->setAutoControl(iacControl);

    frame->addPanel(panel);

    wxSize gSize = wxSize(220,220);
    for(size_t  i = 0; i < gaugeNameA.GetCount(); ++i){
        GaugeProperties prop;
        prop.itemID = -1;
        prop.gaugeType =  GaugeType::ROUND;
        prop.symbolName = gaugeNameA.Item(i);
        prop.descName = _T("iacDCGauge");
        prop.setPos(wxPoint(0,0));
        prop.setSize( gSize );
        prop.extraParams[_T("showBorder")] = false;
        frame->addGauge( prop );
    }


    frame->Show();
}

void MainFrame::OnAdvFrame(wxCommandEvent& event)
{
    wxString dialogName;

    wxArrayString gaugeNameA;
    CalibrationBase* calibration = NULL;
    wxString descName;

    if(event.GetId() == idMenuWBO2Calibration){
        dialogName = _T("widebandCalibration");
        gaugeNameA.Add(_T("stallO2"));
        calibration = new CalibrationWBO2();

        wxString stSymbolName = _T("wbo2_calibration");
        MTConfigData* mtdata = MTConfigHelper::getMTConfigData();
        Symbol* stSymbol = mtdata->getSymbol(stSymbolName);
        if(!stSymbol){
            Logger::logf(LOG_MSG, _T("MainFrame::OnAdvFrame() SYMBOL not found: ")+ stSymbolName);
            return;
        }

        STDataViewerCalibration* stDataViewer = new STDataViewerCalibration();
        stDataViewer->setSymbol(*stSymbol);
        calibration->AddSTViewer(stSymbolName, stDataViewer);
        descName = _T("wbo2Cal");

    }else if(event.GetId() == idMenuTPSCalibration){
        dialogName = _T("TPSCalibration");
        gaugeNameA.Add(_T("tpsADC"));
        descName = _T("adc255Gauge");
        //gaugeNameA.Add(_T("throttle"));
    }else{
        return;
    }

    UserDialogList*         udl     = MTConfigHelper::getMTConfigData()->getUserDialogList();
    UserDialog* userDialogDesc = udl->find( dialogName );
    if( !userDialogDesc){
        Logger::logf(LOG_MSG, _T("MainFrame::OnAdvFrame() dialogname not found: ")+ dialogName );
        return;
    }
    wxPoint gPoint = wxPoint(10,10);
    Logger::logf(LOG_MSG, _T("MainFrame::OnAdvFrame() create frame: GaugeCarrierAdvFrame: ")+ dialogName );
    GaugeCarrierAdvFrame *frame =
        new GaugeCarrierAdvFrame(this, wxID_ANY, userDialogDesc->getTitle(), gPoint, gaugeNameA.GetCount()
                //0| wxFRAME_SHAPED
                // | wxNO_BORDER
                // | wxFRAME_NO_TASKBAR
                // | wxSTAY_ON_TOP
                );
    frame->SetDataMgrObj( m_rtDataMgr );
    frame->SetDataMgrObj( m_stController );
    Logger::logf(LOG_MSG, _T("MainFrame::OnAdvFrame() GaugeCarrierAdvFrame craeted!!!!!!!") );
    if(calibration){
        CommandRequestBase* requestBase = m_vemsTuneController->getECUController();
        calibration->SetCommandRequest(requestBase);
        frame->SetCalibrationBase( calibration );
    }
    frame->addDialog( userDialogDesc,  &(MTConfigHelper::getMTConfigData()->getSymbolMgr()) );

    wxSize gSize = wxSize(220,220);
    for(size_t  i = 0; i < gaugeNameA.GetCount(); ++i){
        GaugeProperties prop;
        prop.itemID = -1;
        prop.gaugeType =  GaugeType::ROUND;
        prop.symbolName = gaugeNameA.Item(i);
        prop.setPos(wxPoint(0,0));
        prop.setSize( gSize );
        prop.extraParams[_T("showBorder")] = false;
        prop.descName = descName;
        frame->addGauge( prop );
    }
    frame->Show();

}

void MainFrame::OnSFlood( wxCommandEvent& event )
{
    /*
    int id = event.GetId();
    wxMenuItem* startMenu = this->GetMenuBar()->FindItem( idMenuStartSFlood );
    if( id == idMenuStartSFlood )
    {
        m_vemsTuneController->setECUOnline( false, true );
        CommunicationBase* commBase = SerialHelper::getECUComm();
        commBase->setBaudRate( 19200 );
        m_sflood = new SFloodProcess( commBase );
        //m_sflood->RegisterObserver(sfloodObserver);
        m_sflood->start();
        wxMenuItem* startMenu = this->GetMenuBar()->FindItem( idMenuStartSFlood );
        if( startMenu ){
            startMenu->Enable( false );
        }
    }
    else
    {
        m_sflood->stop();
        m_vemsTuneController->setECUOnline( true, false );
        if( startMenu ){
            startMenu->Enable();
        }
    }
    */

    m_vemsTuneController->setECUOnline( false, true );
    CommunicationBase* commBase = SerialHelper::getECUComm();
    commBase->setBaudRate( 19200 );

    SFloodProcess process( commBase );
    SFloodDialog dlg( this, &process );

    process.registerObserver(&dlg);
    dlg.ShowModal();
    process.unRegisterObserver(&dlg);

    m_vemsTuneController->setECUOnline( true, false );

}

//void MainFrame::OnSFlood( wxCommandEvent& event )
//{
//    int id = event.GetId();
//
//    wxMenuItem* startMenu = this->GetMenuBar()->FindItem( idMenuStartSFlood );
//
//    if( id == idMenuStartSFlood )
//    {
//        if( !m_floodThread )
//        {
//            CommunicationBase* commBase = SerialHelper::getECUComm();
//            commBase->setBaudRate( 19200 );
//
//            m_floodThread = new SFloodThread( m_vemsTuneController, commBase );
//
//            if( m_floodThread->Create() != wxTHREAD_NO_ERROR )
//            {
//                Logger::logf(LOG_MSG, _T("MainFrame::OnSFlood() - Can't create \"S\" flood thread!"));
//            }
//
//            m_floodThread->Run();
//
//            wxMenuItem* startMenu = this->GetMenuBar()->FindItem( idMenuStartSFlood );
//
//            if( startMenu )
//            {
//                startMenu->Enable( false );
//            }
//        }
//    }
//    else
//    {
//        if( m_floodThread )
//        {
//            m_floodThread->Delete();
//            m_floodThread = NULL;
//            m_vemsTuneController->setECUOnline( true, false );
//
//            if( startMenu )
//            {
//                startMenu->Enable();
//            }
//        }
//    }
//
//}

void MainFrame::OnMMCLog( wxCommandEvent& event )
{
    int id = event.GetId();

    VemsDeviceController* deviceController = m_vemsTuneController->getDeviceContoller();

    MTConfigData* mtConfig = MTConfigHelper::getMTConfigData();

    FirmwareInfo* fwinfo = m_vemsTuneController->getFirmwareInfo();

    SDCardDialog* dialog = NULL;

    STDataModelBase* model = m_vemsTuneController->getSTDataMgr()->getDeviceModel();

    if ( id == idMenuMMCLogStart )
    {
//        deviceController->SDCardLogging( 0, this );
        m_sdCardDirector->startLog();
    }
    else if ( id == idMenuMMCLogStop )
    {
        m_sdCardDirector->stopLog();
//        deviceController->SDCardLogging( 1, this );
    }
    else if ( id == idMenuMMCLogErase )
    {
        m_sdCardDirector->erase();
//        deviceController->SDCardLogging( 2, this );
    }
    else if ( id == idMenuSDCardV3 )
    {
        dialog = new SDCardDialog( this, fwinfo, model, mtConfig, deviceController );
        dialog->ShowModal();
    }
    else if ( id == idMenuSDCardOpenImage )
    {
        wxFileDialog dlg( this, _T("Choose SD Card image file"), DirHelper::GetPath( dLOG ) );
        if ( dlg.ShowModal() == wxID_OK )
        {
            wxString fname = dlg.GetPath();

            SDImageHandler* handler = new SDImageHandler( fname );

            dialog = new SDCardDialog( this, fwinfo, model, mtConfig, handler );
            dialog->ShowModal();
        }
        else return;
    }
    else if ( id == idMenuSDCardReader )
    {
        FirmwareInfo* fw = m_vemsTuneController->getFirmwareInfo();

        if ( fw->isEmpty() )
        {
            wxMessageBox( _T("No config file loaded!"), _T("Error"), wxOK | wxICON_ERROR );
            return;
        }

        SDCardSaveDialog savedlg(this);
        int ret = savedlg.ShowModal();
        if ( ret == 0 ) return;

        wxString ImgFileName = savedlg.GetImageName();

        SDImageHandler* handler = new SDImageHandler( ImgFileName );

        dialog = new SDCardDialog( this, fwinfo, model, mtConfig, handler );
        dialog->ShowModal();
    }
}





void MainFrame::OnResetToolBars(wxCommandEvent& event)
{
    if(event.GetId() == idMenuDevToolBarLayout) {

        Logger::logf(LOG_MSG,m_frameLayoutHandler->GetToolBarPositions());

    } else if(event.GetId() == idMenuResetToolBarLayout) {
        m_frameLayoutHandler->ResetToolBarPositions();
    }
}

void MainFrame::OnFullScreenMenu(wxCommandEvent& event)
{
    ToggleFullScreen();
}

void MainFrame::OnResetLayout(wxCommandEvent& event)
{
    Move(50,50);
    SetSize(500,100);

    //m_frameLayoutHandler->GetAuiMgr()->LoadPerspective(_T(""), false);

    //m_frameLayoutHandler->ResetLayout();

    m_frameLayoutHandler->GetAuiMgr()->Update();
}

void MainFrame::OnGaugeGroupTest( wxCommandEvent& event )
{
    Logger::logf( LOG_MSG, _T("MainFrame::OnGaugeGroupTest()") );

/*
    if( m_timer.IsRunning() )
    {
        m_timer.Stop();
    }
    else
    {
        m_timer.Start( 1000 );
    }
*/
/*
    for( int i = 0; i < 10; ++i )
    {
        m_gaugeGroupManager->showGroup( _T("group") );
        wxThread::Sleep( 1000 );
        m_gaugeGroupManager->hideGroup( _T("group") );
    }
*/

}


void MainFrame::OnTimer(wxTimerEvent& event)
{

    m_gaugeGroupManager->showGroup( _T("Flags-Vertical") );

/*
    Logger::logf( LOG_MSG, _T("MainFrame::OnTimer()") );
    if(m_timerToogle){
        m_timerToogle = false;
        Logger::logf(LOG_MSG,_T("MainFrame::OnTimer m_MGaugeGroupMgr ptr:%p"), m_MGaugeGroupMgr);
        m_MGaugeGroupMgr->createGroup(_T("VemsGaugeAs (3g)"));
        //m_gaugeGroupManager->showGroup( _T("Main") );
    }else{
        m_timerToogle = true;
        m_MGaugeGroupMgr->deleteGroup(_T("VemsGaugeAs (3g)"));
        //m_gaugeGroupManager->hideGroup( _T("Main") );
    }
*/
    //m_timerToogle = !m_timerToogle;

/*
    if( !m_vemsTuneController->isECUOnline() ) return;
    if( m_vemsTuneController->getStoredState() == ECUInfo::BOOT) return;
    if( m_vemsTuneController->getStoredState() == ECUInfo::AIM) return;
GetLineCount
    if(m_vemsTuneController->getDevice() == ECUInfo::DEVICE_V3){
       m_vemsTuneController->checkTableSizes();
    }
*/

}


void MainFrame::OnWindowCreate(wxWindowCreateEvent& event)
{
    Logger::logf(LOG_MSG,_T("MainFrame::OnWindowCreate"));
    Refresh(false);
}


/**
 * Firmware menu functions
 */
void MainFrame::OnFirmwareInfo(wxCommandEvent& event)
{
    FirmwareInfo* fwInfo = m_vemsTuneController->getFirmwareInfo();

    wxString rtInputStr = m_vemsTuneController->getRealtimeSourceAsString();
    wxString stInputStr = m_vemsTuneController->getStaticSourceAsString();

    wxString source = _T("Realtime source: ") + rtInputStr + _T("\n");
    source += _T("Config source: ") + stInputStr + _T("\n");

    FirmwareInfoDialog dlg(this, fwInfo,  source);
    dlg.ShowModal();
}


void MainFrame::OnFirmwareUpload( wxCommandEvent& event )
{
    if ( !m_vemsTuneController->isECUOnline() ) {
        UserLog::vLog( _T("ecu_not_found_1") );
        wxString msg = _T("ECU is not detected!");
        wxMessageBox(msg);
        return;
    }

    m_fwuploadedsuccess = false;
    m_roundCfgSaved     = false;

    int device = m_vemsTuneController->getDevice();
    int deviceMode = m_vemsTuneController->getDeviceInfo().deviceMode;

    if ( device == ECUInfo::DEVICE_ROUND )
    {
        // try to save config from memory
        if ( savevemscfg( true ) == false )
        {
            m_roundCfgSaved = false;
        }
        else
            m_roundCfgSaved = true;
    }
    else if ( (device != ECUInfo::DEVICE_UNKNOWN) && (savevemscfg(false) == false) && ( deviceMode != ECUInfo::BOOT ) )
    {
        // could not save config->use ecu to download cfg
        // wxMessageBox( _T("Could not save config"), _T("Error"), wxOK | wxICON_ERROR );
        m_uploadFirmware = true;
        downloadConfig( false );
        return;
    }

    m_firmwareDirector->uploadFirmware();
}


void MainFrame::OnFirmwareVerify( wxCommandEvent& event )
{
    m_firmwareDirector->verifyFirmware();
}

void MainFrame::OnConfigUpload( wxCommandEvent& event )
{
    m_pFirmwareConfigManager->easyUploadConfig();
}


void MainFrame::OnFilteredConfigUpload( wxCommandEvent& event )
{
    m_pFirmwareConfigManager->filteredConfigUpload();
}


void MainFrame::OnConfigVerify( wxCommandEvent& event )
{
    m_pFirmwareConfigManager->verifyConfigFromFile();
}


void MainFrame::OnConfigDownload( wxCommandEvent& event )
{
     bool showFileDialog = event.GetId() == idMenuConfigDownloadTo;

     downloadConfig( showFileDialog );
}

void MainFrame::OnFirmwareWeb(wxCommandEvent& event)
{
    showWebTool();
}


void MainFrame::OnClearDebug(wxCommandEvent& event)
{
    UserLog::ClearLogWindow();
}


/**
 * Project menu functions
 */
void MainFrame::OnMenuProject(wxCommandEvent& event)
{

    wxFileDialog dlg(this);
    dlg.SetPath(DirHelper::GetPath(dPROJECTS));

    dlg.SetWildcard( _T("VemsTune project (*.vemsprj)|*.vemsprj") );

    if(dlg.ShowModal() != wxID_OK) return;

    Project *prj = m_prjMgr->GetProjectByPath(dlg.GetPath());

    if(!prj) {
        prj = m_prjMgr->AddProject(dlg.GetPath());
        if(!prj) return;
    }

    SortRecentProjects(prj);

    loadCurrentProject();
}


void MainFrame::OnProjectSettings(wxCommandEvent& event)
{

    if(!m_prjMgr) return;

    if(m_prjMgr->GetProjects()->GetCount() == 0) return;

    ProjectSettingsFrame fr(this,m_prjMgr->GetCurrPrj(), m_prjMgr,PNT_MINIMAL);
    fr.ShowModal();

}


void MainFrame::OnMenuNewProject(wxCommandEvent &evt)
{
    ProjectWizard w(this);

    if( w.ShowModal() != wxID_APPLY) return;

    Project *prj = m_prjMgr->GetProjectByPath( w.GetProjectPath() );

    if(!prj) {
        prj = m_prjMgr->AddProject( w.GetProjectPath() );
        if(!prj) return;
    }

    SortRecentProjects(prj);

    loadCurrentProject();

}


void MainFrame::OnProjectUpload( wxCommandEvent& event )
{
    m_fwuploadedsuccess = false;
//    if ( !m_prjMgr->GetCurrPrj() )
//    {
//        if ( !showNoProjectDialog() ) { return; }
//    }
//
//    FirmwareMgrDialog firmwareMgrDlg( this, m_vemsTuneController, UserLog::GetObserver() );
//    firmwareMgrDlg.upload();
//    //firmwareMgrDlg.uploadConfig();
    //firmwareMgrDlg.uploadConfig();
}


void MainFrame::OnProjectFirmwareUpload( wxCommandEvent& event )
{
    if ( !m_vemsTuneController->isECUOnline() ) {
        UserLog::vLog( _T("ecu_not_found_1") );
        wxString msg = _T("ECU is not detected!");
        wxMessageBox(msg);
        return;
    }

    m_fwuploadedsuccess = false;
    m_roundCfgSaved     = false;

    Project* currProj = m_prjMgr->GetCurrPrj();

    if ( !currProj ) {
        if ( !showNoProjectDialog() )
            return;
    }

    int device = m_vemsTuneController->getDevice();
    int deviceMode = m_vemsTuneController->getDeviceInfo().deviceMode;

    if ( device == ECUInfo::DEVICE_ROUND )
    {
        // try to save config from memory
        if ( savevemscfg( true ) == false )
        {
            m_roundCfgSaved = false;
        }
        else
            m_roundCfgSaved = true;
    }
    else
    if ( (device != ECUInfo::DEVICE_UNKNOWN) && (savevemscfg(false) == false) && ( deviceMode != ECUInfo::BOOT ) )
    {
        // could not save config->use ecu to download cfg
        // wxMessageBox( _T("Could not save config"), _T("Error"), wxOK | wxICON_ERROR );
        m_uploadFirmware = true;
        m_projectAction = true;
        downloadConfig( false );
        return;
    }

    m_firmwareDirector->uploadFirmware( currProj );
}


void MainFrame::OnProjectFirmwareVerify( wxCommandEvent& event )
{
    Project* currProj = m_prjMgr->GetCurrPrj();

    if ( !currProj ) {
        if ( !showNoProjectDialog() )
            return;
    }

    m_firmwareDirector->verifyFirmware( currProj );
}


void MainFrame::OnProjectConfigUpload( wxCommandEvent& event )
{
//    if ( !m_prjMgr->GetCurrPrj() )
//    {
//        if ( !showNoProjectDialog() ) { return; }
//    }
//
//    if ( m_pUploadDialog->lockController() )
//    {
//        m_pUploadDialog->uploadConfigFromProject();
//    }
}


void MainFrame::OnProjectConfigVerify( wxCommandEvent& event )
{
    // if no project selected
    if ( !m_prjMgr->GetCurrPrj() ) {
        if ( !showNoProjectDialog() ) {
            return;
        }
    }

//    if ( m_pUploadDialog->lockController() )
//    {
//        m_pUploadDialog->verifyConfigFromProject();
//    }
    //FirmwareMgrDialog firmwareMgrDlg( this, m_vemsTuneController, UserLog::GetObserver() );
    //firmwareMgrDlg.verifyConfig();
    m_pFirmwareConfigManager->verifyConfigFromProject();
}


void MainFrame::checkCommPort()
{
    /// init
    SerialHelper::getECUComm();
    SerialHelper::getGPSComm();

    SerialConfig * sc = SerialHelper::getECUConfig();
    wxString port = sc->getPortName();
    if(port.length() < 1){
          wxLogError(_T("Serial Port has not been set %s \n"), port.c_str() );
        SerialConfigDialog* frame = new SerialConfigDialog( NULL );
        frame->CenterOnScreen();
        if( frame->ShowModal() == wxOK){
            //SerialConfig* scECU = ConfigHelper::getECUSerialConfig();
            //
        }else{
            //EXIT
        }
     }else{

    }
    Logger::logf(LOG_MSG, _T("MainFrame::checkCommPort()"));
}

void MainFrame::OnTestSendEvent( wxCommandEvent& event )
{
    /*
    wxFileDialog fileDialog( this );
    fileDialog.SetPath( DirHelper::GetPath( dCONFIG ) );
    fileDialog.SetWildcard( _T("VemsTune project (*.ini)|*.ini") );

    if ( fileDialog.ShowModal() == wxID_OK )
    {
        wxString s = MTConfigHelper::getIniFile( m_vemsTuneController->getFirmwareInfo()->getFirmwareVersion() );
        Logger::logf( LOG_MSG, _T("MainFrame::OnTestSendEvent() - choosen inifile: ") + s );
        MTConfigHelper::sendFileParsedEvent( fileDialog.GetPath() );
    }
    */
}


void MainFrame::OnTestConfigParsing(  wxCommandEvent& event )
{
    FirmwareConfigData fcData;

    wxFileDialog fileDialog( this );
    fileDialog.SetPath( DirHelper::GetPath( dPROGRAMROOT ) );

    if ( fileDialog.ShowModal() == wxID_OK )
    {
        FirmwareConfigParser parser( &fcData );
        parser.parse( fileDialog.GetPath() );
    }

    wxFileDialog saveDialog( this, _T(""), _T(""), _T(""), _T("*.*"), wxFD_SAVE );
    saveDialog.SetPath( DirHelper::GetPath( dPROGRAMROOT ) );

    if ( saveDialog.ShowModal() == wxID_OK )
    {
        fcData.printScalarsToFile( saveDialog.GetPath() );
    }
}

void MainFrame::OnCannotOpenPort( VemsDeviceControllerEvent& event )
{
    wxString portName = event.getDeviceInfo().serialConfig.getPortName();
    wxString msg = _T("ECU has not been detected on port: " ) + portName;
    UserLog::uLog(ULOG_WARNING, msg);

    m_frameLayoutHandler->AddPendingEvent( event );
}

///OnBootModeFound???
void MainFrame::OnDeviceFound( VemsDeviceControllerEvent& event )
{
    if ( !event.isBootMode() ) {
        return;
    }

    m_frameLayoutHandler->AddPendingEvent( event );

    BootModeDialog dlg(this);

    switch ( dlg.ShowModal() )
    {
        case BootModeDialog::BMD_STAY:
//            m_vemsTuneController->getDeviceContoller()->stayBootMode();


            break;

        case BootModeDialog::BMD_LEAVE:
            m_vemsTuneController->getDeviceContoller()->leaveBootMode();
            break;
    }


}

void MainFrame::OnDeviceNotFound( VemsDeviceControllerEvent& event )
{
    wxString portName = event.getDeviceInfo().serialConfig.getPortName();
    wxString msg = _T("ECU has not been detected on port: " ) + portName;
    UserLog::uLog(ULOG_WARNING, msg);

    m_frameLayoutHandler->AddPendingEvent( event );
}


void MainFrame::OnDeviceConnected( VemsDeviceControllerEvent& event )
{
    if( m_isInecuNameAskLoop )
        return;
//    UserLog::uLog( ULOG_WARNING, _T("Device Connected!") );

    wxString devStr = ECUInfo::getDeviceAsString( event.getDevice() );
    wxString portName = event.getDeviceInfo().serialConfig.getPortName();
    wxString msg = _T("ECU (") + devStr + _T(") has been connected on port: ") + portName;
    UserLog::uLog(ULOG_INFO, msg);

    InfoWindow::Display( NULL, _T("Information"), msg,
            IW_FADE_IN | IW_MOVE | IW_MESSAGE, 1000, 1 );

    if ( GetMenuBar()->FindItem( idMenuPasswordProtection ) != NULL ) {
		GetMenuBar()->Enable( idMenuPasswordProtection, event.isV3() );
	}

    refreshLogDir();

    RebuildGUI();

    m_frameLayoutHandler->AddPendingEvent( event );

    setStatusBarFieldText( SB_FIRMWARE_VERSION );
    setStatusBarFieldText( SB_DATA_INPUT, _T(" Online: ") + LogDirManager::selectedECU() );
    setStatusBarFieldText( SB_CONFIG_VERSION );


//    if ( m_vemsTuneController->isDeviceSameAsPrev() && !m_vemsTuneController->isConfigSameAsPrev() ) {
//        DifferentConfigDialog dlg(this);
//
//        int retcode = dlg.ShowModal();
//
//        if(retcode != wxID_OK)
//            m_vemsTuneController->enableRealtime();
//            return;
//
//        int answer = dlg.GetChoosed();
//
//        if ( answer == DCR_WRITE ) {
//            LOG
//            m_vemsTuneController->writeConfigDifferences();
//            ///TODO
//        } else if ( answer == DCR_REFRESH ) {
//            LOG
//            STDataMgrBase* stDataMgr = m_vemsTuneController->getSTDataMgr();
//            stDataMgr->refreshViewerModel();
//            stDataMgr->updateRegisteredViewers();
//        }
//        LOG
//        m_vemsTuneController->enableRealtime();
//    }

    if ( m_vemsTuneController->getDevice() == ECUInfo::DEVICE_V3 && m_isConfigValidationNeeded ) {
        validateConfig();
    }
}

void MainFrame::OnDeviceDisconnected( VemsDeviceControllerEvent& event )
{
    m_isConfigValidationNeeded = true;
    m_uploadFirmware = false;
    m_projectAction = false;

    wxString msg = _T("Device Disconnected!");

    UserLog::uLog( ULOG_WARNING, msg );

    InfoWindow::Display( NULL, _T("Warning"), msg,
            IW_FADE_IN | IW_MOVE | IW_WARNING, 1000, 1 );

    m_frameLayoutHandler->AddPendingEvent( event );

//        EnableSelectECUMenus( true );
//
//    //if ( m_vemsTuneController->getFilePlay() ) break;
//    if ( m_vemsTuneController->getSelectedInput() == INPUT_TYPE_RINGBUFFER_RAWFILE ) break;
//    if ( m_vemsTuneController->isStaticInputConfigFile() ) break;

    setStatusBarFieldText( SB_DATA_INPUT, _T(" Offline: ") + LogDirManager::selectedECU() );
    setStatusBarFieldText( SB_UPDATE_FREQUENCY, _T("Update Frequency: N/A") );
}

void MainFrame::OnDeviceReconnected( VemsDeviceControllerEvent& event )
{
    wxString msg = _T("Device Reconnected!");

    InfoWindow::Display( NULL, _T("Information"), msg,
            IW_FADE_IN | IW_MOVE | IW_MESSAGE, 1000, 1 );

    m_frameLayoutHandler->AddPendingEvent( event );

//    RebuildGUI();

    clearStatusBar();

    setStatusBarFieldText( SB_FIRMWARE_VERSION );
    setStatusBarFieldText( SB_DATA_INPUT, _T(" Online: ") + LogDirManager::selectedECU() );
    setStatusBarFieldText( SB_CONFIG_VERSION );

    STDataMgrBase* stDataMgr = m_vemsTuneController->getSTDataMgr();

    if ( stDataMgr->isWaitingForBurn() || stDataMgr->isWaitingForWrite() ) {

        DifferentConfigDialog dlg(this);

        int retcode = dlg.ShowModal();

        if(retcode != wxID_OK)
            return;

        int answer = dlg.GetChoosed();

        if ( answer == DCR_WRITE ) {
            stDataMgr->requestWriteAll();
            stDataMgr->requestBurn();
            stDataMgr->updateRegisteredViewers();
        } else if ( answer == DCR_REFRESH ) {
            stDataMgr->refreshViewerModel();
            stDataMgr->updateRegisteredViewers();
        }
    }
}

void MainFrame::OnDeviceControllerStopped( VemsDeviceControllerEvent& event )
{
    m_isConfigValidationNeeded = true;

    setStatusBarFieldText( SB_DATA_INPUT, _T(" Offline: ") + LogDirManager::selectedECU() );
    setStatusBarFieldText( SB_UPDATE_FREQUENCY, _T("Update Frequency: N/A") );

    m_frameLayoutHandler->AddPendingEvent( event );
}

void MainFrame::OnDeviceResumed( VemsDeviceControllerEvent& event )
{
    wxString msg = _T("Device Resumed!");
        InfoWindow::Display( NULL, _T("Information"), msg,
            IW_FADE_IN | IW_MOVE | IW_MESSAGE, 1000, 1 );

    RebuildGUI();

    setStatusBarFieldText( SB_FIRMWARE_VERSION );
    setStatusBarFieldText( SB_DATA_INPUT, _T(" Online: ") + LogDirManager::selectedECU() );
    setStatusBarFieldText( SB_CONFIG_VERSION );

    m_frameLayoutHandler->AddPendingEvent( event );
}

void MainFrame::OnDeviceProtected( VemsDeviceControllerEvent& event )
{
    m_frameLayoutHandler->AddPendingEvent( event );

    wxString passwordFilePath = DirHelper::GetPath( dCONFIG ) + _T("password.txt");

    wxString message = _T("ECU is password protected!\n");
    message += _T("Please add your ECU serial to ") + passwordFilePath + _T("\n");
    message += _T("Example:\n");
    message += _T("{6 digit serialnumber}={8 digit hexa password}\n");
    message += _T("001949=DFABD5FB\n");
    message += _T("If file dosen't exist please copy password-example.txt to password.txt" );

    wxMessageBox( message, _T("Error"), wxICON_ERROR | wxOK );
}

void MainFrame::OnDeviceCannotConnect( VemsDeviceControllerEvent& event )
{
    wxString message = _T("Device cannot connect!\n");
    wxMessageBox( message, _T("Error"), wxICON_ERROR | wxOK );
}


void MainFrame::OnCommunicationError( CommunicationEvent& event )
{
    LOGP( event.toString() );

    m_uploadFirmware = false;
    m_projectAction = false;

    switch ( event.GetId() )
    {
        case CommunicationEvent::CANNOT_OPEN_PORT:
        {
            wxString msg = _T("Cannot Open Port!");

            UserLog::uLog( ULOG_WARNING, msg );

            InfoWindow::Display( NULL, _T("Warning"), msg, IW_FADE_IN | IW_MOVE | IW_WARNING, 1000, 1);

//            m_frameLayoutHandler->AddPendingEvent( event );

        } break;

////        case CommunicationEvent::COMMUNICATION_ERROR:
////            destroyProgressDialog();
//////            createProgressDialog( _T("Communication error!"), _T("Please plug off USB-Serial converter!") );
////            createProgressDialog( _T("Communication error!"), _T("TODO") );
////            break;
//
//        case CommunicationEvent::REMOVE_USB:
//        {
//            wxString message = _T("Please plug off USB-Serial converter!");
//
//            if ( !m_progressDialog ) {
//                createProgressDialog( _T("Communication error!"), message );
//            }
//
//            m_progressDialog->Pulse(  message );
//        } break;
//
//        case CommunicationEvent::PORT_CLOSED:
//            destroyProgressDialog();
////            wxMessageBox( _T("Communication error!") );
//            break;
    }
}

void MainFrame::refreshLogDir()
{
    wxString devStr = ECUInfo::getDeviceAsString( m_vemsTuneController->getDevice() );

    FirmwareInfo* fwInfo = m_vemsTuneController->getFirmwareInfo();
    long serialNum = fwInfo->getSerialNumberAsLong();

    if ( serialNum < 0 )
        serialNum = 0;

    wxString ecuType = _T("");
    if ( fwInfo->getDevice() == ECUInfo::DEVICE_ROUND )
        ecuType = _T("R");
    wxString name = LogDirManager::getNameBySerialNumber(serialNum,ecuType);
    if(name == wxEmptyString)
    {
        wxArrayString names = LogDirManager::searchForDirectories( serialNum, ecuType  );

        if ( names.GetCount() > 0 )
        {
            wxSingleChoiceDialog choicedlg( this,
            _T("ECU not found in database but one or more directories found in working directory\nthat may belong to this ECU. You can select one from below\nor press cancel to create a new directory"),
            _T("Select a directory"), names );

            if ( choicedlg.ShowModal() == wxID_OK )
            {
                name = choicedlg.GetStringSelection();
            }
        }

        wxString title = wxString::Format( devStr + _T(" detected with serial number: %i"), serialNum);
        if ( name == wxEmptyString && serialNum != -1 )
        {
            while (1)
            {
                m_isInecuNameAskLoop = true;

                name = wxGetTextFromUser( _T("Please add a name to this serial number."),
                                title,
                                _T(""),
                                this,
                                wxDefaultCoord,
                                wxDefaultCoord,
                                true );
                if( !!name )
                {
                    wxRegEx regN(wxT("^[[:alnum:]_.-]+$"));
                    if (!regN.Matches( name ))
                    {
                        wxMessageBox( wxT("Please use only letters, numbers, -, . or _ characters!"), wxT("Error"), wxID_OK | wxICON_EXCLAMATION);
                        continue;
                    }
                    else
                    // ECU name is not unique!!
                    /*if ( LogDirManager::ecuNameExists(name) )
                    {
                        wxMessageBox( _T("The name of the ECU should be unique. This name already exists in the database, please choose an other name!"),
                            wxT("Error"), wxID_OK | wxICON_INFORMATION );
                        continue;
                    }
                    else break;*/
                    break;
                }
                else
                {
                    //cancel or noname
                    break;
                }
            } // while
            m_isInecuNameAskLoop = false;
        }
        if(!!name)
            LogDirManager::insertSerialNumber(serialNum, name, ecuType);
    } // end - this serial number now exists in db
    else LogDirManager::updateSerialNumber(serialNum, ecuType);

    wxString currECU = LogDirManager::selectedECU();

    wxString serialNumS; serialNumS << serialNum;
    serialNumS = ecuType + serialNumS;

    DirHelper::setLogdirPath(serialNumS, name);
    UserLog::uLog(ULOG_INFO, _T("Log dir changed to: ")+ DirHelper::GetPath(dLOG) );

    // selecting ECU is disabled
    EnableSelectECUMenus( false );
    // update file menu
    wxMenuBar * mbar = this->GetMenuBar();
    wxMenuItem * currECUitem = mbar->FindItem( MENU_ID_CURRENT_ECU );
    if ( currECUitem != NULL ) {
		currECUitem->SetItemLabel(wxT("Current ECU: ") + currECU);
	}

    setStatusBarFieldText( SB_DATA_INPUT, _T("Online: ") + currECU );
}

/**
    - openVemsCfg
    - OnOpenVemsLog
    - OnDeviceConnected


    - OFFLINE
        - EMPTY
            - open cfg
            - open log
            - connect

        - CFG LOADED
            - open cfg
                if ( params are different )
                    rebuild gui
                else


            - open log
            - connect

        - LOG LOADED
            - open cfg
            - open log
            - connect

    - ONLINE
        - CONNECTED
            - open cfg
            - open log

        - DISCONNECTED
            - open cfg
                - OFFLINE, CFG LOADED

            - open log
            - connect
            - resume



    - device changed



*/
void MainFrame::RebuildGUI()
{
    clearStatusBar();

    int device = m_vemsTuneController->getDevice();

//    int ecuCommState = ECUCommEvent::OFFLINE;
//    int ecuState = ECUEvent::NOT_CONNECTED;
//
//    if ( m_vemsTuneController->isECUOnline() ) {
//        ecuCommState = ECUCommEvent::ONLINE;
//        if ( device == ECUInfo::DEVICE_V3 ) {
//            ecuState = ECUEvent::CONNECTED;
//
//            FirmwareVersion detectedVersion = m_vemsTuneController->getFirmwareInfo()->getFirmwareVersion();
//            FirmwareVersion minimumVersion;
//            FirmwareInfo::extractFirmwareVersion( _T("1.1.71"), minimumVersion );
//
//
//            if ( detectedVersion >= minimumVersion ) {
//                GetMenuBar()->Enable( idMenuPasswordProtection, true );
//            }
//        }
//    } else {
//        ///TODO - handle round
//        //device = m_vemsTuneController->getFirmwareInfo()->getDevice();
//        //device = ECUInfo::DEVICE_V3;
//    }

    m_gaugeGroupManager->hideAndSaveGroups();

    if ( m_prevDevice != device )
    {
//#if defined ( VEMSDEBUG )
//        ConfigBase* cfg = ConfigHelper2::getConfig( ConfigHelper2::CONFIG_MAIN );
//        wxString screenFile = DeviceConfigHelper::getDeviceFile( cfg, device, _T("screenFile") );
//        m_MGaugeGroupMgr->load(DirHelper::GetPath(dCONFIG) + screenFile);
//#endif

        //m_prevDevice = device;

        m_frameLayoutHandler->Clear();

        Logger::logf( LOG_MSG, _T("MainFrame::OnFileParsed() - m_vemsTuneController->isECUOnline(): %d, device: %d"),
            m_vemsTuneController->isECUOnline(), device );

#if !defined (__WINCE_STANDARDSDK__)
//        VemsFlagConfigHelper::parseVemsFlagConfig( device );
#endif

        //wxString descFile = ConfigHelper::getDeviceFile( device, _T("descriptorFile") );
        //GaugeDescHelper::GetGDMgr()->LoadDescriptors(  DirHelper::GetPath(dCONFIG) + descFile );
        Logger::logf( LOG_MSG, _T("MainFrame::OnFileParsed() 100"));
        GaugeDescHelper::GetGDMgr()->LoadDescriptors( device );

        //LOGP( _T("1000") );
        //Logger::logf( LOG_MSG, _T("descFile: ") + descFile );

        //m_frameLayoutHandler->Init( device );
        Logger::logf( LOG_MSG, _T("MainFrame::OnFileParsed() 200"));

        initFrameLayout();
        Logger::logf( LOG_MSG, _T("MainFrame::OnFileParsed() 300"));

        m_vemsTuneController->getLogHistoryMgr()->enableSlider();
    }

    m_userDialogManager->closeAllDialog();

    m_userDialogManager->removeMenu( this->GetMenuBar() );
    m_userDialogManager->createMenu( this->GetMenuBar() );
    m_userDialogManager->refreshMenu( this->GetMenuBar() );

    setStatusBarFieldText( SB_CONFIG_VERSION );

    m_vemsTuneController->registerSTConst();

    ConfigBase * config = ConfigHelper2::getConfig( ConfigHelper2::CONFIG_MAIN );

    wxString groupFile = DirHelper::GetPath(dCONFIG) + DeviceConfigHelper::GetGroupFile( config, device );
    wxString gaugeFile = DirHelper::GetPath(dCONFIG) + DeviceConfigHelper::GetGaugesFile( config, device );

    m_gaugeGroupManager->load( gaugeFile, groupFile );

    Logger::logf( LOG_MSG, _T("MainFrame::OnFileParsed() - m_bGaugesStartup: %d"), m_bGaugesStartup );

    m_frameLayoutHandler->SendEvent( TN_GPSEvent, m_vemsTuneController->getGPSState() );
    m_frameLayoutHandler->SendEvent( TN_GPSCommEvent, m_vemsTuneController->isGPSOnline() );

    if ( m_prevDevice != device )
    {
        m_prevDevice = device;

        m_frameLayoutHandler->SendObject(TN_SiMenu,m_selectInputMenu);
    //    m_frameLayoutHandler->SendObject(TN_ConnMenu,sMenu);
        m_frameLayoutHandler->SendObject(TN_VemsController,m_vemsTuneController);
        m_frameLayoutHandler->SendObject(TN_FilePlayCommander, m_vemsTuneController->getFilePlayCommander() );

        m_frameLayoutHandler->SendObject(TN_wxEventHandler, m_vemsTuneController );
///COMM REFACT        m_frameLayoutHandler->SendObject(TN_commControllerECU, m_vemsTuneController->getECUCtrl() );
        m_frameLayoutHandler->SendObject(TN_STDataModelBase, m_stController->getModel() );
        m_frameLayoutHandler->SendObject(TN_FirmwareInfo, m_vemsTuneController->getFirmwareInfo() );
        m_frameLayoutHandler->SendObject(TN_STDataMgrBase, m_stController );

        m_frameLayoutHandler->SendObject( TN_UserDialogBase, m_userDialogManager);
        m_frameLayoutHandler->SendObject( TN_GaugeGroupManager, m_gaugeGroupManager);

//        m_frameLayoutHandler->SendEvent( TN_ECUEvent, ecuState );
//        m_frameLayoutHandler->SendEvent( TN_DeviceEvent, device );
//        m_frameLayoutHandler->SendEvent( TN_ECUCommEvent, ecuCommState );
    }

    LOGP( wxString::Format( _T("m_vemsTuneController->getOfflineState(): %d"), m_vemsTuneController->getOfflineState() ) );

    if ( m_bGaugesStartup ) {
        ShowOnStartupFlags flag = m_vemsTuneController->isECUOnline() ? SOSF_ONLINE : SOSF_NONE;
        if(flag == SOSF_NONE) {
            VTCOfflineTypes offstate = m_vemsTuneController->getOfflineState();
            switch(offstate){
                case VTC_OFFLINE_CFG: flag = SOSF_OFFLINE_CONFIG; break;
                case VTC_OFFLINE_LOG: flag = SOSF_OFFLINE_LOG; break;
                default: break;
            }
        }
        Logger::logf(LOG_MSG,_T("flag=%i"),flag);
        m_gaugeGroupManager->showOnStartup( flag );
    } else {
        //m_gaugeGroupManager->hideAndSaveGroups();
    }

    //m_stController->requestReadAllPage();
    UserDataDescArray& userDataDescA = MTConfigHelper::getMTConfigData()->m_userDataDescA;
    SymbolMgr& symbolManager = MTConfigHelper::getMTConfigData()->getSymbolMgr();
    STDataModelBase* model = m_stController->getModel();
    STDataModelBase* deviceModel = m_stController->getDeviceModel();

    UserDataLoader::loadToModel( userDataDescA, symbolManager, model );
    UserDataLoader::loadToModel( userDataDescA, symbolManager, deviceModel );

    if ( !m_bGaugesStartup ) {
        m_gaugeGroupManager->restoreGroups();
    }

    m_userDialogManager->restoreDialogs();

    m_bGaugesStartup = false;

    if ( m_fwuploadedsuccess )
    {
        int device = m_vemsTuneController->getDevice();

        int cfgVal = 1;

        if ( device == ECUInfo::DEVICE_ROUND && m_roundCfgSaved == false )
        {
            RoundCfgUploadHelperDlg dlg(this);

            cfgVal = dlg.ShowModal();

            if ( cfgVal == 3 )
                return;
        }

        wxString cfgname;

        if ( cfgVal == 1 ) // upload a prev.cfg
        {
            // upload prev.cfg to ecu dialog
            wxString ecuDir = DirHelper::GetPath( dLOG );

            // found most recent saved cfg file
            wxArrayString cfgfiles;

            wxDir::GetAllFiles( ecuDir, &cfgfiles, _T("*.vemscfg"), wxDIR_FILES | wxDIR_HIDDEN );

            wxDateTime latestT(1,1,1980);
            int latestIdx = -1;
            for ( size_t i = 0; i < cfgfiles.GetCount(); ++i )
            {
                wxFileName fn( ecuDir + cfgfiles[i] );
                wxDateTime dt = fn.GetModificationTime();
                if ( dt.IsLaterThan( latestT ) )
                {
                    latestIdx = i; latestT = dt;
                }
            }

            wxString latestCfg;

            if ( latestIdx >= 0 && latestIdx < (int)cfgfiles.GetCount() )
                latestCfg = cfgfiles[latestIdx];
            else latestCfg = _T("");

            CfgUploadDlg dlg( m_parent, latestCfg );

            if ( dlg.ShowModal() == wxID_OK )
            {
                cfgname = dlg.getConfigFileName();
            }
            else cfgname = _T("");
        }
        else if ( cfgVal == 2 ) // def.fw.
        {
            wxFileDialog dlg( this, _T("Select config file to upload"), DirHelper::GetPath( dDEFAULTCONFIGS ),
                _T(""), _T("VEMSCFG files (*.vemscfg)|round*.vemscfg|All files (*.*)|*.*"), wxFD_OPEN | wxFD_FILE_MUST_EXIST );

            if ( dlg.ShowModal() == wxID_OK )
            {
                cfgname = dlg.GetPath();
            }
            else cfgname = _T("");
        }

        m_fwuploadedsuccess = false;

        if ( !cfgname.IsEmpty() ) {
            m_pFirmwareConfigManager->uploadConfigFile( cfgname );
        }
        else
        {
            if ( device == ECUInfo::DEVICE_V3 ) {
                validateConfig();
            }
        }

        m_isConfigValidationNeeded = false;
    }

    m_configSwitchStateViewer->configUpdated();

    Logger::logf( LOG_MSG, _T("MainFrame::OnFileParsed() - END") );

    if ( m_vemsTuneController->isECUOnline() == false && m_vemsTuneController->getLogHistory()->getHistoryCount() > 0 )
    {
        m_vemsTuneController->getFilePlayCommander()->enablePlayTool();
        m_vemsTuneController->getFilePlayCommander()->enableSpeedTool();
        m_vemsTuneController->getFilePlayCommander()->enableRepeatTool();
        m_vemsTuneController->getFilePlayCommander()->Reset();
    }

    GenerateMenu(MAINMENU_FILE);
}

void MainFrame::OnProperIniFileNotFound( wxEvent& event )
{
    Logger::logf( LOG_MSG, _T("MainFrame::OnProperIniFileNotFound") );

    if ( m_bGaugesStartup ) { m_bGaugesStartup = false; }

    wxString msg = _T("Real Time Data not available!\nProper vemTune-v3-X.Y.Z.ini file not found!\n");
    msg += _T("This means that your firmware version is older than 1.0.73 or 1.1.27!");

//    m_vemsTuneController->setIniParsed(false);
    m_vemsTuneController->registerSTConst();
    wxMessageBox(msg);
}

void MainFrame::loadCurrentProject()
{
    Logger::logf(LOG_MSG,_T("MainFrame::loadCurrentProject() start"));

    if ( ( m_vemsTuneController->getDevice() != ECUInfo::DEVICE_V3 ) )
    {
        Project* p = ProjectHelper::GetPrjMgr()->GetCurrPrj();
        if(p){
            wxArrayString configFiles = p->GetConfigFiles();

            FirmwareConfigData fwConfigData;
            FirmwareConfigParser parser( &fwConfigData );
            parser.parseFiles( configFiles );

            const BoolHash& detectedParams = fwConfigData.getDetectedParams();
            FirmwareInfo fwInfo = p->getFirmwareInfo();
            fwInfo.forceParams(detectedParams);

            MTConfigHelper::parseMTConfigData( fwInfo);

            // TODO load project
        }
    }

    Logger::logf(LOG_MSG,_T("MainFrame::loadCurrentProject() end"));
}

void MainFrame::OnAIMTest( wxCommandEvent& event )
{
    AIMTestFrame* frame = new AIMTestFrame( this );
    frame->Show();
}

bool MainFrame::showNoProjectDialog()
{
    NoProjectDialog* dialog = new NoProjectDialog( this, wxID_ANY, _T("") );

    int result = dialog->ShowModal();

    if ( result == NoProjectDialog::ID_OPEN_PROJECT )
    {
        wxFileDialog dlg(this);
        dlg.SetPath(DirHelper::GetPath(dPROJECTS));

        dlg.SetWildcard( _T("VemsTune project (*.vemsprj)|*.vemsprj") );

        if( dlg.ShowModal() == wxID_OK )
        {
            Project *prj = m_prjMgr->GetProjectByPath(dlg.GetPath());

            if( !prj ) { prj = m_prjMgr->AddProject(dlg.GetPath()); }

            if( prj )
            {
                SortRecentProjects(prj);
                loadCurrentProject();
            }
        }
    }
    else if ( result == NoProjectDialog::ID_SELECT_PROJECT )
    {
        ProjectChooserFrame frame( ProjectHelper::GetPrjMgr() );

        if( !frame.IsEmpty() )
        {
            if( frame.ShowModal() == wxID_OK )
            {
                ProjectHelper::GetPrjMgr()->SetCurrPrj( frame.GetProject() );
            }
        }
    }

    dialog->Destroy();

    if ( !m_prjMgr->GetCurrPrj() )
    {
        wxMessageBox( _T("No project selected!") );
        return false;
    }

    return true;
}

void MainFrame::TableInit(void)
{
    uint8_t rpmidx, mapidx;
    mapidx = 8;
    do{
        mapidx--;
        rpmidx = 8;
        do{
            rpmidx--;
            MAPCorrTable[mapidx][rpmidx] = 32 + (mapidx << 4) + rpmidx ;
        } while( rpmidx );
    } while( mapidx );

    maxRPM = 80; // means 8000 RPM
    maxMAP = 170;  // means 340 kPa
}

uint16_t div_65535_x( uint8_t x )
{
        return 65535/x;
}

/**
 * rpmoffs == 0 return m1 * 256
 * rpmoffs == 255 return m2 * 256 (almost)
 * interpolate in between
 */
uint16_t interpol256(uint8_t m1, uint8_t m2, uint8_t offs)
{
    if(offs){
            uint16_t t16, t2;
            t16 = offs * m2;
            t2 = (256-offs) * m1;
            t16 += t2;
            return t16;
    }

    // offs == 0
    return m1 << 8;
}

uint8_t MainFrame::GetMAPCorrValue (int rpm, int map)
{
//    uint8_t rpmidx, mapidx, rpmoffs, mapoffs, m11, m12, m21, m22;
    // uint16_t r1, r2;
    uint16_t result;
/*
    if( rpm >= maxRPM ){
        rpmidx = 7;
        rpmoffs = 0;
    } else {
        uint32_t t32 = 7 * rpm * div_65535_x( maxRPM );
        t32 >>= 8;
        rpmidx = t32 >> 8; // index 0..7 = 7 * rpm / maxRPM
        rpmoffs = t32 & 0xFF;//
    }

    if( map >= maxMAP ){
        mapidx = 7;
        mapoffs = 0;
    } else if ( map <= 50 ){
        mapidx = 0;
        mapoffs = 0;
    } else {
        map -= 50;
        uint32_t t32 = 7 * map * div_65535_x( maxMAP );
        t32 >>= 8;
        mapidx = t32 >> 8; // index 0..7
        mapoffs = t32 & 0xFF;
    }

    if (mapidx>7) mapidx = 7; // should NEVER happen, but just in case

    // index never overflows:
    m11 = MAPCorrTable[mapidx][rpmidx];
    if( rpmidx >= 7 ){
        m12 = m11;
    } else {
        m12 = MAPCorrTable[mapidx][rpmidx+1];
    }

    if( mapidx >= 7 ){
        result = interpol256(m11, m12, rpmoffs);
    } else {
        mapidx++; // max 7
        m21 = MAPCorrTable[mapidx][rpmidx];
        m22 = MAPCorrTable[mapidx][rpmidx < 7 ? rpmidx +1 : 7];

        r1 = interpol256(m11, m12, rpmoffs);
        r2 = interpol256(m21, m22, rpmoffs);
        result = interpol256(r1, r2, mapoffs);
    }
*/
    result = 8888;
    Logger::logf(LOG_MSG, _T("MainFrame::OnLookUp() - Onlookup %s, %s ... %s"), rpm, map, result );
	return 0;
}



void MainFrame::OnLookUp (wxCommandEvent& event )
{
    TableInit();
    /*  MAP/100 * C/256 (100KPa) felett
       int interpolatetable()
    */
    GetMAPCorrValue( 99, 30 );
    GetMAPCorrValue( 100, 30 );
    GetMAPCorrValue( 200, 30 );
    GetMAPCorrValue( 300, 30 );
    GetMAPCorrValue( 400, 30 );

}


void MainFrame::OnSIPRInput( InputEvent& event )
{
    SIPRPacket packet = event.getPacket();

    switch ( packet.type() )
    {
        case SIPR_UPDATE_FREQUENCY:
        {
            uint8_t* data = packet.data();

            if ( !data ) {
                LOGP( _T("ERROR - INVALID PACKET!") );
                return;
            }

            int updateCountPerSecond = Math::getNumber( data );
            wxString message = wxString::Format( _T("Update Frequency: %d Hz"), updateCountPerSecond );
            setStatusBarFieldText( SB_UPDATE_FREQUENCY, message );
        } break;

        case SIPR_READ_SENSORS:
            m_VemsTuneInfo.receiveRtPacket();
            break;

        case SIPR_RT_CRC_ERROR:
            m_VemsTuneInfo.receiveRtCRCError();
            break;

        case SIPR_TIMEOUT:
            m_VemsTuneInfo.receiveRtTimeout();
            break;

        default:
            break;
    }
}

void MainFrame::OnGGFloatBehav(wxCommandEvent& event)
{
    int id = event.GetId();

    int behav = 0;

    if( id == idMenuGGFloatBehavAttach ) {

        behav = GGFB_ATTACH;

    } else if( id == idMenuGGFloatBehavFloat ) {

        behav = GGFB_FLOAT;

    } else if( id == idMenuGGFloatBehavVar ) {

        behav = GGFB_VAR;

    }

    ConfigBase* conf = ConfigHelper2::getConfig();
    conf->setPath(_T("/environment"));
    conf->write(_T("gauge_groups_float_behav"),behav);
    conf->save();


}

void MainFrame::OnGGB(wxCommandEvent& event)
{
    //GaugeGroupManager::getGaugeGroupsBehav()

    ConfigBase* conf = ConfigHelper2::getConfig();
    conf->setPath(_T("/environment"));

    wxString str = _T("multi");
    if(event.IsChecked()){
        str = _T("single");
    }
    conf->write(_T("gauge_groups_behav"),str);
    conf->save();

}

void MainFrame::ChangePage(int dir)
{
#if AUI_MDI_FRAME
    wxAuiNotebook * anb = GetNotebook();

    int idx = anb->GetSelection();

    int c = anb->GetPageCount();

    if( c < 2 ) return;

    idx += dir;

    if( idx < 0 ) idx = c-1;
    if( idx >= c ) idx = 0;

    anb->SetSelection(idx);

#endif
}

void MainFrame::UpdateAUI()
{
    m_frameLayoutHandler->UpdateAUI();
}

void MainFrame::OnKeyDown(wxKeyEvent &evt)
{

    if( evt.GetKeyCode() == 351 ) { /// F12

        m_gaugeGroupManager->ResetAllGaugesMinMax();

    }

//    if ( evt.AltDown() )
//    {
//        switch ( evt.GetKeyCode() )
//        {
//            case 'R' :
//            LOG
//                m_stController->requestReadAllPage();
//                return;
//
//            case 'W' :
//                m_stController->requestWriteAll();
//                m_stController->updateRegisteredViewers();
//                return;
//
//            case 'B' :
//                m_stController->requestWriteAll();
//                m_stController->requestBurn();
//                m_stController->updateRegisteredViewers();
//                return;
//        }
//    }

    evt.Skip();
}


void MainFrame::OnVemsLogStartNew(wxCommandEvent &)
{
    bool currState = m_vemsTuneController->isECULog();
    if(currState){
        m_vemsTuneController->setECULog(!currState);
    }
    m_vemsTuneController->setECULog(true);
}

void MainFrame::OnVemsLogAddMarker(wxCommandEvent &)
{
    Logger::logf( LOG_MSG, _T("MainFrame::OnVemsLogAddMarker()") );
    SIPRPacket packet( 0, SIPR_LOG_MARKER );
    InputEvent event;
    event.setPacket( packet );
    m_vemsTuneController->AddPendingEvent( event );
}



void MainFrame::OnRefreshUserMenu( wxCommandEvent & event )
{
    wxLogMessage( _T("-----MainFrame::OnRefreshUserMenu") );
    m_userDialogManager->refreshMenu( GetMenuBar() );
}

void MainFrame::OnSaveVemsCfg( wxCommandEvent & event )
{
    if ( m_vemsTuneController->getFirmwareInfo()->isEmpty() )
    {
        UserLog::uLog( ULOG_ERROR, _T("Can't save config!") );
        UserLog::uLog( ULOG_ERROR, _T("Firmware version is not available!") );
        return;
    }

    if ( !m_vemsTuneController->getFirmwareInfo()->isValid() )
    {
        UserLog::uLog( ULOG_ERROR, _T("Can't save config!") );
        UserLog::uLog( ULOG_ERROR, _T("Detected firmware version is not supported!") );
        return;
    }

    wxString headerFile = m_vemsTuneController->getFirmwareInfo()->getHeaderFile();

    if ( headerFile.IsEmpty() )
    {
        UserLog::uLog( ULOG_ERROR, _T("Can't save config!") );
        StringHash hash;
        wxString firmwareVersionAsString = m_vemsTuneController->getFirmwareInfo()->getFirmwareVersionAsString();
        hash[_T("firmware_version")] = firmwareVersionAsString;
        UserLog::vLog( VemsMessageHashHelper::GetVemsMsg(_T("header_not_found"),&hash) );

        bool isECUOnline = m_vemsTuneController->isECUOnline();

        SaveConfigErrorDialog dialog( this, wxID_ANY, _T(""), firmwareVersionAsString, isECUOnline );
        dialog.CentreOnScreen();
        int result = dialog.ShowModal();

        switch( result )
        {
            case SaveConfigErrorDialog::ID_WEBTOOL:
                showWebTool();
                break;
            case SaveConfigErrorDialog::ID_DOWNLOAD_CONFIG:
                downloadConfig( false );
                break;
            case SaveConfigErrorDialog::ID_DOWNLOAD_CONFIG_TO:
                downloadConfig( true );
                break;
            case SaveConfigErrorDialog::ID_CANCEL:
                break;
        }

        return;
    }

    wxString logdir         = DirHelper::GetPath(dLOG);
    wxString baseFileName   = m_vemsTuneController->getFirmwareInfo()->getSerialNumber();
    baseFileName += m_configSwitchStateViewer->getConfigTypeString();
    baseFileName += _T(".vemscfg");
    wxString file           = DirHelper::CreateNewFileName( baseFileName, logdir, true, true );

    Logger::logf( LOG_MSG, _T("config file: ") + file );

    ///file loaded
    wxString filter =  _T("Vems config file (*.vemscfg)|*.vemscfg");
    //filter += _T("|mcdmct (*.txt)|*.txt");
    //filter += _T("|All files (*.*)|*.*");

    wxString message = _T("Save config");


    wxString configFile;

    wxFileDialog dlg(   NULL, message, logdir ,
                        file, filter, wxFD_SAVE| wxCHANGE_DIR | wxFD_OVERWRITE_PROMPT );

    if ( dlg.ShowModal() == wxID_OK )
    {
        configFile = dlg.GetPath();
        Logger::logf( LOG_MSG, _T("-----MainFrame::OnSaveVemsCfg() - ") + configFile );
        //wxFileName fn(configFile);
        //ConfigHelper::SaveDialogPath( _T("easyUploadConfig_fw"), fn.GetPath() );
        wxString fileHeader = RawLogHelper::getVemsCfgHeader(*m_vemsTuneController->getFirmwareInfo());
        Logger::logf( LOG_MSG, _T("-----MainFrame::OnSaveVemsCfg() header: ") + fileHeader );


        STDataIOVemsCfg cfg( m_stController->getModel() );

        /// check if empty!

        SymbolTable headerSymbols;
        ParseHeader parser( headerSymbols );
        parser.parse( headerFile );

        cfg.saveTo( fileHeader, parser.symbolOrder, &MTConfigHelper::getMTConfigData()->getSymbolMgr(), configFile,
                    MTConfigHelper::getMTConfigData()->isRawLambdaUsed() );
    }
}

bool MainFrame::savevemscfg( bool showError )
{
    if ( m_vemsTuneController->getFirmwareInfo()->isEmpty() )
    {
        if ( showError )
        {
            InfoWindow::Display( NULL, _T("Error"), _T("Firmware version is not available!"), IW_ERROR | IW_MOVE | IW_FADE_IN );
            UserLog::uLog( ULOG_ERROR, _T("Can't save config: firmware version is not available!") );
        }
        return false;
    }

    if ( !m_vemsTuneController->getFirmwareInfo()->isValid() )
    {
        if ( showError )
        {
            InfoWindow::Display( NULL, _T("Error"), _T("Detected firmware version is not supported!"), IW_ERROR | IW_MOVE | IW_FADE_IN );
            UserLog::uLog( ULOG_ERROR, _T("Can't save config: detected firmware version is not supported!") );
        }
        return false;
    }

    wxString headerFile = m_vemsTuneController->getFirmwareInfo()->getHeaderFile();

    if ( headerFile.IsEmpty() )
    {
        if ( showError )
        {
            InfoWindow::Display( NULL, _T("Error"), _T("Detected firmware version is not installed!"), IW_ERROR | IW_MOVE | IW_FADE_IN );
            UserLog::uLog( ULOG_ERROR, _T("Can't save config: detected firmware version is not installed!") );
        }
        return false;
    }

    wxString logdir         = DirHelper::GetPath(dLOG);
    wxString baseFileName   = m_vemsTuneController->getFirmwareInfo()->getSerialNumber() + _T(".vemscfg");
    wxString file           = DirHelper::CreateNewFileName( baseFileName, logdir, true, true );

    wxString fileHeader = RawLogHelper::getVemsCfgHeader(*m_vemsTuneController->getFirmwareInfo());
    STDataIOVemsCfg cfg( m_stController->getModel() );

    /// check if empty!
    SymbolTable headerSymbols;
    ParseHeader parser( headerSymbols );
    parser.parse( headerFile );

    cfg.saveTo( fileHeader, parser.symbolOrder, &MTConfigHelper::getMTConfigData()->getSymbolMgr(), file,
                MTConfigHelper::getMTConfigData()->isRawLambdaUsed() );

    InfoWindow::Display( NULL, _T("Information"), _T("Config file has been saved") );
    UserLog::uLog( ULOG_INFO, _T("Config has been saved as ")+file );
    return true;
}

void MainFrame::OnOpenVemsCfg( const wxString& filename )
{
    /// no valid port, or ECU thread stopped
//    if ( !m_vemsTuneController->isECUOnline() )
    if ( !m_vemsTuneController->getDeviceContoller()->isConnected() )
    {
        openVemsCfg( filename );
        return;
    }

    /// V3 not detected
//    if ( m_vemsTuneController->getDevice() != ECUInfo::DEVICE_V3 && m_vemsTuneController->getDevice() != ECUInfo::DEVICE_ROUND )
    if ( !m_vemsTuneController->getDeviceContoller()->isV3() &&  !m_vemsTuneController->getDeviceContoller()->isRound() )
    {
        m_vemsTuneController->setECUOnline(false, true);
        openVemsCfg( filename );
        return;
    }

    /// V3 detected ,show options dialog

    long buttons =  OVCDB_DEFAULT | (m_vemsTuneController->getDevice() == ECUInfo::DEVICE_ROUND ? 0 : OVCDB_OPENADV);
    OpenVemsCfgDialog dialog( this, wxID_ANY, _T(""), buttons );
    int result = dialog.ShowModal();


    switch( result )
    {
        case OpenVemsCfgDialog::ID_CONFIG_SWITCH_UPLOAD: {
            int currConfigType = m_configSwitchStateViewer->getConfigType();

            ConfigSwitchAdvancedUploadDialog dlg(this, currConfigType);

            int retcode = dlg.ShowModal();

            if(retcode != wxID_OK)
                return;

            int uploadConfigType = dlg.GetChoosed(); /// returns; CFG_A, CFG_B or CFG_BOTH

            LOGP( wxString::Format( _T("uploadConfigType: %d"), uploadConfigType ) );


            if ( filename.IsSameAs( _T("showdialog") ) )
            {
                m_pFirmwareConfigManager->easyUploadConfig( currConfigType, uploadConfigType);

                wxString fname = m_pFirmwareConfigManager->getUploadedConfigFileName();

                if ( fname != wxEmptyString )
                {
                    RecentVemsFiles::updateFile( fname, false );
                    CreateRecentFilesMenu( RECENT_CONFIGFILE );
                }
            }
            else
            {
                m_pFirmwareConfigManager->uploadConfigFile( filename, currConfigType, uploadConfigType );
                if ( filename != wxEmptyString )
                {
                    RecentVemsFiles::updateFile( filename, false );
                    CreateRecentFilesMenu( RECENT_CONFIGFILE );
                }
            }

        } return;

        case OpenVemsCfgDialog::ID_CONFIG_UPLOAD:
            if ( filename.IsSameAs( _T("showdialog") ) )
            {
                m_pFirmwareConfigManager->easyUploadConfig();

                wxString fname = m_pFirmwareConfigManager->getUploadedConfigFileName();

                if ( fname != wxEmptyString )
                {
                    RecentVemsFiles::updateFile( fname, false );
                    CreateRecentFilesMenu( RECENT_CONFIGFILE );
                }
            }
            else
            {
                m_pFirmwareConfigManager->uploadConfigFile( filename );
                if ( filename != wxEmptyString )
                {
                    RecentVemsFiles::updateFile( filename, false );
                    CreateRecentFilesMenu( RECENT_CONFIGFILE );
                }
            }
            return;

        case OpenVemsCfgDialog::ID_CONFIG_VERIFY:
            if ( filename.IsSameAs( _T("showdialog") ) ) {
                m_pFirmwareConfigManager->verifyConfigFromFile();
            } else {
                m_pFirmwareConfigManager->verifyConfigFromFile( filename );
            }
            return;

        case OpenVemsCfgDialog::ID_GO_OFFLINE:
            //m_vemsTuneController->setECUOnline(false, true);
            openVemsCfg( filename );
            return;
        default:
            return;
    }
}


/**
    open and load a vemscfg file
    if filename = "showdialog" ( default ) then show a wxFileDialog to choose file
*/
void MainFrame::openVemsCfg( const wxString& filename )
{
    wxString cfgFile = filename;

    if ( filename.IsSameAs( _T("showdialog") ) )
    {
        wxFileDialog fdialog( this );

        // if # of ecus in db is 0 or no ecu was selected yet
        // open defaultfirmwareconfig dir
        if ( LogDirManager::checkForUsedECU() > 0 )
            fdialog.SetPath( DirHelper::GetPath(dLOG) );
        else
            fdialog.SetPath( DirHelper::GetPath(dDEFAULTCONFIGS));

        fdialog.SetWildcard( _T("VemsCfg files (*.vemscfg)|*.vemscfg;|Any files (*.*)|*.*") );

        if( fdialog.ShowModal() != wxID_OK ) { return; }

        cfgFile = fdialog.GetDirectory() + DirHelper::Separ() + fdialog.GetFilename();
    }

    wxFileName fileName(cfgFile);

    DirHelper::SetPath(dLOG, fileName.GetPath() );

    FirmwareConfigData  configData;
    FirmwareInfo        fwInfo;

    FirmwareConfigParser parser( &configData );
    parser.parseHeaderOnly( cfgFile );

    RawLogHelper::fillFirmwareInfo( fwInfo, configData.header );

    Logger::logf( LOG_MSG, _T("MainFrame::openVemsCfg() - ver: ")  + fwInfo.getFirmwareVersionAsString() );

    wxString headerFile = fwInfo.getHeaderFile();

    if ( headerFile.IsEmpty() )
    {
        UserLog::uLog( ULOG_ERROR, _T("Can't open config!") );
        StringHash hash;
        hash[_T("firmware_version")] = fwInfo.getFirmwareVersionAsString();
        UserLog::vLog( VemsMessageHashHelper::GetVemsMsg(_T("header_not_found"),&hash) );

        wxString msg = VemsMessageHashHelper::GetVemsMsg(_T("header_not_found_str"),&hash).getHtmlMsg();
        wxMessageBox( msg );
        return;
    }



    m_vemsTuneController->selectInputVemsCfg( cfgFile );
    m_userDialogManager->refreshMenu( GetMenuBar() );

    RecentVemsFiles::updateFile( cfgFile, false );
    CreateRecentFilesMenu( RECENT_CONFIGFILE );

    RebuildGUI();


    setStatusBarFieldText( SB_DATA_INPUT, _T(" Config: ") + fileName.GetName() );
    setStatusBarFieldText( SB_FIRMWARE_VERSION );
    setStatusBarFieldText( SB_UPDATE_FREQUENCY, _T(" Update Frequency: N/A") );

    VemsDeviceControllerEvent event( VDC_EVENT_STOPPED );
    m_frameLayoutHandler->AddPendingEvent( event );

    if ( m_vemsTuneController->getDevice() == ECUInfo::DEVICE_V3 ) {
        validateConfig();
    }
}


void MainFrame::OnOpenVemsLog( const wxString& filename )
{
    if ( m_rtStatWinID != 0 )
    {
        wxWindow* win = FindWindowById( m_rtStatWinID, this );
        if ( win )
        {
            RTDataStat* rs = dynamic_cast<RTDataStat*>(win);
            delete rs;
        }
    }

    wxString logFile = filename;

    if ( filename.IsSameAs( _T("showdialog") ) )
    {
        wxFileDialog fdialog( this );
        fdialog.SetPath( DirHelper::GetPath(dLOG) );
        fdialog.SetWildcard(_T("Log files (*.vemslog)|*.vemslog;|Any files (*.*)|*.*"));

        if( fdialog.ShowModal() != wxID_OK ) { return; }

        logFile = fdialog.GetDirectory() + DirHelper::Separ() + fdialog.GetFilename();
    }

    m_gaugeGroupManager->hideAndSaveGroups();

    m_vemsTuneController->selectInputFile(logFile);
    m_frameLayoutHandler->SendObject(TN_ChBmpRFile,NULL);
    m_frameLayoutHandler->SendObject(TN_IsPlayableFile,NULL);
    m_frameLayoutHandler->SendObject(TN_FilePlayCommander, m_vemsTuneController->getFilePlayCommander() );
    m_userDialogManager->refreshMenu( GetMenuBar() );

    wxFileName logFileName(logFile);

    DirHelper::SetPath(dLOG, logFileName.GetPath() );

    RecentVemsFiles::updateFile( logFile, true );
    CreateRecentFilesMenu( RECENT_LOGFILE );

    RebuildGUI();

    setStatusBarFieldText( SB_DATA_INPUT, _T(" Log: ") + logFileName.GetName() );
    setStatusBarFieldText( SB_FIRMWARE_VERSION );
    setStatusBarFieldText( SB_UPDATE_FREQUENCY, _T("Update Frequency: N/A") );

    VemsDeviceControllerEvent event( VDC_EVENT_STOPPED );
    m_frameLayoutHandler->AddPendingEvent( event );

    if ( m_vemsTuneController->getDevice() == ECUInfo::DEVICE_V3 ) {
        validateConfig();
    }
}

void MainFrame::OnSelectRecentConfig( wxCommandEvent& event )
{
    int id = event.GetId();
    wxMenuItem* item = m_recentCfgsMenu->FindItem( id );

    wxString fileName = (item->GetItemLabel()).AfterFirst(' ');
    fileName = fileName.Trim( false );

    if ( !wxFileExists( fileName ) )
    {
        wxMessageBox( _T("The selected config file does not exist any more"), _T("Error"), wxOK | wxICON_ERROR );
        RecentVemsFiles::deleteFile( fileName, false );
        CreateRecentFilesMenu( RECENT_LOGFILE );
    }
    else
    {
        Logger::logf(LOG_MSG,_T("MainFrame::OnSelectRecentConfig() - load:") + fileName );
        OnOpenVemsCfg( fileName );
    }
}

void MainFrame::OnSelectRecentLog( wxCommandEvent& event )
{
    int id = event.GetId();
    wxMenuItem* item = m_recentLogsMenu->FindItem( id );

    wxString fileName = (item->GetItemLabel()).AfterFirst(' ');
    fileName = fileName.Trim( false );

    // check: does it exist?
    if ( !wxFileExists( fileName ) )
    {
        wxMessageBox( _T("The selected log file does not exist any more"), _T("Error"), wxOK | wxICON_ERROR );
        RecentVemsFiles::deleteFile( fileName, true );
        CreateRecentFilesMenu( RECENT_LOGFILE );
    }
    else
    {
        Logger::logf(LOG_MSG,_T("MainFrame::OnSelectRecentLog() - load:") + fileName );
        OnOpenVemsLog( fileName );
    }
}


void MainFrame::SetFullScreen(bool isFull)
{
    ShowFullScreen( isFull, wxFULLSCREEN_ALL );

    m_frameLayoutHandler->ShowToolBars( !isFull );
}

void MainFrame::ToggleFullScreen()
{
    bool isFull = IsFullScreen();

    if(!isFull)
        InfoWindow::Display( this, _T("Full screen mode active!"), _T("Press Shift-F11 to return."), IW_FADE_IN | IW_MOVE | IW_MESSAGE, 10000 );

    SetFullScreen( !isFull );
}

void MainFrame::OnDefWorkDirDBReset(wxCommandEvent& event)
{
    LogDirManager::dropTables();
    wxMessageBox(L"Tables dropped",L"DB");
}

void MainFrame::OnDevOutChannel(wxCommandEvent& evt)
{
    wxWindow* win = FindWindowByName(_T("Output channels configuration"));
    if ( win != NULL ) win->SetFocus();
    else
    {
        wxFrame * cfgframe = new wxFrame(0, wxID_ANY, _T("Output channels configuration"));
        wxBoxSizer* sizer = new wxBoxSizer(wxHORIZONTAL);

        wxArrayString no_symbol_to_mark;

        SymbolTable* table = &MTConfigHelper::getMTConfigData()->getSymbolTable();
        OutputChannelsCfg * cfgpanel = new OutputChannelsCfg(cfgframe, m_stController,
            m_vemsTuneController->getECUController(), table, no_symbol_to_mark );

        sizer->Add(cfgpanel, 1, wxEXPAND | wxALL, 0);
        cfgframe->SetSizer(sizer);
        sizer->Fit( cfgframe );
        sizer->SetSizeHints( cfgframe );
        cfgframe->Show();

        m_stController->updateRegisteredViewers();
    }
}

void MainFrame::OnRTDataStat(wxCommandEvent& event)
{
    wxWindow* win = FindWindowByName(_T("Realtime data statistics"));
    if ( win != NULL ) win->SetFocus();
    else
    {
        MTConfigData* configData = MTConfigHelper::getMTConfigData();
        if ( !configData ) return;
        VemsTableDescH* tableDescH = configData->getTables();
        VemsTableDesc* tableDesc;

        SymbolMgr* mgr = &configData->getSymbolMgr();

        if ( mgr == NULL )
            return;

        Symbol* as = mgr->getSymbol(_T("alphan"));

        bool alphanMode;
        if ( as != NULL )
        {
            double d = m_stController->getDataFromViewerModel( *as );
            if ( d )
                alphanMode = true;
            else
                alphanMode = false;
        }
        else
        {
            Symbol* sym = mgr->getSymbol(_T("hybrid_rpm_a"));
            Symbol* sym2 = mgr->getSymbol(_T("hybrid_rpm_m"));

            if ( sym == NULL || sym2 == NULL )
                return;

            double d = m_stController->getDataFromViewerModel( *sym );
            double d1 = m_stController->getDataFromViewerModel( *sym2 );

            if ( d == 0 && d1 == 0 )
                alphanMode = false;
            else
                alphanMode = true;
        }

        tableDesc = ( alphanMode ) ? (*tableDescH)[ _T("veTableTblTPS") ] :(*tableDescH)[ _T("veTableTbl") ];
        if(!tableDesc) return;

//        SymbolTable* table = &MTConfigHelper::getMTConfigData()->getSymbolTable();

        bool VETune = ( event.GetId() == idMenuToolsVETune );

        RTDataStat* frame = new RTDataStat(this, m_vemsTuneController->getLogHistory(),
            m_vemsTuneController->getLogHistoryObs(), tableDesc, VETune );
        m_vemsTuneController->getRTDataMgr()->RegisterViewer(frame);
        frame->SetDataMgr(m_vemsTuneController->getRTDataMgr());

        // frame->load();
        frame->Show();

        m_rtStatWinID = (dynamic_cast<wxFrame*>(frame))->GetId();

        m_stController->updateRegisteredViewers();
    }
}

void MainFrame::OnConfigCheckerTest( wxCommandEvent& event )
{
    wxArrayString iniFiles = FirmwareInfo::getAvailableIniFiles( ECUInfo::DEVICE_V3 );

    for ( size_t i = 0; i < iniFiles.GetCount(); ++i )
    {
        wxString iniFile = iniFiles[i];
        Logger::logf( LOG_MSG, iniFile );
        MTConfigData configData;
        FirmwareInfo firmwareInfo;
        wxString version = iniFile.BeforeLast( _T('.') ).AfterLast( _T('-') );
        firmwareInfo.setFirmwareVersion( version );

        MTConfigHelper::parseMTConfigData( firmwareInfo, &configData );
        MTConfigChecker configChecker( &configData );

        wxString fileName = DirHelper::GetPath( dDEBUGLOG ) + _T("configVerify-") + version + _T(".log");
//        configChecker.setLogFileName( fileName );
        configChecker.check();

        configData.clear();
        //if ( i == 0 ) return;
    }
}


void MainFrame::OnAddECUDir( wxCommandEvent& event )
{
    AddECUDirDialog * dlg = new AddECUDirDialog( this );

    if ( dlg->ShowModal() == wxID_OK )
    {
        CreateRecentECUsMenu();
    }

    delete dlg;
}

void MainFrame::OnSelectECUFromDb( wxCommandEvent& event )
{
    SelectECUFromDbDialog* dlg = new SelectECUFromDbDialog( this );

    if ( dlg->ShowModal() == wxID_OK )
    {
        wxString selectedEcu = dlg->getSelectedECUName();

        if ( selectedEcu != wxEmptyString )
        {

            wxString ECUName = selectedEcu.BeforeLast('-');
            wxString ECUSerial = selectedEcu.AfterLast('-');

            // update this
            //LogDirManager::updateByName( ECUName ); -- deleted because name is not unique
            LogDirManager::updateSerialNumber( ECUSerial );
            wxString ECUDir = LogDirManager::selectedECU();

            // create dir if not exists
            wxString currdir = DirHelper::GetPath( dWORKINGDIR, true );
            if ( !wxDirExists(currdir + ECUDir) )
            {
#               ifdef __WIN32__
                    wxMkDir( currdir + ECUDir );
#               else
                    wxString dir = currdir + ECUDir;
                    wxMkDir( dir.mb_str() ,0777 );
#               endif
            }

            DirHelper::SetPath( dLOG, currdir + ECUDir );
            CreateRecentECUsMenu();

            // update file menu
            wxMenuBar * mbar = this->GetMenuBar();
            wxMenuItem * currECU = mbar->FindItem( MENU_ID_CURRENT_ECU );
            currECU->SetItemLabel( wxT("Current ECU: ") + selectedEcu );
        }
    }

    delete dlg;
}

void MainFrame::setStatusBarFieldText( StatusBarFieldId fieldId, const wxString& fieldText )
{
    switch ( fieldId )
    {
        case SB_MENU_HELP:
            break;

        case SB_FIRMWARE_VERSION:
        {
            wxString text = _T(" Firmware version: ") + m_vemsTuneController->getFirmwareInfoStr();
            SetStatusText( text, 1 );
        } break;

        case SB_DATA_INPUT:
            SetStatusText( fieldText, 2 );
            break;

        case SB_CONFIG_VERSION:
        {
            wxString text( _T(" Config version: ") + MTConfigHelper::getMTConfigData()->getFileVersion() );
            SetStatusText( text, 3 );
        } break;

        case SB_UPDATE_FREQUENCY:
            SetStatusText( fieldText, 4 );
            break;

        default:
            break;
    }
}

void MainFrame::clearStatusBar()
{
    wxStatusBar* statusBar = GetStatusBar();

    for ( size_t i = 0; i < statusBar->GetFieldsCount(); ++i ) {
        statusBar->SetStatusText( _T(""), i );
    }
}

void MainFrame::showWebTool()
{
    FwWebToolHelper::OpenFwWebTool(this);
}


void MainFrame::downloadConfig( bool showFileDialog )
{
    m_configDownloadDirector->saveDeviceConfig( showFileDialog );
}


void MainFrame::OnDevIgnOutput( wxCommandEvent& event )
{
    const wxString title = _T("h[2] table - Ignition outputs");
    wxWindow* win = FindWindowByName( title );
    if ( win != NULL ) win->SetFocus();
    else
    {
        wxFrame * frame = new wxFrame(0, wxID_ANY, title );
        wxBoxSizer* sizer = new wxBoxSizer(wxHORIZONTAL);

        SymbolTable* table = &MTConfigHelper::getMTConfigData()->getSymbolTable();

        wxArrayString no_symbol_to_mark;

        IgnitionOutputPanel * panel =
            new IgnitionOutputPanel(frame, m_stController, table, m_vemsTuneController->getECUController(), no_symbol_to_mark );

        sizer->Add(panel, 1, wxEXPAND | wxALL, 0);
        frame->SetSizer(sizer);
        sizer->Fit( frame );
        sizer->SetSizeHints( frame );
        frame->Show();

        m_stController->updateRegisteredViewers();
    }
}

void MainFrame::OnTriggerLog( wxCommandEvent& event )
{
    TriggerLogSelector sel( this );

    int ret = sel.ShowModal();

    switch(ret){
//        case TriggerLogSelector::TLOG_TAILED_FILE:
        case TriggerLogSelector::TLOG_FILE:
        {
             wxFileDialog dlg( this, _T("Open triggerlog"), DirHelper::GetPath(dLOG), _T(""),
            _T("*.triggerlog"));
             dlg.SetWildcard(_T("Log files (*.triggerlog)|*.triggerlog;|Any files (*.*)|*.*"));

            if ( dlg.ShowModal() == wxID_OK )
            {
                wxString fname = dlg.GetPath();

                m_tlogGraph = new TriggerLogGraph( this );
                m_tlogmanager = new TriggerLogManager( NULL, fname, m_tlogGraph, ret ); // will be destroyed by tloggraph!!
                m_tlogGraph->setTriggerLogMgr( m_tlogmanager );
                m_tlogmanager->setWindowParent( this );
            }
        }
        break;
        case TriggerLogSelector::TLOG_V3:
            m_vemsTuneController->setECUOnline( false );

            m_tlogGraph = new TriggerLogGraph( this, m_eventDispatcher );
            m_tlogmanager = new TriggerLogManager( m_vemsTuneController->getDeviceContoller(), _T(""), m_tlogGraph ); // will be destroyed by tloggraph!!
            m_tlogGraph->setTriggerLogMgr( m_tlogmanager );
            m_tlogmanager->setWindowParent( this );

        break;
       // case TriggerLogSelector::TLOG_TAILED_FILE:

        //break;

    }

}

void MainFrame::loadLastLogFile()
{
    wxArrayString& recentFiles = RecentVemsFiles::getRecentFiles();

    if ( recentFiles.GetCount() < 1 )
    {
        return;
    }

    wxString lastFile = recentFiles.Item( 0 );
    OnOpenVemsLog( lastFile );
}

void MainFrame::OnVTFilesUpdaterSettings( wxCommandEvent& event )
{
    int id = event.GetId();

    if ( id == idVTFilesUpdateManually )
    {
        if ( m_VTFilesUpdater == NULL )
            m_VTFilesUpdater = new VTFilesUpdater ( DirHelper::GetPath( dCONFIG ) );
        m_VTFilesUpdater->Check( true );
    }
    if ( id == idVTFilesUpdaterSettings )
    {
        VTFilesUpdaterSettings dlg( this );
        dlg.ShowModal();
    }
}

void MainFrame::OnCalcModelAnalyzis( wxCommandEvent& event )
{
    //if ( wxMessageBox( _T("Note: if you have modified static data, it will be overwritten!"), _T("Information"), wxOK | wxCANCEL ) == wxID_OK )
    {
        CalcModelAnalyzerViewer* viewer = new CalcModelAnalyzerViewer( this, _T("Analyzer result ") );
        viewer->setLogHistory( m_vemsTuneController->getLogHistory() );
        viewer->calculate();
    }
}

void MainFrame::OnGPSSettings( wxCommandEvent& event )
{
    GPSConfigDialog2 dlg( this, m_vemsTuneController );
    dlg.ShowModal();
}

void MainFrame::initFrameLayout()
{
    MainGuiConfig layout;
    layout.m_device = m_vemsTuneController->getDevice();
    ConfigBase* cfg = ConfigHelper2::getConfig(ConfigHelper2::CONFIG_LAYOUT);
    ConfigMgrMainGui cfgMgr(cfg);
    cfgMgr.load(&layout);

    wxString layoutFile = DirHelper::GetPath(dCONFIG) + DeviceConfigHelper::getLayoutFile( ConfigHelper2::getConfig() , layout.m_device );

    m_frameLayoutHandler->Init( layout.m_perspective, layoutFile);
    Logger::logf( LOG_MSG, _T("MainFrame::initFrameLayout() - device: %d, file: ") + layoutFile, layout.m_device );

//    Logger::logf(LOG_MSG,_T("layout.m_perspective=")+layout.m_perspective);


}

void MainFrame::OnFWUploadedEvent( FirmwareUploadedEvent& event )
{
    m_fwuploadedsuccess = true;
}

void MainFrame::FirmwareConfigDownloaded( wxCommandEvent& event )
{
    if ( m_uploadFirmware ) {
        m_uploadFirmware = false;

        if ( m_projectAction ) {
            m_projectAction = false;
            m_firmwareDirector->uploadFirmware( m_prjMgr->GetCurrPrj() );
        } else {
            m_firmwareDirector->uploadFirmware( );
        }
    } else {
        m_vemsTuneController->getDeviceContoller()->resume();
    }
}

void MainFrame::OnVemsTuneInfo( wxCommandEvent& event )
{
    wxMessageBox( m_VemsTuneInfo.toString() );
}

void MainFrame::OnSaveEepromCfg( wxCommandEvent& event )
{
//    EepromCfgSaverBase* eepromsaver = new EepromCfgSaverV3( m_vemsTuneController );
//    //EepromCfgSaverBase* eepromsaver = new EEpromConfigLoader( DirHelper::GetPath(dLOG) + _T("v3.3_n002867-2010-11-11_16.56.22.eepromcfg") );
//
//    wxString defDir = DirHelper::GetPath(dPROGRAMROOT) + _T("teszt\\");
//
//    eepromsaver->parseGlobalH( defDir+_T("global.h"), defDir + _T("my_make.16x14") );
//    eepromsaver->parseMapFile( defDir + _T("sample.map"));
//    eepromsaver->save();
}

void MainFrame::validateConfig()
{
    STDataModelBase* stDataModel = m_vemsTuneController->getSTDataMgr()->getModel();
    FirmwareInfo* fwInfo = m_vemsTuneController->getFirmwareInfo();

    ConfigValidatorMgr::ButtonState btnState = ConfigValidatorHelper::validate( fwInfo,
                                                                                stDataModel,
                                                                                m_userDialogManager,
                                                                                CVH_SHOW_RESULT_IF_COLLISION );

    switch ( btnState )
    {
        case ConfigValidatorMgr::CFV_RED:
        case ConfigValidatorMgr::CFV_RED_BLINKING:
            InfoWindow::Display( NULL, _T("Validation Error"),
                                _T("There are too many validation errors.\nPress 'Validate config' button for further details."),
                                IW_FADE_IN | IW_MOVE | IW_ERROR, 10000 );

            break;

        case ConfigValidatorMgr::CFV_YELLOW:
        case ConfigValidatorMgr::CFV_YELLOW_BLINKING:
            InfoWindow::Display( NULL, _T("Validation Warning"),
                                _T("There are too many validation warnings.\nPress 'Validate config' button for further details"),
                                IW_FADE_IN | IW_MOVE | IW_WARNING, 10000 );

            break;

        default: break;
    }
}

void MainFrame::OnFirmwareConfigUploaded( wxCommandEvent& event )
{
    if ( m_vemsTuneController->getDevice() == ECUInfo::DEVICE_V3 ) {
        validateConfig();
    }
}
