#ifndef NOPROJECTDIALOG_H
#define NOPROJECTDIALOG_H

#include <wx/wx.h>

class NoProjectDialog : public wxDialog
{
    public:
        enum { ID_OPEN_PROJECT, ID_SELECT_PROJECT, ID_CANCEL_PROJECT };
    public:
        NoProjectDialog(    wxWindow* parent,
                            wxWindowID id,
                            const wxString& title,
                            const wxPoint& pos = wxDefaultPosition,
                            const wxSize& size = wxDefaultSize,
                            long style = wxDEFAULT_DIALOG_STYLE,
                            const wxString& name = _T("dialogBox") );
        virtual ~NoProjectDialog();
    protected:
    private:
        void OnButton( wxCommandEvent& event );
        DECLARE_EVENT_TABLE()
};

#endif // NOPROJECTDIALOG_H
