#ifndef ECUPRUDUCERTHREAD_H
#define ECUPRUDUCERTHREAD_H

#include "ThreadBase.h"

class RTDataMgrFacade;
class STDataMgrBase;
class wxEvtHandler;

class EcuPruducerThread: public ThreadBase
{
    public:
        EcuPruducerThread(RTDataMgrFacade* rtDataMgr, STDataMgrBase* stdataMgr, wxEvtHandler* vemsTuneEvent);
        virtual ~EcuPruducerThread();
        void* Entry();
        bool isConnected(); // JUST temporary!
    protected:
    private:
        RTDataMgrFacade* m_rtDataMgr;
        STDataMgrBase* m_stDataMgr;
        int m_state;
        wxEvtHandler* m_vemsTuneEvent;
};



#endif // ECUPRUDUCERTHREAD_H
