#ifndef FILEPRODUCERTHREAD_H
#define FILEPRODUCERTHREAD_H

#include "ThreadBase.h"

#include "../vemsprotocol/SIPRPacket.h"

//class RTDataMgrFacade;
class VemsLogReader;
class wxEvtHandler;

class FileProducerThread: public ThreadBase
{
    public:
        FileProducerThread(VemsLogReader* vemsLogReader, wxEvtHandler* eventHandler);
        virtual ~FileProducerThread();
        void* Entry();
    protected:
    private:
        //RTDataMgrFacade* m_rtDataMgr;
        VemsLogReader*  m_vemsLogReader;
        wxEvtHandler*   m_eventHandler;

        void sendEvent( const SIPRPacket& packet, int eventType );
};



#endif // FILEPRODUCERTHREAD_H
