#ifndef REALTIMEDATACHECKER_H
#define REALTIMEDATACHECKER_H

#include "RTDataViewerBase.h"

#include "../common/typedef.h"

class RealtimeDataChecker : public RTDataViewerBase
{
    public:
        RealtimeDataChecker( wxEvtHandler* pEventHandler );
        virtual ~RealtimeDataChecker();

        void refresh( DoubleHash* table );
        void require();
        void unregisterSymbols();
        void SetValueIdx( int idx ) {}
        void SetValue( double value ) {}

    private:
        wxEvtHandler*   m_pEventHandler;
        wxString        m_symbolName;
        uint8_t         m_previousValue;
        size_t          m_errorCount;
        bool            m_isEnabled;
};

#endif // REALTIMEDATACHECKER_H
