#include "MMCLoggerImg.h"

#include "../logger.h"

MMCLoggerImg::MMCLoggerImg(SdImage* img)
{
    m_image = img;
    m_blockCount = 1;
}

MMCLoggerImg::~MMCLoggerImg()
{
    //dtor
}


void MMCLoggerImg::start()
{
}

void MMCLoggerImg::stop()
{
}

void MMCLoggerImg::erase()
{
}

bool MMCLoggerImg::getStatus()
{
    return false;
}

bool MMCLoggerImg::needsUpdate()
{
    return false;
}

void MMCLoggerImg::flushBuffer()
{

}

//bool MMCLoggerImg::isDataValid( uint8_t* data, int len)
//{
//
//    int data_or=0;
//    int data_and=0xff;
//    int i;
//    for(i = 0; i < len; i++){
//    data_or|=data[i];
//    data_and&=data[i];
//    }
//    if ((data_or==0) || (data_and==0xff)) return false;
//    else return true;
//
//}

bool MMCLoggerImg::getMMCBlock(uint32_t blockIdx, uint8_t* data, int len )
{
//    Logger::logf(LOG_MSG, _T("------------===============------------"));
//    Logger::logf(LOG_MSG,_T("MMCLoggerImg::getMMCBlock blockIdx=%d, len=%d "), blockIdx, len);

    int blocknumber=len/514;
    bool success=false;
    for (int i=0;i<blocknumber;i++){
        if (m_image->getMMCBlock( blockIdx++, data+(514*i), 512 ) == true) success = true;

        data[512+(514*i)]=0xff;
        data[513+(514*i)]=0xff;
    }
//    Logger::logf(LOG_MSG, _T("MMCLoggerImg::getMMCBlock succes=%d"), success);
    return success;

}


bool MMCLoggerImg::isCRCValid( uint8_t* data, int len)
{

    return true;//we havent got hardware calculated crc on image file

}

void MMCLoggerImg::SetBaudrate()
{
    // nop
}

void MMCLoggerImg::ResetBaudrate()
{
    // nop
}
