#ifndef MMCLOGGERVIEWERBASE_H
#define MMCLOGGERVIEWERBASE_H

#include "../FirmwareInfo.h"
#include "../common/typedef.h"
#include "../common/types/wxVariantHash.h"
#include "../common/types/DoubleHash.h"

class MMCFilesDesc
{
    public:
        MMCFilesDesc(){
            RowId = -1;
            Time = 0;

            StartAddress = 0;
            EndAddress = 0;
            //Summaries = 0;
            DataSize = 0;

            SampleCnt = 5;
        }
        int RowId;
        //wxString OutFilename;
        uint32_t Time;

        FirmwareVersion fw;

        uint32_t StartAddress;
        uint32_t EndAddress;

        wxVariantHash   Summaries;

        int DataSize;

        long SampleCnt;

};

class MMCLoggerViewerBase
{
    public:
        MMCLoggerViewerBase();
        virtual ~MMCLoggerViewerBase();
        virtual void AddFileListLine(MMCFilesDesc& fdesc ) = 0;
        virtual void AddGridLine(DoubleHash& dHash) = 0;
    protected:
    private:
};

#endif // MMCLOGGERVIEWERBASE_H
