#ifndef SDPROCESS_H
#define SDPROCESS_H

#include <wx/process.h>

class SDCardSaveDialog;
class SDProcess;

WX_DEFINE_ARRAY_PTR( SDProcess *, ProcessesArray );

class SDProcess : public wxProcess
{
    public:
        SDProcess( SDCardSaveDialog* parent, bool parentClose = false );

        virtual void OnTerminate( int pid, int status );
        virtual bool HasInput();

        void    SetProcessID( long id ) { m_PID = id; }
        long    GetProcessID() { return m_PID; }

        bool    ParentClose() { return m_parentClose; }

    protected:
        SDCardSaveDialog*   m_parent;
        long                m_PID;
        bool                m_parentClose;

    private:

};

#endif // SDPROCESS_H
