#ifndef SESSIONDLG_H
#define SESSIONDLG_H

#include <wx/wxprec.h>

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

//(*Headers(SessionDlg)
#include <wx/button.h>
#include <wx/dialog.h>
#include <wx/listctrl.h>
#include <wx/sizer.h>
#include <wx/statline.h>
#include <wx/stattext.h>
#include <wx/textctrl.h>
//*)

#include <wx/arrstr.h>

class SessionDlg: public wxDialog
{
	public:

		SessionDlg(wxWindow* parent,wxWindowID id = -1);
		virtual ~SessionDlg();

		//(*Identifiers(SessionDlg)
		//*)

	protected:

        void loadSeession(wxArrayString * groupArray);
		//(*Handlers(SessionDlg)
		void OnButtonLoadClick(wxCommandEvent& event);
		void OnButtonSaveClick(wxCommandEvent& event);
		void OnButtonDeleteClick(wxCommandEvent& event);
		void OnSessListCtrlItemSelect(wxListEvent& event);
		//*)

		//(*Declarations(SessionDlg)
		wxStaticText* StaticText1;
		wxTextCtrl* CurrSessionCtrl;
		wxListCtrl* SessListCtrl;
		wxButton* ButtonLoad;
		wxButton* ButtonSave;
		wxButton* ButtonDelete;
		wxStaticLine* StaticLine1;
		wxButton* ButtonClose;
		//*)

	private:

		DECLARE_EVENT_TABLE()
};

#endif

