#include "Main_Pulse_train.h"
#include "../logger.h"
#include "../serialconfig.h"
#include "../serialporthandler.h"
//#include "../vemsprotocol/ECUStateMgr.h"
//#include "../vemsprotocol/CommunicationController.h"
#include "../vemsprotocol/Sipr.h"
#include "../ringbuffer/CommunicationThread.h"

BEGIN_EVENT_TABLE(Main_Pulse_train, wxEvtHandler)
    EVT_INPUT( wxID_ANY, Main_Pulse_train::OnInput )
END_EVENT_TABLE()

Main_Pulse_train::Main_Pulse_train(AudioPanel* audioPanel)
{
    //ctor
    //Logger::logf( LOG_MSG, _T("Main_Pulse_train::Main_Pulse_train") );
    m_audioPanel=audioPanel;
    SerialConfig* sc = new SerialConfig();
    sc->setPortName( _T("/dev/ttyACM0") );
#ifdef SFILE_LIB
#elif CTB15
#else
    sc->setBaudRate( wxBAUD_19200 );
#endif
    SerialPortHandler* sph = new SerialPortHandler( sc );

    //ECUStateMgr* state = new ECUStateMgr( sph );

//    CommunicationController* controller = new CommunicationController( state);
//    //InputHandler* h = new InputHandler();
//    //this->PushEventHandler( h );
//    //if (m_sipr==NULL) {
//        //m_sipr = new Sipr( sph, this );
//        m_sipr = new Sipr( NULL, SiprSensorType::SIPR_RT_MT_EXT, this );
//        controller->setDirect(m_sipr);
//        controller->registerProtocol( m_sipr );
//        CommunicationThread* thread = new CommunicationThread( controller );
//        if( thread->Create() != wxTHREAD_NO_ERROR )
//        {
//            Logger::logf(LOG_MSG, _T("Can't create thread!"));
//        }
//        thread->SetPriority(WXTHREAD_MAX_PRIORITY);
//        thread->Run();
//        Logger::logf(LOG_MSG, _T("sipr thread started !"));


       /* m_updateThread = new TestThread( this );

        if( m_updateThread->Create() != wxTHREAD_NO_ERROR )
        {
            Logger::logf(LOG_MSG, _T("Can't create thread!"));
        }
        m_updateThread->SetPriority(WXTHREAD_MAX_PRIORITY);
        //m_updateThread->Run();
        //m_updateThread->Run();*/
//        }
//        thread->SetPriority(WXTHREAD_MAX_PRIORITY);
//        thread->Run();
//        Logger::logf(LOG_MSG, _T("sipr thread started !"));
//
//
//       /* m_updateThread = new TestThread( this );
//
//        if( m_updateThread->Create() != wxTHREAD_NO_ERROR )
//        {
//            Logger::logf(LOG_MSG, _T("Can't create thread!"));
//        }
//        m_updateThread->SetPriority(WXTHREAD_MAX_PRIORITY);
//        //m_updateThread->Run();
//        //m_updateThread->Run();*/
//    //}


}

Main_Pulse_train::~Main_Pulse_train()
{
    //dtor
}

void Main_Pulse_train::OnInput( InputEvent& event )
{
    //event.Skip();
    SIPRPacket p = event.getPacket();
    //Logger::logf(LOG_MSG, _T("Main_Pulse_train::OnInput"));

    if ( p.type() == SIPR_READ_SENSORS )
    {
        //Logger::logf( LOG_MSG, _T("MyFrame::OnInput() - Sipr::READ_SENSORS - TPS : %u"), p.data[19] );

    }
    else if ( p.type() == SIPR_ACK )
    {
        Logger::logf( LOG_MSG, _T("MyFrame::OnInput() - Sipr::PING") );
    }
    else if ( p.type() == SIPR_PULSE_TRAIN )
    {
        //Logger::logf( LOG_MSG, _T("MyFrame::OnInput() - Sipr::PULSE_TRAIN,%02X"),p.sequence() );
        m_audioPanel->processPulseTrainPacket(p);
    }

}

