#ifndef WRITEINFILEBYTIME_H
#define WRITEINFILEBYTIME_H
#include <wx/wx.h>
#include "RTSignalViewerBase.h"
#define MISSINGDATACNT 50


class UpdateViewerEvent;

class WriteInFileByTime: public wxEvtHandler, public RTSignalViewerBase
{
    public:
        WriteInFileByTime();
        virtual ~WriteInFileByTime();
        void refresh(DoubleHash* table);
        int updateInputModel();
        void sendInputEvent(int type, int inputEvent);
        bool   isExist(const wxString& symbolname);
    protected:
        int updateViewerModel();
        double getValue(const wxString& symbolname);
    private:
        void OnUpdateValue( UpdateViewerEvent& event );
        wxFile* m_file;
        int missingCnt;
        int missingCnt2;
        int startCnt;
        uint8_t m_missingRatio;
        uint8_t m_missingRatio2;
        uint8_t m_missingdata[MISSINGDATACNT];//store data for missingratio calculation
        uint8_t m_missingdata2[MISSINGDATACNT];//store data for missingratio calculation
        uint16_t m_missingPointer;//shows the last data in m_missingdata[]

        DECLARE_EVENT_TABLE();
};

#define STARTCNT 100
#define MIDSPARK 180//360//175
#define MIDSPARK2 180//360//175


#endif // WRITEINFILEBYTIME_H
