#ifndef MODELFILTER_H
#define MODELFILTER_H

#include "../common/types/IntToIntSetHash.h"

class ModelFilter
{
    public:
        void add( size_t page, size_t offset );
        void remove( size_t page, size_t offset );
        void clear();
        void clearPage( size_t page );

        bool isFiltered( size_t page, size_t offset ) const;

    private:
        IntToIntSetHash m_filter;
};

#endif // MODELFILTER_H
