#ifndef TBTBLOGREPEAT_H
#define TBTBLOGREPEAT_H

#include "VemsToolBarToolBase.h"

class FilePlayCommander;

class TbTbLogRepeat : public VemsToolBarToolBase
{
    public:
        TbTbLogRepeat() { }
        TbTbLogRepeat( int id );
        virtual ~TbTbLogRepeat();

    public:
        void    OnTool( wxCommandEvent &event );
        void    OnToolR( wxCommandEvent &event );
        void    OnToolEnter( wxCommandEvent &event ) { }

        void    Init();

        bool    SendObject( int id, wxObject *object, const wxString &message = wxEmptyString );

    protected:

    private:
        FilePlayCommander*  m_fpc;
        bool                m_repeatOn;

        friend class FilePlayCommander;

        DECLARE_DYNAMIC_CLASS( TbTbLogRepeat );
};

#endif // TBTBLOGREPEAT_H
