#ifndef CALIBRATIONWBO2_H
#define CALIBRATIONWBO2_H


#include "CalibrationBase.h"

class CalibrationWBO2 : public CalibrationBase
{
    public:
        CalibrationWBO2();
        virtual ~CalibrationWBO2();

        /// CalibrationBase
        virtual void start();
        virtual void stop();

        ///RTDataViewerBase
        virtual void SetValue(double value){};
        virtual void refresh(DoubleHash* table);
        virtual void require(){};
        virtual void unregisterSymbols();
        virtual void SetValueIdx(int idx){};
    protected:
    private:
        wxString    m_currSymbolName;
        double      m_targetValue;
        int         m_wbo2State;
        enum        { WBO2_HEATING, WBO2_OK, WBO2_STOPED};
};

#endif // CALIBRATIONWBO2_H
