#ifndef NEWGAUGEDESCRIPTORDIALOG_H
#define NEWGAUGEDESCRIPTORDIALOG_H

#include <wx/wx.h>

class GaugeDescManager;

class NewGaugeDescriptorDialog: public wxFrame
{
    public:
        NewGaugeDescriptorDialog(wxWindow * parent, GaugeDescManager * gdmgr);
        virtual ~NewGaugeDescriptorDialog();

    protected:

        bool CreateType();

        void OnButton(wxCommandEvent &evt);
        void OnCheckBox(wxCommandEvent &evt);
        bool FillSymbolList(bool isShowExists);

        bool FillTypeList();
        bool FillGroupList();

    private:

        enum{
            idBtnOK,
            idBtnCancel,
            idCBFilter
        };

        wxComboBox  *   m_symbolList;
        wxComboBox  *   m_typeList;
        wxComboBox  *   m_groupList;

        wxTextCtrl  *   m_descName;

        GaugeDescManager * m_gdMgr;

        DECLARE_EVENT_TABLE()

};

#endif // NEWGAUGEDESCRIPTORDIALOG_H
