#include "UserMenu.h"

#include <wx/arrimpl.cpp>

WX_DEFINE_OBJARRAY(UserMenuItemArray);
WX_DEFINE_OBJARRAY(USER_MENUS);

/**********************************************************
*   UserMenuItem methods
**********************************************************/

/** @brief UserMenuItem
  *
  * @todo: document this function
  */
UserMenuItem::UserMenuItem(const wxString& dialog,const wxString& label, int pageNo, const wxString& expr)
    :m_dialog   (dialog)
    ,m_label    (label)
    ,m_pageNo   (pageNo)
    ,m_expr     (expr)
{
    //ctor
}

/** @brief ~UserMenuItem
  *
  * @todo: document this function
  */
UserMenuItem::~UserMenuItem()
{
    //dtor
}

/**********************************************************
*   UserMenu methods
**********************************************************/

/** @brief UserMenu
  *
  * @todo: document this function
  */
UserMenu::UserMenu(const wxString& label)
    :m_label    (label)
{
    //ctor
}

/** @brief ~UserMenu
  *
  * @todo: document this function
  */
UserMenu::~UserMenu()
{
    //dtor
}

/** @brief addUserMenuItem
  *
  * @todo: document this function
  */
void UserMenu::addUserMenuItem(const wxString& dialog, const wxString& label, int pageNo, const wxString& expr)
{
     m_UserMenuItems.Add(new UserMenuItem(dialog,label,pageNo,expr));
}

/** @brief operator[]
  *
  * @todo: document this function
  */
UserMenuItem* UserMenu::operator[](size_t i)
{
    if( i < m_UserMenuItems.GetCount() ){
        return &m_UserMenuItems[i];
    }else{
        return NULL;
    }
}

/**********************************************************
*   UserMenuList methods
**********************************************************/

/** @brief UserMenuList
  *
  * @todo: document this function
  */
UserMenuList::UserMenuList()
{
    //ctor
}

/** @brief ~UserMenuList
  *
  * @todo: document this function
  */
UserMenuList::~UserMenuList()
{
    //dtor
}

/** @brief addUserMenu
  *
  * @todo: document this function
  */
void UserMenuList::addUserMenu(const wxString& um)
{
    if(findMenu(um) == wxNOT_FOUND){
        m_UserMenus.Add(new UserMenu(um));
    }
}

/** @brief addUserMenuItem
  *
  * @todo: document this function
  */
void UserMenuList::addUserMenuItem(const wxString& mlabel,const wxString& dialog, const wxString& label, int pageNo, const wxString& expr)
{
    int idx = findMenu(mlabel);

    if(idx == wxNOT_FOUND){
        UserMenu* um = new UserMenu(mlabel);
        um->addUserMenuItem(dialog, label, pageNo, expr);
        m_UserMenus.Add(um);

    }else{
        m_UserMenus[idx].addUserMenuItem(dialog, label, pageNo, expr);
    }
}

/** @brief operator[]
  *
  * @todo: document this function
  */
UserMenu* UserMenuList::operator[](size_t i)
{
    if( i < m_UserMenus.GetCount() ){
        return &m_UserMenus[i];
    }else{
        return NULL;
    }
}

/** @brief findMenu
  *
  * @todo: document this function
  */
int UserMenuList::findMenu(const wxString& usermenu)
{
    for(uint16_t i=0; i<m_UserMenus.GetCount(); i++){
        if(m_UserMenus[i].getLabel() == usermenu) return i;
    }

    return wxNOT_FOUND;
}

void UserMenuList::clear()
{
    m_UserMenus.Clear();
}
