#ifndef WINDOWTIPPER_H
#define WINDOWTIPPER_H

#include <wx/wx.h>
#include <wx/html/htmlwin.h>
#include <wx/wx.h>

class WindowTipper: public wxFrame
{
    public:
        WindowTipper(wxWindow * parent, int id = wxID_ANY, const wxPoint &pos = wxDefaultPosition);
        virtual ~WindowTipper();

        void ShowMsg(const wxString &msg, int showlenms = 1000, bool moveToParentCorner = true );

        void HideWin();

    protected:

        void OnTimer(wxTimerEvent &evt);

    private:
        enum {
            idTimer
        };

        wxWindow * m_parent;

        wxTimer     m_timer;
        //wxHtmlWindow * m_msgWin;  /// maybe later...

        wxStaticText * m_msgWin;

        wxBoxSizer * m_mainsizer;

        DECLARE_EVENT_TABLE();
};

#endif // WINDOWTIPPER_H
