#ifndef SELECTABLEWIDGETRENDERERBASE_H
#define SELECTABLEWIDGETRENDERERBASE_H


class SelectableWidgetRendererBase
{
    public:
        SelectableWidgetRendererBase();
        virtual ~SelectableWidgetRendererBase();

        virtual wxBitmap* Render(const wxRect& rect) = 0;

        void SetFaceColor(const wxColor& color) { m_faceColor = color; };
        void SetMarkerColor(const wxColor& color) { m_markerColor = color; };
        void SetMarkerWidth(double w) { m_markerWidth = w; };

    protected:

        wxColor m_faceColor;
        wxColor m_markerColor;
        double  m_markerWidth;
};

#endif // SELECTABLEWIDGETRENDERERBASE_H
