#ifndef VEMSTUNEEVENTDISPATCHER_H
#define VEMSTUNEEVENTDISPATCHER_H


#include "../common/types/wxEvtHandlerPtrArray.h"


class VemsDeviceControllerEvent;
class CommunicationEvent;


class VemsTuneEventDispatcher : public wxEvtHandler
{
    public:
        VemsTuneEventDispatcher();
        virtual ~VemsTuneEventDispatcher();

        void addEventHandler( wxEvtHandler* eventHandler );
        void removeEventHandler( wxEvtHandler* eventHandler );

    private:
        wxEvtHandlerPtrArray m_eventHandlers;

        /// plan - void OnSIPRInput( InputEvent& event );

        void OnDeviceControllerEvent( VemsDeviceControllerEvent& event );
        void OnCommunicationEvent( CommunicationEvent& event );

        DECLARE_EVENT_TABLE()
};

#endif // VEMSTUNEEVENTDISPATCHER_H
