#ifndef IRECOGNIZER_H
#define IRECOGNIZER_H

class TxData;


class IRecognizer
{
    public:
        IRecognizer() {}
        virtual ~IRecognizer() {}

        virtual bool feed( char c ) = 0;
        virtual void reset() = 0;
        virtual TxData* getReceivedData() { return 0; }
        virtual bool isTimedout() { return false; }
};

#endif // IRECOGNIZER_H
