#ifndef LENGTHRECOGNIZER_H
#define LENGTHRECOGNIZER_H

#include "IRecognizer.h"
#include "../../common/typedef.h"

class LengthRecognizer : public IRecognizer
{
    public:
        LengthRecognizer( size_t length );
        virtual ~LengthRecognizer();

        bool    feed( char c );
        void    reset();
        TxData* getReceivedData();

    private:
        size_t      m_length;
        size_t      m_received;
        uint8_t*    m_buffer;
};

#endif // LENGTHRECOGNIZER_H
