#ifndef CONTENTLOADERBASE_H
#define CONTENTLOADERBASE_H

#include "../common/types/wxVariantHash.h"

enum ContentLoaderBaseResults
{
    CLR_DEFAULT_STATE = 0,
    CLR_NO_ERROR,
    CLR_WRONG_URL,
    CLR_WRONG_FORMAT,
    CLR_NO_CONNECTION,
    CLR_FILE_NOT_FOUND
};


class ContentLoaderBase
{
    public:
        virtual bool Load(wxVariantHash& params) = 0;
};


#endif // CONTENTLOADERBASE_H
