#include "wxComboBoxFile.h"

#include "logger.h"

#include <wx/filename.h>
#include <wx/dir.h>

wxComboBoxFile::wxComboBoxFile(wxWindow* parent, wxWindowID id, const wxString& value, const wxPoint& pos, const wxSize& size, long style, const wxValidator& validator, const wxString& name)
{
    //ctor
    Create(parent,id,value,pos,size,0,NULL,style,validator,name);


    Connect(wxEVT_COMMAND_TEXT_UPDATED, wxCommandEventHandler(wxComboBoxFile::OnText));

}

wxComboBoxFile::~wxComboBoxFile()
{
    //dtor
}



void wxComboBoxFile::OnText(wxCommandEvent &evt)
{
    //Logger::logf(LOG_MSG,_T("wxComboBoxFile::OnText"));

    wxString value = GetValue();

    wxArrayString files;
    wxArrayString dirs;

    wxFileName fname(value);

    dirs = fname.GetDirs();
    Logger::logf(LOG_MSG,_T("wxComboBoxFile::OnText c=%i"),dirs.GetCount());

    wxDir::GetAllFiles(value, &files,wxEmptyString,wxDIR_FILES | wxDIR_HIDDEN );

  //  WX_APPEND_ARRAY( dirs, files);
    Clear();


    Append(dirs);


    SetValue(value);
    //SetInsertionPointEnd();

    //if( !wxFileName::DirExists(value) && !wxFileName::FileExists(value) ) return;

//    Logger::logf(LOG_MSG,_T("wxComboBoxFile::OnText = ")+value);




}
