#include "wxRealPointEx.h"

IMPLEMENT_DYNAMIC_CLASS(wxRealPointEx, wxObject);

IMPLEMENT_VARIANT_OBJECT_SHALLOWCMP(wxRealPointEx);

wxRealPointEx wxDefaultRealPointEx = wxRealPointEx();

/** @brief Floor
  *
  * @todo: document this function
  */
wxPoint wxRealPointEx::Floor() const
{
    return wxPoint( (int)floor(x), (int)floor(y) );
}

/** @brief Ceil
  *
  * @todo: document this function
  */
wxPoint wxRealPointEx::Ceil() const
{
    return wxPoint( (int)ceil(x), (int)ceil(y) );
}

/** @brief operator/=
  *
  * @todo: document this function
  */
wxRealPointEx & wxRealPointEx::operator/=(double factor)
{
    x = x / factor;
    y = y / factor;
    return (*this);
}

/** @brief operator*=
  *
  * @todo: document this function
  */
wxRealPointEx & wxRealPointEx::operator*=(double factor)
{
    x = x * factor;
    y = y * factor;
    return (*this);
}

/** @brief operator/
  *
  * @todo: document this function
  */
wxRealPointEx wxRealPointEx::operator/(double factor) const
{
    wxRealPointEx p(x / factor,y / factor);
    p.SetPrecision(m_precision);
    return p;
}

/** @brief operator*
  *
  * @todo: document this function
  */
wxRealPointEx wxRealPointEx::operator*(double factor) const
{
    wxRealPointEx p(x * factor,y * factor);
    p.SetPrecision(m_precision);
    return p;
}

/** @brief operator-=
  *
  * @todo: document this function
  */
wxRealPointEx & wxRealPointEx::operator-=(const wxRealPointEx& pos)
{
    x = x - pos.x;
    y = y - pos.y;
    return (*this);
}

/** @brief operator+=
  *
  * @todo: document this function
  */
wxRealPointEx & wxRealPointEx::operator+=(const wxRealPointEx& pos)
{
    x = x + pos.x;
    y = y + pos.y;
    return (*this);
}

/** @brief operator-
  *
  * @todo: document this function
  */
wxRealPointEx wxRealPointEx::operator-(const wxRealPointEx& pos) const
{
    wxRealPointEx p(x - pos.x,y - pos.y);
    p.SetPrecision(m_precision);
    return p;
}

/** @brief operator+
  *
  * @todo: document this function
  */
wxRealPointEx wxRealPointEx::operator+(const wxRealPointEx& pos) const
{
    wxRealPointEx p(x + pos.x,y + pos.y);
    p.SetPrecision(m_precision);
    return p;
}

/** @brief operator!=
  *
  * @todo: document this function
  */
bool wxRealPointEx::operator!=(const wxRealPointEx& pos) const
{
    if( (*this) == pos )
        return false;
    else
        return true;
}

/** @brief operator==
  *
  * @todo: document this function
  */
bool wxRealPointEx::operator==(const wxRealPointEx& pos) const
{
    if(fabs(x - pos.x) < m_precision && fabs(y - pos.y) < m_precision)
        return true;
    else
        return false;
}

/** @brief operator=
  *
  * @todo: document this function
  */
void wxRealPointEx::operator=(const wxRealPointEx& pos)
{
    x = pos.x;
    y = pos.y;
    m_precision = pos.GetPrecision();
}

